from dataclasses import dataclass
from enum import Enum
from typing import List

from daft_scraper.search.options import Option


class Location(Enum):
    ALL = "ireland"
    ABBEY_GALWAY = "abbey-galway"
    ABBEYDORNEY_KERRY = "abbeydorney-kerry"
    ABBEYFEALE_KERRY = "abbeyfeale-kerry"
    ABBEYFEALE_LIMERICK = "abbeyfeale-limerick"
    ABBEYKNOCKMOY_GALWAY = "abbeyknockmoy-galway"
    ABBEYLARA_LONGFORD = "abbeylara-longford"
    ABBEYLEIX_LAOIS = "abbeyleix-laois"
    ABBEYSHRULE_LONGFORD = "abbeyshrule-longford"
    ABINGTON_LIMERICK = "abington-limerick"
    ACHILL_SOUND_MAYO = "achill-sound-mayo"
    ACHILL_MAYO = "achill-mayo"
    ACHONRY_SLIGO = "achonry-sligo"
    ACLARE_SLIGO = "aclare-sligo"
    ADAMSTOWN_DUBLIN = "adamstown-dublin"
    ADAMSTOWN_WEXFORD = "adamstown-wexford"
    ADARE_LIMERICK = "adare-limerick"
    ADRIGOLE_CORK = "adrigole-cork"
    AGHABOE_LAOIS = "aghaboe-laois"
    AGHABOG_MONAGHAN = "aghabog-monaghan"
    AGHABULLOGUE_CORK = "aghabullogue-cork"
    AGHACASHEL_LEITRIM = "aghacashel-leitrim"
    AGHADA_CORK = "aghada-cork"
    AGHADIFFIN_MAYO = "aghadiffin-mayo"
    AGHADOE_KERRY = "aghadoe-kerry"
    AGHADOON_MAYO = "aghadoon-mayo"
    AGHADOWEY_DERRY = "aghadowey-derry"
    AGHAGALLON_ANTRIM = "aghagallon-antrim"
    AGHAGOWER_MAYO = "aghagower-mayo"
    AGHALEE_ANTRIM = "aghalee-antrim"
    AGHAMORE_LEITRIM = "aghamore-leitrim"
    AGHAMORE_MAYO = "aghamore-mayo"
    AGHAVILLE_CORK = "aghaville-cork"
    AGHLEAM_MAYO = "aghleam-mayo"
    AGHNABLANEY_FERMANAGH = "aghnablaney-fermanagh"
    AGHOWLE_WICKLOW = "aghowle-wicklow"
    AGLISH_TIPPERARY = "aglish-tipperary"
    AGLISH_WATERFORD = "aglish-waterford"
    AHAKISTA_CORK = "ahakista-cork"
    AHANE_LIMERICK = "ahane-limerick"
    AHARNEY_OFFALY = "aharney-offaly"
    AHASCRAGH_GALWAY = "ahascragh-galway"
    AHENNY_TIPPERARY = "ahenny-tipperary"
    AHERLA_CORK = "aherla-cork"
    AHERLOW_TIPPERARY = "aherlow-tipperary"
    AHOGHILL_ANTRIM = "ahoghill-antrim"
    AILLE_GALWAY = "aille-galway"
    ALBERTBRIDGE_ROAD_DOWN = "albertbridge-road-down"
    ALDERGROVE_ANTRIM = "aldergrove-antrim"
    ALL_HALLOWS_COLLEGE_DUBLIN = "all-hallows-college-dublin"
    ALLEN_KILDARE = "allen-kildare"
    ALLENWOOD_KILDARE = "allenwood-kildare"
    ALLIHIES_CORK = "allihies-cork"
    ALLOON_LOWER_GALWAY = "alloon-lower-galway"
    ALTAGOWLAN_ROSCOMMON = "altagowlan-roscommon"
    ALTNAPASTE_DONEGAL = "altnapaste-donegal"
    AMERICAN_COLLEGE_DUBLIN_DUBLIN = "american-college-dublin-dublin"
    AN_GEATA_MOR_MAYO = "an-geata-mor-mayo"
    ANASCAUL_KERRY = "anascaul-kerry"
    ANDERSONSTOWN_ANTRIM = "andersonstown-antrim"
    ANGLESBORO_LIMERICK = "anglesboro-limerick"
    ANNACARRIGA_CLARE = "annacarriga-clare"
    ANNACARTY_TIPPERARY = "annacarty-tipperary"
    ANNACLONE_DOWN = "annaclone-down"
    ANNACLOY_DOWN = "annacloy-down"
    ANNACOTTY_LIMERICK = "annacotty-limerick"
    ANNADALE_ANTRIM = "annadale-antrim"
    ANNADUFF_LEITRIM = "annaduff-leitrim"
    ANNAGASSAN_LOUTH = "annagassan-louth"
    ANNAGHDOWN_GALWAY = "annaghdown-galway"
    ANNAGRY_DONEGAL = "annagry-donegal"
    ANNAHILT_DOWN = "annahilt-down"
    ANNALLONG_DOWN = "annallong-down"
    ANNAMOE_WICKLOW = "annamoe-wicklow"
    ANNAYALLA_MONAGHAN = "annayalla-monaghan"
    ANNESTOWN_WATERFORD = "annestown-waterford"
    ANNFIELD_TIPPERARY = "annfield-tipperary"
    ANTRIM_COUNTY = "antrim"
    ANTRIM_ROAD_ANTRIM = "antrim-road-antrim"
    ANTRIM_ANTRIM = "antrim-antrim"
    ARAGLIN_CORK = "araglin-cork"
    ARAN_ISLANDS_GALWAY = "aran-islands-galway"
    ARBOUR_HILL_DUBLIN = "arbour-hill-dublin"
    ARCHERSTOWN_WESTMEATH = "archerstown-westmeath"
    ARD_NA_GREINE_DUBLIN = "ard-na-greine-dublin"
    ARD_GALWAY = "ard-galway"
    ARDAGH_DONEGAL = "ardagh-donegal"
    ARDAGH_LIMERICK = "ardagh-limerick"
    ARDAGH_LONGFORD = "ardagh-longford"
    ARDAMINE_WEXFORD = "ardamine-wexford"
    ARDAN_OFFALY = "ardan-offaly"
    ARDANAIRY_WICKLOW = "ardanairy-wicklow"
    ARDANEW_MEATH = "ardanew-meath"
    ARDARA_DONEGAL = "ardara-donegal"
    ARDATTIN_CARLOW = "ardattin-carlow"
    ARDBOE_TYRONE = "ardboe-tyrone"
    ARDCATH_MEATH = "ardcath-meath"
    ARDCLOON_GALWAY = "ardcloon-galway"
    ARDCRONY_TIPPERARY = "ardcrony-tipperary"
    ARDEA_KERRY = "ardea-kerry"
    ARDEE_SURROUNDS_LOUTH = "ardee-and-surrounds-louth"
    ARDEE_LOUTH = "ardee-louth"
    ARDFERT_KERRY = "ardfert-kerry"
    ARDFIELD_CORK = "ardfield-cork"
    ARDFINNAN_TIPPERARY = "ardfinnan-tipperary"
    ARDGEHANE_CORK = "ardgehane-cork"
    ARDGLASS_CORK = "ardglass-cork"
    ARDGLASS_DOWN = "ardglass-down"
    ARDGROOM_CORK = "ardgroom-cork"
    ARDKEEN_DOWN = "ardkeen-down"
    ARDKEEN_WATERFORD = "ardkeen-waterford"
    ARDLEA_LAOIS = "ardlea-laois"
    ARDLOUGHER_CAVAN = "ardlougher-cavan"
    ARDMILLAN_DOWN = "ardmillan-down"
    ARDMORE_DERRY = "ardmore-derry"
    ARDMORE_GALWAY = "ardmore-galway"
    ARDMORE_WATERFORD = "ardmore-waterford"
    ARDMORNEY_WESTMEATH = "ardmorney-westmeath"
    ARDMOY_SLIGO = "ardmoy-sligo"
    ARDNACRUSHA_CLARE = "ardnacrusha-clare"
    ARDNADOMAN_GALWAY = "ardnadoman-galway"
    ARDNAGREEVAGH_GALWAY = "ardnagreevagh-galway"
    ARDNASODAN_GALWAY = "ardnasodan-galway"
    ARDOYNE_ANTRIM = "ardoyne-antrim"
    ARDPATRICK_LIMERICK = "ardpatrick-limerick"
    ARDRAHAN_GALWAY = "ardrahan-galway"
    ARDSCULL_KILDARE = "ardscull-kildare"
    ARDSHANKILL_FERMANAGH = "ardshankill-fermanagh"
    ARIGNA_ROSCOMMON = "arigna-roscommon"
    ARKLOW_SURROUNDS_WICKLOW = "arklow-and-surrounds-wicklow"
    ARKLOW_WICKLOW = "arklow-wicklow"
    ARLESS_LAOIS = "arless-laois"
    ARMAGH_COUNTY = "armagh"
    ARMAGH_ARMAGH = "armagh-armagh"
    ARMOY_ANTRIM = "armoy-antrim"
    ARRANMORE_DONEGAL = "arranmore-donegal"
    ARRYHEERNABIN_DONEGAL = "arryheernabin-donegal"
    ARTANE_DUBLIN = "artane-dublin"
    ARTHURSTOWN_WEXFORD = "arthurstown-wexford"
    ARTICLAVE_DERRY = "articlave-derry"
    ARTIGARVAN_TYRONE = "artigarvan-tyrone"
    ARVA_CAVAN = "arva-cavan"
    ASHBOURNE_SURROUNDS_MEATH = "ashbourne-and-surrounds-meath"
    ASHBOURNE_MEATH = "ashbourne-meath"
    ASHFORD_LIMERICK = "ashford-limerick"
    ASHFORD_WICKLOW = "ashford-wicklow"
    ASHINGTON_DUBLIN = "ashington-dublin"
    ASHTON_CORK = "ashton-cork"
    ASHTOWN_DUBLIN = "ashtown-dublin"
    ASKAMORE_WEXFORD = "askamore-wexford"
    ASKANAGAP_WICKLOW = "askanagap-wicklow"
    ASKEATON_LIMERICK = "askeaton-limerick"
    ASKILL_LEITRIM = "askill-leitrim"
    ASTEE_KERRY = "astee-kerry"
    ATHBOY_MEATH = "athboy-meath"
    ATHDOWN_WICKLOW = "athdown-wicklow"
    ATHEA_LIMERICK = "athea-limerick"
    ATHENRY_SURROUNDS_GALWAY = "athenry-and-surrounds-galway"
    ATHENRY_GALWAY = "athenry-galway"
    ATHGARVAN_KILDARE = "athgarvan-kildare"
    ATHLACCA_LIMERICK = "athlacca-limerick"
    ATHLEAGUE_ROSCOMMON = "athleague-roscommon"
    ATHLONE_SURROUNDS_ROSCOMMON = "athlone-and-surrounds-roscommon"
    ATHLONE_SURROUNDS_WESTMEATH = "athlone-and-surrounds-westmeath"
    ATHLONE_INSTITUTE_OF_TECHNOLOGY_WESTMEATH = "athlone-institute-of-technology-westmeath"
    ATHLONE_ROSCOMMON = "athlone-roscommon"
    ATHLONE_WESTMEATH = "athlone-westmeath"
    ATHLUMNEY_MEATH = "athlumney-meath"
    ATHNID_TIPPERARY = "athnid-tipperary"
    ATHY_SURROUNDS_KILDARE = "athy-and-surrounds-kildare"
    ATHY_KILDARE = "athy-kildare"
    ATTAVALLY_MAYO = "attavally-mayo"
    ATTICAL_DOWN = "attical-down"
    ATTYMASS_MAYO = "attymass-mayo"
    ATTYMON_GALWAY = "attymon-galway"
    AUCLOGGEEN_GALWAY = "aucloggeen-galway"
    AUGHA_CARLOW = "augha-carlow"
    AUGHACASHEL_LEITRIM = "aughacashel-leitrim"
    AUGHACASLA_KERRY = "aughacasla-kerry"
    AUGHAGAULT_DONEGAL = "aughagault-donegal"
    AUGHAVANNAGH_WICKLOW = "aughavannagh-wicklow"
    AUGHAVAS_LEITRIM = "aughavas-leitrim"
    AUGHER_TYRONE = "augher-tyrone"
    AUGHILS_KERRY = "aughils-kerry"
    AUGHINISH_CLARE = "aughinish-clare"
    AUGHKEELY_DONEGAL = "aughkeely-donegal"
    AUGHNACLIFFE_LONGFORD = "aughnacliffe-longford"
    AUGHNACLOY_TYRONE = "aughnacloy-tyrone"
    AUGHNAMULLEN_MONAGHAN = "aughnamullen-monaghan"
    AUGHNASHEELAN_LEITRIM = "aughnasheelan-leitrim"
    AUGHRIM_GALWAY = "aughrim-galway"
    AUGHRIM_WICKLOW = "aughrim-wicklow"
    AUGHRIS_SLIGO = "aughris-sligo"
    AUGHRUS_MORE_GALWAY = "aughrus-more-galway"
    AVOCA_WICKLOW = "avoca-wicklow"
    AYLESBURY_DUBLIN = "aylesbury-dublin"
    AYRFIELD_DUBLIN = "ayrfield-dublin"
    BAGENALSTOWN_CARLOW = "bagenalstown-carlow"
    BAILIEBOROUGH_SURROUNDS_CAVAN = "bailieborough-and-surrounds-cavan"
    BAILIEBOROUGH_CAVAN = "bailieborough-cavan"
    BALBRIGGAN_SURROUNDS_DUBLIN = "balbriggan-and-surrounds-dublin"
    BALBRIGGAN_DUBLIN = "balbriggan-dublin"
    BALDONNELL_DUBLIN = "baldonnell-dublin"
    BALDOYLE_DUBLIN = "baldoyle-dublin"
    BALDWINSTOWN_WEXFORD = "baldwinstown-wexford"
    BALGRIFFIN_DUBLIN = "balgriffin-dublin"
    BALLA_MAYO = "balla-mayo"
    BALLACOLLA_LAOIS = "ballacolla-laois"
    BALLAGH_FERMANAGH = "ballagh-fermanagh"
    BALLAGH_GALWAY = "ballagh-galway"
    BALLAGH_LIMERICK = "ballagh-limerick"
    BALLAGH_ROSCOMMON = "ballagh-roscommon"
    BALLAGH_TIPPERARY = "ballagh-tipperary"
    BALLAGHADERREEN_ROSCOMMON = "ballaghaderreen-roscommon"
    BALLAGHBEHY_LIMERICK = "ballaghbehy-limerick"
    BALLAGHKEEN_WEXFORD = "ballaghkeen-wexford"
    BALLAGHMORE_LAOIS = "ballaghmore-laois"
    BALLAGHNATRILLICK_SLIGO = "ballaghnatrillick-sligo"
    BALLARD_GALWAY = "ballard-galway"
    BALLARD_WICKLOW = "ballard-wicklow"
    BALLARDIGGAN_GALWAY = "ballardiggan-galway"
    BALLEEN_KILKENNY = "balleen-kilkenny"
    BALLICKMOYLER_LAOIS = "ballickmoyler-laois"
    BALLINA_SURROUNDS_MAYO = "ballina-and-surrounds-mayo"
    BALLINA_MAYO = "ballina-mayo"
    BALLINA_TIPPERARY = "ballina-tipperary"
    BALLINABARNA_WEXFORD = "ballinabarna-wexford"
    BALLINABOOLA_WEXFORD = "ballinaboola-wexford"
    BALLINABOY_GALWAY = "ballinaboy-galway"
    BALLINABRACKEY_MEATH = "ballinabrackey-meath"
    BALLINABRANAGH_CARLOW = "ballinabranagh-carlow"
    BALLINACARROW_SLIGO = "ballinacarrow-sligo"
    BALLINACLASH_WICKLOW = "ballinaclash-wicklow"
    BALLINACOR_WICKLOW = "ballinacor-wicklow"
    BALLINACURRA_LIMERICK = "ballinacurra-limerick"
    BALLINADEE_CORK = "ballinadee-cork"
    BALLINAFAD_GALWAY = "ballinafad-galway"
    BALLINAFAD_SLIGO = "ballinafad-sligo"
    BALLINAGAR_OFFALY = "ballinagar-offaly"
    BALLINAGARE_ROSCOMMON = "ballinagare-roscommon"
    BALLINAGARRANE_LIMERICK = "ballinagarrane-limerick"
    BALLINAGH_CAVAN = "ballinagh-cavan"
    BALLINAGLERAGH_LEITRIM = "ballinagleragh-leitrim"
    BALLINAGORE_WESTMEATH = "ballinagore-westmeath"
    BALLINAHEGLISH_ROSCOMMON = "ballinaheglish-roscommon"
    BALLINAHINCH_TIPPERARY = "ballinahinch-tipperary"
    BALLINAHOW_KERRY = "ballinahow-kerry"
    BALLINAHOW_TIPPERARY = "ballinahow-tipperary"
    BALLINAHOWN_WESTMEATH = "ballinahown-westmeath"
    BALLINAKILL_KILKENNY = "ballinakill-kilkenny"
    BALLINAKILL_LAOIS = "ballinakill-laois"
    BALLINALACK_WESTMEATH = "ballinalack-westmeath"
    BALLINALEA_WICKLOW = "ballinalea-wicklow"
    BALLINALEE_LONGFORD = "ballinalee-longford"
    BALLINAMARA_KILKENNY = "ballinamara-kilkenny"
    BALLINAMEEN_ROSCOMMON = "ballinameen-roscommon"
    BALLINAMONA_WATERFORD = "ballinamona-waterford"
    BALLINAMORE_BRIDGE_GALWAY = "ballinamore-bridge-galway"
    BALLINAMORE_LEITRIM = "ballinamore-leitrim"
    BALLINAMUCK_LONGFORD = "ballinamuck-longford"
    BALLINAMULT_WATERFORD = "ballinamult-waterford"
    BALLINASCARTY_CORK = "ballinascarty-cork"
    BALLINASCORNEY_DUBLIN = "ballinascorney-dublin"
    BALLINASLOE_SURROUNDS_GALWAY = "ballinasloe-and-surrounds-galway"
    BALLINASLOE_GALWAY = "ballinasloe-galway"
    BALLINASPICK_WATERFORD = "ballinaspick-waterford"
    BALLINCLASHET_CORK = "ballinclashet-cork"
    BALLINCLEA_WICKLOW = "ballinclea-wicklow"
    BALLINCLOHER_KERRY = "ballincloher-kerry"
    BALLINCOLLIG_CORK = "ballincollig-cork"
    BALLINCREA_KILKENNY = "ballincrea-kilkenny"
    BALLINCROKIG_CORK = "ballincrokig-cork"
    BALLINCURRIG_CORK = "ballincurrig-cork"
    BALLINDAGGAN_WEXFORD = "ballindaggan-wexford"
    BALLINDERREEN_GALWAY = "ballinderreen-galway"
    BALLINDERRY_TIPPERARY = "ballinderry-tipperary"
    BALLINDERRY_WICKLOW = "ballinderry-wicklow"
    BALLINDINE_MAYO = "ballindine-mayo"
    BALLINDRAIT_DONEGAL = "ballindrait-donegal"
    BALLINDUD_WATERFORD = "ballindud-waterford"
    BALLINEANIG_KERRY = "ballineanig-kerry"
    BALLINEEN_CORK = "ballineen-cork"
    BALLINFULL_SLIGO = "ballinfull-sligo"
    BALLINGARRY_LIMERICK = "ballingarry-limerick"
    BALLINGARRY_TIPPERARY = "ballingarry-tipperary"
    BALLINGEARY_CORK = "ballingeary-cork"
    BALLINGURTEEN_CORK = "ballingurteen-cork"
    BALLINHASSIG_CORK = "ballinhassig-cork"
    BALLINKILLIN_CARLOW = "ballinkillin-carlow"
    BALLINLEENY_LIMERICK = "ballinleeny-limerick"
    BALLINLOGHIG_KERRY = "ballinloghig-kerry"
    BALLINLOUGH_CORK = "ballinlough-cork"
    BALLINLOUGH_MEATH = "ballinlough-meath"
    BALLINLOUGH_ROSCOMMON = "ballinlough-roscommon"
    BALLINLUSKA_CORK = "ballinluska-cork"
    BALLINODE_MONAGHAN = "ballinode-monaghan"
    BALLINODE_SLIGO = "ballinode-sligo"
    BALLINORA_CORK = "ballinora-cork"
    BALLINREA_CORK = "ballinrea-cork"
    BALLINROBE_MAYO = "ballinrobe-mayo"
    BALLINRUAN_CLARE = "ballinruan-clare"
    BALLINSKELLIGS_KERRY = "ballinskelligs-kerry"
    BALLINSPITTLE_CORK = "ballinspittle-cork"
    BALLINTEER_DUBLIN = "ballinteer-dublin"
    BALLINTEMPLE_CORK = "ballintemple-cork"
    BALLINTEMPLE_GALWAY = "ballintemple-galway"
    BALLINTOGHER_SLIGO = "ballintogher-sligo"
    BALLINTOY_ANTRIM = "ballintoy-antrim"
    BALLINTRA_DONEGAL = "ballintra-donegal"
    BALLINTRILLICK_SLIGO = "ballintrillick-sligo"
    BALLINTUBBER_MAYO = "ballintubber-mayo"
    BALLINTUBBER_ROSCOMMON = "ballintubber-roscommon"
    BALLINTUBBERT_LAOIS = "ballintubbert-laois"
    BALLINURE_CORK = "ballinure-cork"
    BALLINURE_TIPPERARY = "ballinure-tipperary"
    BALLINVARRY_KILKENNY = "ballinvarry-kilkenny"
    BALLINVEILTIG_CORK = "ballinveiltig-cork"
    BALLINVOULTIG_CORK = "ballinvoultig-cork"
    BALLINVRINSIG_CORK = "ballinvrinsig-cork"
    BALLINVUSKIG_CORK = "ballinvuskig-cork"
    BALLISODARE_SLIGO = "ballisodare-sligo"
    BALLITORE_KILDARE = "ballitore-kildare"
    BALLIVOR_MEATH = "ballivor-meath"
    BALLON_CARLOW = "ballon-carlow"
    BALLOOR_LEITRIM = "balloor-leitrim"
    BALLOUGHTER_WEXFORD = "balloughter-wexford"
    BALLSBRIDGE_DUBLIN = "ballsbridge-dublin"
    BALLURE_DONEGAL = "ballure-donegal"
    BALLYADAMS_LAOIS = "ballyadams-laois"
    BALLYAGRAN_LIMERICK = "ballyagran-limerick"
    BALLYALLINAN_LIMERICK = "ballyallinan-limerick"
    BALLYANEEN_WATERFORD = "ballyaneen-waterford"
    BALLYBANE_GALWAY = "ballybane-galway"
    BALLYBANNON_CARLOW = "ballybannon-carlow"
    BALLYBAY_SURROUNDS_MONAGHAN = "ballybay-and-surrounds-monaghan"
    BALLYBAY_MONAGHAN = "ballybay-monaghan"
    BALLYBEG_TIPPERARY = "ballybeg-tipperary"
    BALLYBODEN_DUBLIN = "ballyboden-dublin"
    BALLYBOFEY_SURROUNDS_DONEGAL = "ballybofey-and-surrounds-donegal"
    BALLYBOFEY_DONEGAL = "ballybofey-donegal"
    BALLYBOGY_ANTRIM = "ballybogy-antrim"
    BALLYBOUGH_DUBLIN = "ballybough-dublin"
    BALLYBOUGHAL_DUBLIN = "ballyboughal-dublin"
    BALLYBOY_OFFALY = "ballyboy-offaly"
    BALLYBRACK_DUBLIN = "ballybrack-dublin"
    BALLYBRACK_KERRY = "ballybrack-kerry"
    BALLYBRIT_GALWAY = "ballybrit-galway"
    BALLYBRITTAS_LAOIS = "ballybrittas-laois"
    BALLYBROMMEL_CARLOW = "ballybrommel-carlow"
    BALLYBROOD_LIMERICK = "ballybrood-limerick"
    BALLYBROPHY_LAOIS = "ballybrophy-laois"
    BALLYBRYAN_OFFALY = "ballybryan-offaly"
    BALLYBUNION_KERRY = "ballybunion-kerry"
    BALLYBURDEN_CORK = "ballyburden-cork"
    BALLYBURKE_GALWAY = "ballyburke-galway"
    BALLYCAHILL_TIPPERARY = "ballycahill-tipperary"
    BALLYCALLAN_KILKENNY = "ballycallan-kilkenny"
    BALLYCANEW_WEXFORD = "ballycanew-wexford"
    BALLYCARNEY_WEXFORD = "ballycarney-wexford"
    BALLYCARRY_ANTRIM = "ballycarry-antrim"
    BALLYCASTLE_ANTRIM = "ballycastle-antrim"
    BALLYCASTLE_MAYO = "ballycastle-mayo"
    BALLYCLARE_ANTRIM = "ballyclare-antrim"
    BALLYCLARE_ROSCOMMON = "ballyclare-roscommon"
    BALLYCLERAHAN_TIPPERARY = "ballyclerahan-tipperary"
    BALLYCLERY_GALWAY = "ballyclery-galway"
    BALLYCLOUGH_CORK = "ballyclough-cork"
    BALLYCLOUGH_LIMERICK = "ballyclough-limerick"
    BALLYCOLLA_LAOIS = "ballycolla-laois"
    BALLYCOMMON_TIPPERARY = "ballycommon-tipperary"
    BALLYCONNEELY_GALWAY = "ballyconneely-galway"
    BALLYCONNELL_CAVAN = "ballyconnell-cavan"
    BALLYCONNELL_SLIGO = "ballyconnell-sligo"
    BALLYCONNELL_WICKLOW = "ballyconnell-wicklow"
    BALLYCONNIGAR_WEXFORD = "ballyconnigar-wexford"
    BALLYCOOLIN_DUBLIN = "ballycoolin-dublin"
    BALLYCORICK_CLARE = "ballycorick-clare"
    BALLYCORUS_DUBLIN = "ballycorus-dublin"
    BALLYCOTTON_CORK = "ballycotton-cork"
    BALLYCROSSAUN_GALWAY = "ballycrossaun-galway"
    BALLYCROY_MAYO = "ballycroy-mayo"
    BALLYCULLANE_WEXFORD = "ballycullane-wexford"
    BALLYCULLEN_DUBLIN = "ballycullen-dublin"
    BALLYCULLEN_WICKLOW = "ballycullen-wicklow"
    BALLYCUMBER_OFFALY = "ballycumber-offaly"
    BALLYCUMMIN_LIMERICK = "ballycummin-limerick"
    BALLYDANGAN_ROSCOMMON = "ballydangan-roscommon"
    BALLYDAVID_GALWAY = "ballydavid-galway"
    BALLYDAVID_KERRY = "ballydavid-kerry"
    BALLYDAVIS_LAOIS = "ballydavis-laois"
    BALLYDEHOB_CORK = "ballydehob-cork"
    BALLYDESMOND_CORK = "ballydesmond-cork"
    BALLYDONEGAN_CORK = "ballydonegan-cork"
    BALLYDUFF_KERRY = "ballyduff-kerry"
    BALLYDUFF_WATERFORD = "ballyduff-waterford"
    BALLYDUFF_WEXFORD = "ballyduff-wexford"
    BALLYEDMOND_WEXFORD = "ballyedmond-wexford"
    BALLYFAD_WEXFORD = "ballyfad-wexford"
    BALLYFAIR_KILDARE = "ballyfair-kildare"
    BALLYFARNAGH_MAYO = "ballyfarnagh-mayo"
    BALLYFARNON_ROSCOMMON = "ballyfarnon-roscommon"
    BALLYFEARD_CORK = "ballyfeard-cork"
    BALLYFERMOT_COLLEGE_OF_FURTHER_EDUCATION_DUBLIN = "ballyfermot-college-of-further-education-dublin"
    BALLYFERMOT_DUBLIN = "ballyfermot-dublin"
    BALLYFERRITER_KERRY = "ballyferriter-kerry"
    BALLYFIN_LAOIS = "ballyfin-laois"
    BALLYFINAGHY_ANTRIM = "ballyfinaghy-antrim"
    BALLYFORAN_ROSCOMMON = "ballyforan-roscommon"
    BALLYFORE_OFFALY = "ballyfore-offaly"
    BALLYFOYLE_KILKENNY = "ballyfoyle-kilkenny"
    BALLYGAR_GALWAY = "ballygar-galway"
    BALLYGARRETT_WEXFORD = "ballygarrett-wexford"
    BALLYGARRIES_MAYO = "ballygarries-mayo"
    BALLYGARVAN_CORK = "ballygarvan-cork"
    BALLYGAWLEY_SLIGO = "ballygawley-sligo"
    BALLYGAWLEY_TYRONE = "ballygawley-tyrone"
    BALLYGLASS_MAYO = "ballyglass-mayo"
    BALLYGLUNIN_GALWAY = "ballyglunin-galway"
    BALLYGOMARTIN_ANTRIM = "ballygomartin-antrim"
    BALLYGORMAN_DONEGAL = "ballygorman-donegal"
    BALLYGOWAN_DOWN = "ballygowan-down"
    BALLYGRENNAN_LIMERICK = "ballygrennan-limerick"
    BALLYGRIFFIN_KILKENNY = "ballygriffin-kilkenny"
    BALLYGRIFFIN_TIPPERARY = "ballygriffin-tipperary"
    BALLYGUNNER_WATERFORD = "ballygunner-waterford"
    BALLYHACK_WEXFORD = "ballyhack-wexford"
    BALLYHACKAMORE_ANTRIM = "ballyhackamore-antrim"
    BALLYHACKET_CARLOW = "ballyhacket-carlow"
    BALLYHAGHT_LIMERICK = "ballyhaght-limerick"
    BALLYHAHILL_LIMERICK = "ballyhahill-limerick"
    BALLYHAISE_CAVAN = "ballyhaise-cavan"
    BALLYHALBERT_DOWN = "ballyhalbert-down"
    BALLYHALE_GALWAY = "ballyhale-galway"
    BALLYHALE_KILKENNY = "ballyhale-kilkenny"
    BALLYHAR_KERRY = "ballyhar-kerry"
    BALLYHAUNIS_MAYO = "ballyhaunis-mayo"
    BALLYHEAN_MAYO = "ballyhean-mayo"
    BALLYHEAR_GALWAY = "ballyhear-galway"
    BALLYHEELAN_CAVAN = "ballyheelan-cavan"
    BALLYHEERIN_DONEGAL = "ballyheerin-donegal"
    BALLYHEIGUE_KERRY = "ballyheigue-kerry"
    BALLYHILLIN_DONEGAL = "ballyhillin-donegal"
    BALLYHOE_MEATH = "ballyhoe-meath"
    BALLYHOGUE_WEXFORD = "ballyhogue-wexford"
    BALLYHOLME_DOWN = "ballyholme-down"
    BALLYHOOLY_CORK = "ballyhooly-cork"
    BALLYHORNAN_DOWN = "ballyhornan-down"
    BALLYHUPPAHANE_LAOIS = "ballyhuppahane-laois"
    BALLYJAMESDUFF_CAVAN = "ballyjamesduff-cavan"
    BALLYKEAN_OFFALY = "ballykean-offaly"
    BALLYKEEFE_KILKENNY = "ballykeefe-kilkenny"
    BALLYKEEL_ANTRIM = "ballykeel-antrim"
    BALLYKEEL_DOWN = "ballykeel-down"
    BALLYKEERAN_WESTMEATH = "ballykeeran-westmeath"
    BALLYKELLY_DERRY = "ballykelly-derry"
    BALLYKEOGHAN_KILKENNY = "ballykeoghan-kilkenny"
    BALLYKILLEEN_OFFALY = "ballykilleen-offaly"
    BALLYKNOCKAN_WICKLOW = "ballyknockan-wicklow"
    BALLYLACY_WEXFORD = "ballylacy-wexford"
    BALLYLAGHNAN_CLARE = "ballylaghnan-clare"
    BALLYLANDERS_LIMERICK = "ballylanders-limerick"
    BALLYLANEEN_WATERFORD = "ballylaneen-waterford"
    BALLYLEAGUE_ROSCOMMON = "ballyleague-roscommon"
    BALLYLESSON_DOWN = "ballylesson-down"
    BALLYLICKEY_CORK = "ballylickey-cork"
    BALLYLIFFIN_DONEGAL = "ballyliffin-donegal"
    BALLYLINE_KILKENNY = "ballyline-kilkenny"
    BALLYLONGFORD_KERRY = "ballylongford-kerry"
    BALLYLOOBY_TIPPERARY = "ballylooby-tipperary"
    BALLYLUCAS_WEXFORD = "ballylucas-wexford"
    BALLYLYNAN_LAOIS = "ballylynan-laois"
    BALLYMACARBRY_WATERFORD = "ballymacarbry-waterford"
    BALLYMACARRETT_DOWN = "ballymacarrett-down"
    BALLYMACAW_WATERFORD = "ballymacaw-waterford"
    BALLYMACELLIGOTT_KERRY = "ballymacelligott-kerry"
    BALLYMACHUGH_CAVAN = "ballymachugh-cavan"
    BALLYMACK_KILKENNY = "ballymack-kilkenny"
    BALLYMACKEY_TIPPERARY = "ballymackey-tipperary"
    BALLYMACODA_CORK = "ballymacoda-cork"
    BALLYMACURLEY_ROSCOMMON = "ballymacurley-roscommon"
    BALLYMACWARD_GALWAY = "ballymacward-galway"
    BALLYMADOG_CORK = "ballymadog-cork"
    BALLYMAGAN_DONEGAL = "ballymagan-donegal"
    BALLYMAGARAGHY_DONEGAL = "ballymagaraghy-donegal"
    BALLYMAGARRY_ANTRIM = "ballymagarry-antrim"
    BALLYMAGORRY_TYRONE = "ballymagorry-tyrone"
    BALLYMAHON_LONGFORD = "ballymahon-longford"
    BALLYMAKEAGH_CORK = "ballymakeagh-cork"
    BALLYMAKEERA_CORK = "ballymakeera-cork"
    BALLYMAKENNY_LOUTH = "ballymakenny-louth"
    BALLYMARTIN_DOWN = "ballymartin-down"
    BALLYMARTLE_CORK = "ballymartle-cork"
    BALLYMENA_ANTRIM = "ballymena-antrim"
    BALLYMITTY_WEXFORD = "ballymitty-wexford"
    BALLYMOE_GALWAY = "ballymoe-galway"
    BALLYMONEEN_GALWAY = "ballymoneen-galway"
    BALLYMONEY_ANTRIM = "ballymoney-antrim"
    BALLYMONEY_WEXFORD = "ballymoney-wexford"
    BALLYMORE_EUSTACE_KILDARE = "ballymore-eustace-kildare"
    BALLYMORE_DONEGAL = "ballymore-donegal"
    BALLYMORE_WESTMEATH = "ballymore-westmeath"
    BALLYMORRIS_WICKLOW = "ballymorris-wicklow"
    BALLYMOTE_SLIGO = "ballymote-sligo"
    BALLYMOUNT_DUBLIN = "ballymount-dublin"
    BALLYMUN_DUBLIN = "ballymun-dublin"
    BALLYMURN_WEXFORD = "ballymurn-wexford"
    BALLYMURPHY_ANTRIM = "ballymurphy-antrim"
    BALLYMURPHY_CARLOW = "ballymurphy-carlow"
    BALLYMURRAGH_LIMERICK = "ballymurragh-limerick"
    BALLYMURRAY_ROSCOMMON = "ballymurray-roscommon"
    BALLYNACALLAGH_CORK = "ballynacallagh-cork"
    BALLYNACALLY_CLARE = "ballynacally-clare"
    BALLYNACARRICK_DONEGAL = "ballynacarrick-donegal"
    BALLYNACARRIGA_CORK = "ballynacarriga-cork"
    BALLYNACARRIGY_WESTMEATH = "ballynacarrigy-westmeath"
    BALLYNACORRA_CORK = "ballynacorra-cork"
    BALLYNACOURTY_WATERFORD = "ballynacourty-waterford"
    BALLYNADRUMNY_KILDARE = "ballynadrumny-kildare"
    BALLYNAFEIGH_ANTRIM = "ballynafeigh-antrim"
    BALLYNAFID_WESTMEATH = "ballynafid-westmeath"
    BALLYNAGAUL_WATERFORD = "ballynagaul-waterford"
    BALLYNAGREE_CORK = "ballynagree-cork"
    BALLYNAGUILKEE_WATERFORD = "ballynaguilkee-waterford"
    BALLYNAHINCH_DOWN = "ballynahinch-down"
    BALLYNAHINCH_GALWAY = "ballynahinch-galway"
    BALLYNAHOWN_GALWAY = "ballynahown-galway"
    BALLYNAKILL_CARLOW = "ballynakill-carlow"
    BALLYNAKILL_OFFALY = "ballynakill-offaly"
    BALLYNAKILL_WESTMEATH = "ballynakill-westmeath"
    BALLYNAKILLY_KERRY = "ballynakilly-kerry"
    BALLYNAMALLARD_FERMANAGH = "ballynamallard-fermanagh"
    BALLYNAMONA_CORK = "ballynamona-cork"
    BALLYNANTY_LIMERICK = "ballynanty-limerick"
    BALLYNARE_MEATH = "ballynare-meath"
    BALLYNASHANNAGH_DONEGAL = "ballynashannagh-donegal"
    BALLYNASKREENA_KERRY = "ballynaskreena-kerry"
    BALLYNASTANGFORD_MAYO = "ballynastangford-mayo"
    BALLYNASTRAW_WEXFORD = "ballynastraw-wexford"
    BALLYNEETY_LIMERICK = "ballyneety-limerick"
    BALLYNEIL_TIPPERARY = "ballyneil-tipperary"
    BALLYNOE_CORK = "ballynoe-cork"
    BALLYNOE_DOWN = "ballynoe-down"
    BALLYNONTY_TIPPERARY = "ballynonty-tipperary"
    BALLYNURE_ANTRIM = "ballynure-antrim"
    BALLYORGAN_LIMERICK = "ballyorgan-limerick"
    BALLYPATRICK_TIPPERARY = "ballypatrick-tipperary"
    BALLYPHEHANE_CORK = "ballyphehane-cork"
    BALLYPOREEN_TIPPERARY = "ballyporeen-tipperary"
    BALLYQUIN_KERRY = "ballyquin-kerry"
    BALLYRAGGET_KILKENNY = "ballyragget-kilkenny"
    BALLYROAN_LAOIS = "ballyroan-laois"
    BALLYROBERT_ANTRIM = "ballyrobert-antrim"
    BALLYRODDY_ROSCOMMON = "ballyroddy-roscommon"
    BALLYROE_KILDARE = "ballyroe-kildare"
    BALLYROEBUCK_WEXFORD = "ballyroebuck-wexford"
    BALLYRONAN_DERRY = "ballyronan-derry"
    BALLYRONEY_DOWN = "ballyroney-down"
    BALLYROON_CORK = "ballyroon-cork"
    BALLYRUSHBOY_DOWN = "ballyrushboy-down"
    BALLYSAX_KILDARE = "ballysax-kildare"
    BALLYSHANNON_SURROUNDS_DONEGAL = "ballyshannon-and-surrounds-donegal"
    BALLYSHANNON_DONEGAL = "ballyshannon-donegal"
    BALLYSHANNON_KILDARE = "ballyshannon-kildare"
    BALLYSHEEDY_LIMERICK = "ballysheedy-limerick"
    BALLYSILLAN_ANTRIM = "ballysillan-antrim"
    BALLYSIMON_LIMERICK = "ballysimon-limerick"
    BALLYSLOE_TIPPERARY = "ballysloe-tipperary"
    BALLYSTEEN_LIMERICK = "ballysteen-limerick"
    BALLYTOOHY_MAYO = "ballytoohy-mayo"
    BALLYTRUCKLE_WATERFORD = "ballytruckle-waterford"
    BALLYVARY_MAYO = "ballyvary-mayo"
    BALLYVAUGHAN_CLARE = "ballyvaughan-clare"
    BALLYVOGE_CORK = "ballyvoge-cork"
    BALLYVOLANE_CORK = "ballyvolane-cork"
    BALLYVONEEN_GALWAY = "ballyvoneen-galway"
    BALLYVOURNEY_CORK = "ballyvourney-cork"
    BALLYWALTER_DOWN = "ballywalter-down"
    BALLYWARD_DOWN = "ballyward-down"
    BALLYWILLIAM_WEXFORD = "ballywilliam-wexford"
    BALNAMORE_ANTRIM = "balnamore-antrim"
    BALRATH_MEATH = "balrath-meath"
    BALROTHERY_DUBLIN = "balrothery-dublin"
    BALSCADDAN_DUBLIN = "balscaddan-dublin"
    BALTIMORE_CORK = "baltimore-cork"
    BALTINGLASS_WICKLOW = "baltinglass-wicklow"
    BALTRAY_LOUTH = "baltray-louth"
    BANADA_SLIGO = "banada-sligo"
    BANAGHER_OFFALY = "banagher-offaly"
    BANBRIDGE_DOWN = "banbridge-down"
    BANDON_SURROUNDS_CORK = "bandon-and-surrounds-cork"
    BANDON_CORK = "bandon-cork"
    BANDUFF_CORK = "banduff-cork"
    BANEMORE_LIMERICK = "banemore-limerick"
    BANGOR_ERRIS_MAYO = "bangor-erris-mayo"
    BANGOR_DOWN = "bangor-down"
    BANNA_KERRY = "banna-kerry"
    BANNAGHER_GALWAY = "bannagher-galway"
    BANNOW_WEXFORD = "bannow-wexford"
    BANOGUE_LIMERICK = "banogue-limerick"
    BANSHA_TIPPERARY = "bansha-tipperary"
    BANTEER_CORK = "banteer-cork"
    BANTRY_SURROUNDS_CORK = "bantry-and-surrounds-cork"
    BANTRY_CORK = "bantry-cork"
    BAREFIELD_CLARE = "barefield-clare"
    BARLEY_COVE_CORK = "barley-cove-cork"
    BARNA_GALWAY = "barna-galway"
    BARNA_LIMERICK = "barna-limerick"
    BARNA_OFFALY = "barna-offaly"
    BARNACAHOGE_MAYO = "barnacahoge-mayo"
    BARNADARRIG_WICKLOW = "barnadarrig-wicklow"
    BARNADERG_GALWAY = "barnaderg-galway"
    BARNATRA_MAYO = "barnatra-mayo"
    BARNAVARA_CORK = "barnavara-cork"
    BARNESMORE_DONEGAL = "barnesmore-donegal"
    BARNTOWN_WEXFORD = "barntown-wexford"
    BARNYCARROLL_MAYO = "barnycarroll-mayo"
    BARRACK_VILLAGE_KILKENNY = "barrack-village-kilkenny"
    BARRADUFF_KERRY = "barraduff-kerry"
    BARRIGONE_LIMERICK = "barrigone-limerick"
    BARRINGTONSBRIDGE_LIMERICK = "barringtonsbridge-limerick"
    BARRY_LONGFORD = "barry-longford"
    BARTLEMY_CORK = "bartlemy-cork"
    BATTERSTOWN_MEATH = "batterstown-meath"
    BAUNSKEHA_KILKENNY = "baunskeha-kilkenny"
    BAUNTLIEVE_CLARE = "bauntlieve-clare"
    BAWNBOY_CAVAN = "bawnboy-cavan"
    BAYSIDE_DUBLIN = "bayside-dublin"
    BEAGH_GALWAY = "beagh-galway"
    BEAGH_LEITRIM = "beagh-leitrim"
    BEAL_KERRY = "beal-kerry"
    BEALACLUGGA_CLARE = "bealaclugga-clare"
    BEALAD_CROSS_ROADS_CORK = "bealad-cross-roads-cork"
    BEALAHA_CLARE = "bealaha-clare"
    BEALDANGAN_GALWAY = "bealdangan-galway"
    BEALIN_WESTMEATH = "bealin-westmeath"
    BEALNABLATH_CORK = "bealnablath-cork"
    BEARA_CORK = "beara-cork"
    BEAUFORT_KERRY = "beaufort-kerry"
    BEAUMONT_DUBLIN = "beaumont-dublin"
    BECTIVE_MEATH = "bective-meath"
    BEECHMOUNT_ANTRIM = "beechmount-antrim"
    BEENNASKEHY_CORK = "beennaskehy-cork"
    BEERSBRIDGE_DOWN = "beersbridge-down"
    BEKAN_MAYO = "bekan-mayo"
    BELCARRA_MAYO = "belcarra-mayo"
    BELCLARE_GALWAY = "belclare-galway"
    BELCOO_FERMANAGH = "belcoo-fermanagh"
    BELDERRIG_MAYO = "belderrig-mayo"
    BELFARSAD_MAYO = "belfarsad-mayo"
    BELFAST_CITY = "belfast-city"
    BELFAST_CITY_CENTRE_ANTRIM = "belfast-city-centre-antrim"
    BELFAST_COMMUTER_TOWNS_ANTRIM = "belfast-commuter-towns-antrim"
    BELFIELD_DUBLIN = "belfield-dublin"
    BELGOOLY_CORK = "belgooly-cork"
    BELLACORICK_MAYO = "bellacorick-mayo"
    BELLADRIHID_SLIGO = "belladrihid-sligo"
    BELLAGARVAUN_MAYO = "bellagarvaun-mayo"
    BELLAGHY_DERRY = "bellaghy-derry"
    BELLAGHY_SLIGO = "bellaghy-sligo"
    BELLAHY_SLIGO = "bellahy-sligo"
    BELLANACARGY_CAVAN = "bellanacargy-cavan"
    BELLANAGARE_ROSCOMMON = "bellanagare-roscommon"
    BELLANALECK_FERMANAGH = "bellanaleck-fermanagh"
    BELLANAMORE_DONEGAL = "bellanamore-donegal"
    BELLEEK_ARMAGH = "belleek-armagh"
    BELLEEK_FERMANAGH = "belleek-fermanagh"
    BELLEVUE_ANTRIM = "bellevue-antrim"
    BELLEWSTOWN_MEATH = "bellewstown-meath"
    BELLHARBOUR_CLARE = "bellharbour-clare"
    BELMONT_DOWN = "belmont-down"
    BELMONT_OFFALY = "belmont-offaly"
    BELMULLET_MAYO = "belmullet-mayo"
    BELTRA_MAYO = "beltra-mayo"
    BELTRA_SLIGO = "beltra-sligo"
    BELTURBET_CAVAN = "belturbet-cavan"
    BELVELLY_CORK = "belvelly-cork"
    BELVILLE_MAYO = "belville-mayo"
    BELVOIR_DOWN = "belvoir-down"
    BENBURB_TYRONE = "benburb-tyrone"
    BENDOORAGH_ANTRIM = "bendooragh-antrim"
    BENNEKERRY_CARLOW = "bennekerry-carlow"
    BENNETTSBRIDGE_KILKENNY = "bennettsbridge-kilkenny"
    BERAGH_TYRONE = "beragh-tyrone"
    BERE_ISLAND_CORK = "bere-island-cork"
    BERRINGS_CORK = "berrings-cork"
    BESSBROOK_ARMAGH = "bessbrook-armagh"
    BETTYSTOWN_SURROUNDS_MEATH = "bettystown-and-surrounds-meath"
    BETTYSTOWN_MEATH = "bettystown-meath"
    BILBOA_LAOIS = "bilboa-laois"
    BILLIS_BRIDGE_CAVAN = "billis-bridge-cavan"
    BIRDHILL_TIPPERARY = "birdhill-tipperary"
    BIRR_SURROUNDS_OFFALY = "birr-and-surrounds-offaly"
    BIRR_OFFALY = "birr-offaly"
    BISHOPSTOWN_CORK = "bishopstown-cork"
    BLACK_LION_OFFALY = "black-lion-offaly"
    BLACKBULL_MEATH = "blackbull-meath"
    BLACKLION_CAVAN = "blacklion-cavan"
    BLACKPOOL_CORK = "blackpool-cork"
    BLACKROCK_CORK = "blackrock-cork"
    BLACKROCK_DUBLIN = "blackrock-dublin"
    BLACKROCK_LOUTH = "blackrock-louth"
    BLACKSKULL_DOWN = "blackskull-down"
    BLACKSTAFF_ANTRIM = "blackstaff-antrim"
    BLACKWATER_WEXFORD = "blackwater-wexford"
    BLACKWATERTOWN_ARMAGH = "blackwatertown-armagh"
    BLAINROE_WICKLOW = "blainroe-wicklow"
    BLANCHARDSTOWN_DUBLIN = "blanchardstown-dublin"
    BLANEY_FERMANAGH = "blaney-fermanagh"
    BLARNEY_CORK = "blarney-cork"
    BLEARY_DOWN = "bleary-down"
    BLESSINGTON_SURROUNDS_WICKLOW = "blessington-and-surrounds-wicklow"
    BLESSINGTON_WICKLOW = "blessington-wicklow"
    BLOOMFIELD_DOWN = "bloomfield-down"
    BLUE_BALL_OFFALY = "blue-ball-offaly"
    BLUEBELL_DUBLIN = "bluebell-dublin"
    BLUEFORD_CORK = "blueford-cork"
    BOARDMILLS_DOWN = "boardmills-down"
    BODYKE_CLARE = "bodyke-clare"
    BOFEENAUN_MAYO = "bofeenaun-mayo"
    BOGAY_DONEGAL = "bogay-donegal"
    BOGGAN_MEATH = "boggan-meath"
    BOGGAUN_TIPPERARY = "boggaun-tipperary"
    BOHATCH_CLARE = "bohatch-clare"
    BOHAUN_MAYO = "bohaun-mayo"
    BOHEESHIL_KERRY = "boheeshil-kerry"
    BOHER_LIMERICK = "boher-limerick"
    BOHERAPHUCA_OFFALY = "boheraphuca-offaly"
    BOHERBUE_CORK = "boherbue-cork"
    BOHEREEN_LIMERICK = "bohereen-limerick"
    BOHERLAHAN_TIPPERARY = "boherlahan-tipperary"
    BOHERMEEN_MEATH = "bohermeen-meath"
    BOHERMORE_GALWAY = "bohermore-galway"
    BOHERNABREENA_DUBLIN = "bohernabreena-dublin"
    BOHERQUILL_WESTMEATH = "boherquill-westmeath"
    BOHO_FERMANAGH = "boho-fermanagh"
    BOHOLA_MAYO = "bohola-mayo"
    BOLEY_KILDARE = "boley-kildare"
    BOLEYBEG_EAST_GALWAY = "boleybeg-east-galway"
    BOLEYBEG_GALWAY = "boleybeg-galway"
    BOLEYNASRUHAUN_GALWAY = "boleynasruhaun-galway"
    BOLINGLANNA_MAYO = "bolinglanna-mayo"
    BONANE_KERRY = "bonane-kerry"
    BONNICONLON_MAYO = "bonniconlon-mayo"
    BOOLA_WATERFORD = "boola-waterford"
    BOOLAKENNEDY_TIPPERARY = "boolakennedy-tipperary"
    BOOLATTIN_WATERFORD = "boolattin-waterford"
    BOOLAVOGUE_WEXFORD = "boolavogue-wexford"
    BOOLTEENS_KERRY = "boolteens-kerry"
    BOOLYDUFF_CLARE = "boolyduff-clare"
    BOOTERSTOWN_DUBLIN = "booterstown-dublin"
    BORNACOOLA_LEITRIM = "bornacoola-leitrim"
    BORNACOOLA_LONGFORD = "bornacoola-longford"
    BORRIS_CARLOW = "borris-carlow"
    BORRIS_IN_OSSORY_LAOIS = "borris-in-ossory-laois"
    BORRISOKANE_TIPPERARY = "borrisokane-tipperary"
    BORRISOLEIGH_TIPPERARY = "borrisoleigh-tipperary"
    BOSTON_CLARE = "boston-clare"
    BOTANIC_ANTRIM = "botanic-antrim"
    BOULADUFF_TIPPERARY = "bouladuff-tipperary"
    BOYERSTOWN_MEATH = "boyerstown-meath"
    BOYLE_SURROUNDS_ROSCOMMON = "boyle-and-surrounds-roscommon"
    BOYLE_ROSCOMMON = "boyle-roscommon"
    BOYLE_SLIGO = "boyle-sligo"
    BRACKAGH_OFFALY = "brackagh-offaly"
    BRACKLIN_WESTMEATH = "bracklin-westmeath"
    BRACKLOON_MAYO = "brackloon-mayo"
    BRACKLOON_ROSCOMMON = "brackloon-roscommon"
    BRACKNAGH_OFFALY = "bracknagh-offaly"
    BRACKNAGH_ROSCOMMON = "bracknagh-roscommon"
    BRACKWANSHA_MAYO = "brackwansha-mayo"
    BRANDON_KERRY = "brandon-kerry"
    BRANIEL_DOWN = "braniel-down"
    BRANNOCKSTOWN_KILDARE = "brannockstown-kildare"
    BRAY_WICKLOW = "bray-wicklow"
    BREAFFY_MAYO = "breaffy-mayo"
    BREAGHVA_CLARE = "breaghva-clare"
    BREANLOUGHAUN_GALWAY = "breanloughaun-galway"
    BREE_WEXFORD = "bree-wexford"
    BREENAGH_DONEGAL = "breenagh-donegal"
    BRIARFIELD_ROSCOMMON = "briarfield-roscommon"
    BRIARHILL_GALWAY = "briarhill-galway"
    BRICKEENS_MAYO = "brickeens-mayo"
    BRICKETSTOWN_WEXFORD = "bricketstown-wexford"
    BRIDEBRIDGE_CORK = "bridebridge-cork"
    BRIDESWELL_ROSCOMMON = "brideswell-roscommon"
    BRIDESWELL_WEXFORD = "brideswell-wexford"
    BRIDGELAND_WICKLOW = "bridgeland-wicklow"
    BRIDGEND_DONEGAL = "bridgend-donegal"
    BRIDGETOWN_CLARE = "bridgetown-clare"
    BRIDGETOWN_DONEGAL = "bridgetown-donegal"
    BRIDGETOWN_WEXFORD = "bridgetown-wexford"
    BRINLACK_DONEGAL = "brinlack-donegal"
    BRITTAS_BAY_WICKLOW = "brittas-bay-wicklow"
    BRITTAS_DUBLIN = "brittas-dublin"
    BRITTAS_LIMERICK = "brittas-limerick"
    BRITWAY_CORK = "britway-cork"
    BROADFORD_CLARE = "broadford-clare"
    BROADFORD_KILDARE = "broadford-kildare"
    BROADFORD_LIMERICK = "broadford-limerick"
    BROADWAY_WEXFORD = "broadway-wexford"
    BROCKAGH_DONEGAL = "brockagh-donegal"
    BROCKAGH_GALWAY = "brockagh-galway"
    BROOKEBOROUGH_FERMANAGH = "brookeborough-fermanagh"
    BROOMFIELD_MONAGHAN = "broomfield-monaghan"
    BROSNA_KERRY = "brosna-kerry"
    BROSNA_OFFALY = "brosna-offaly"
    BROUGHAL_OFFALY = "broughal-offaly"
    BROUGHSHANE_ANTRIM = "broughshane-antrim"
    BROWNSTOWN_WATERFORD = "brownstown-waterford"
    BRUCKLESS_DONEGAL = "bruckless-donegal"
    BRUFF_LIMERICK = "bruff-limerick"
    BRUREE_LIMERICK = "bruree-limerick"
    BRYANSFORD_DOWN = "bryansford-down"
    BUCKODE_LEITRIM = "buckode-leitrim"
    BULGADEN_LIMERICK = "bulgaden-limerick"
    BULLAUN_GALWAY = "bullaun-galway"
    BUNACURRY_MAYO = "bunacurry-mayo"
    BUNAW_KERRY = "bunaw-kerry"
    BUNBEG_DONEGAL = "bunbeg-donegal"
    BUNBROSNA_WESTMEATH = "bunbrosna-westmeath"
    BUNCLODY_CARLOW = "bunclody-carlow"
    BUNCLODY_WEXFORD = "bunclody-wexford"
    BUNCRANA_SURROUNDS_DONEGAL = "buncrana-and-surrounds-donegal"
    BUNCRANA_DONEGAL = "buncrana-donegal"
    BUNDORAN_SURROUNDS_DONEGAL = "bundoran-and-surrounds-donegal"
    BUNDORAN_DONEGAL = "bundoran-donegal"
    BUNLAHY_LONGFORD = "bunlahy-longford"
    BUNLICKY_LIMERICK = "bunlicky-limerick"
    BUNMAHON_WATERFORD = "bunmahon-waterford"
    BUNNAFOLLISTRAN_MAYO = "bunnafollistran-mayo"
    BUNNAGLASS_GALWAY = "bunnaglass-galway"
    BUNNAHOWEN_MAYO = "bunnahowen-mayo"
    BUNNAHOWN_GALWAY = "bunnahown-galway"
    BUNNANADDEN_SLIGO = "bunnanadden-sligo"
    BUNNYCONNELLAN_MAYO = "bunnyconnellan-mayo"
    BUNRATTY_CLARE = "bunratty-clare"
    BURNCHURCH_KILKENNY = "burnchurch-kilkenny"
    BURNCOURT_TIPPERARY = "burncourt-tipperary"
    BURNFOOT_DONEGAL = "burnfoot-donegal"
    BURNFORT_CORK = "burnfort-cork"
    BURREN_COLLEGE_OF_ART_CLARE = "burren-college-of-art-clare"
    BURREN_MAYO = "burren-mayo"
    BURRENFADA_CLARE = "burrenfada-clare"
    BURROW_WEXFORD = "burrow-wexford"
    BURT_DONEGAL = "burt-donegal"
    BURTONPORT_DONEGAL = "burtonport-donegal"
    BURTOWN_KILDARE = "burtown-kildare"
    BUSHFIELD_TIPPERARY = "bushfield-tipperary"
    BUSHMILLS_ANTRIM = "bushmills-antrim"
    BUSHY_PARK_GALWAY = "bushy-park-galway"
    BUTLERS_BRIDGE_CAVAN = "butler-s-bridge-cavan"
    BUTLERSTOWN_CORK = "butlerstown-cork"
    BUTLERSTOWN_WATERFORD = "butlerstown-waterford"
    BUTTEVANT_CORK = "buttevant-cork"
    BWEENG_CORK = "bweeng-cork"
    CABINTEELY_DUBLIN = "cabinteely-dublin"
    CABRA_DUBLIN = "cabra-dublin"
    CADAMSTOWN_KILDARE = "cadamstown-kildare"
    CADAMSTOWN_OFFALY = "cadamstown-offaly"
    CAHER_CLARE = "caher-clare"
    CAHER_MAYO = "caher-mayo"
    CAHERAGH_CORK = "caheragh-cork"
    CAHERBARNAGH_CORK = "caherbarnagh-cork"
    CAHERBARNAGH_KERRY = "caherbarnagh-kerry"
    CAHERCONLISH_LIMERICK = "caherconlish-limerick"
    CAHERCONNEL_CLARE = "caherconnel-clare"
    CAHERDANIEL_KERRY = "caherdaniel-kerry"
    CAHERDAVIN_LIMERICK = "caherdavin-limerick"
    CAHEREA_CLARE = "caherea-clare"
    CAHERLISTRANE_GALWAY = "caherlistrane-galway"
    CAHERMORE_CORK = "cahermore-cork"
    CAHERMORE_GALWAY = "cahermore-galway"
    CAHERMURPHY_CLARE = "cahermurphy-clare"
    CAHERNAHALLA_TIPPERARY = "cahernahalla-tipperary"
    CAHERONAUN_GALWAY = "caheronaun-galway"
    CAHERSIVEEN_KERRY = "cahersiveen-kerry"
    CAHIR_SURROUNDS_TIPPERARY = "cahir-and-surrounds-tipperary"
    CAHIR_TIPPERARY = "cahir-tipperary"
    CAHORE_WEXFORD = "cahore-wexford"
    CAIRNSHILL_DOWN = "cairnshill-down"
    CALEDON_TYRONE = "caledon-tyrone"
    CALLAN_SURROUNDS_KILKENNY = "callan-and-surrounds-kilkenny"
    CALLAN_KILKENNY = "callan-kilkenny"
    CALLOW_GALWAY = "callow-galway"
    CALLOW_MAYO = "callow-mayo"
    CALLOW_ROSCOMMON = "callow-roscommon"
    CALRY_SLIGO = "calry-sligo"
    CALTRA_GALWAY = "caltra-galway"
    CALTRAGHLEA_GALWAY = "caltraghlea-galway"
    CALVERSTOWN_KILDARE = "calverstown-kildare"
    CAMLOUGH_ARMAGH = "camlough-armagh"
    CAMOLIN_WEXFORD = "camolin-wexford"
    CAMP_KERRY = "camp-kerry"
    CAMPILE_WEXFORD = "campile-wexford"
    CAMROSS_LAOIS = "camross-laois"
    CAMROSS_WEXFORD = "camross-wexford"
    CAMUS_GALWAY = "camus-galway"
    CANNINGSTOWN_CAVAN = "canningstown-cavan"
    CAPE_CLEAR_CORK = "cape-clear-cork"
    CAPPAGH_WHITE_TIPPERARY = "cappagh-white-tipperary"
    CAPPAGH_GALWAY = "cappagh-galway"
    CAPPAGH_LIMERICK = "cappagh-limerick"
    CAPPAGH_TYRONE = "cappagh-tyrone"
    CAPPAGH_WATERFORD = "cappagh-waterford"
    CAPPAGHMORE_GALWAY = "cappaghmore-galway"
    CAPPALINNAN_LAOIS = "cappalinnan-laois"
    CAPPAMORE_LIMERICK = "cappamore-limerick"
    CAPPANACREHA_MAYO = "cappanacreha-mayo"
    CAPPANRUSH_WESTMEATH = "cappanrush-westmeath"
    CAPPATAGGLE_GALWAY = "cappataggle-galway"
    CAPPAWHITE_TIPPERARY = "cappawhite-tipperary"
    CAPPEEN_CORK = "cappeen-cork"
    CAPPOQUIN_WATERFORD = "cappoquin-waterford"
    CARAGH_LAKE_KERRY = "caragh-lake-kerry"
    CARBURY_KILDARE = "carbury-kildare"
    CARGAN_ANTRIM = "cargan-antrim"
    CARK_DONEGAL = "cark-donegal"
    CARLANSTOWN_MEATH = "carlanstown-meath"
    CARLINGFORD_LOUTH = "carlingford-louth"
    CARLOW_COUNTY = "carlow"
    CARLOW_COLLEGE_CARLOW = "carlow-college-carlow"
    CARLOW_INSTITUTE_OF_TECHNOLOGY_CARLOW = "carlow-institute-of-technology-carlow"
    CARLOW_TOWN_SURROUNDS_CARLOW = "carlow-town-and-surrounds-carlow"
    CARLOW_TOWN_CARLOW = "carlow-town-carlow"
    CARN_DONEGAL = "carn-donegal"
    CARNA_GALWAY = "carna-galway"
    CARNAGHAN_DONEGAL = "carnaghan-donegal"
    CARNAROSS_MEATH = "carnaross-meath"
    CARNDONAGH_SURROUNDS_DONEGAL = "carndonagh-and-surrounds-donegal"
    CARNDONAGH_DONEGAL = "carndonagh-donegal"
    CARNE_WEXFORD = "carne-wexford"
    CARNEW_WICKLOW = "carnew-wicklow"
    CARNEY_SLIGO = "carney-sligo"
    CARNEY_TIPPERARY = "carney-tipperary"
    CARNLOUGH_ANTRIM = "carnlough-antrim"
    CARNMORE_GALWAY = "carnmore-galway"
    CARNONEEN_GALWAY = "carnoneen-galway"
    CARNOWEN_DONEGAL = "carnowen-donegal"
    CARPENTERSTOWN_DUBLIN = "carpenterstown-dublin"
    CARRACASTLE_MAYO = "carracastle-mayo"
    CARRAGH_KILDARE = "carragh-kildare"
    CARRAHOLLY_MAYO = "carraholly-mayo"
    CARRAROE_GALWAY = "carraroe-galway"
    CARRAROE_SLIGO = "carraroe-sligo"
    CARRICK_DONEGAL = "carrick-donegal"
    CARRICK_WEXFORD = "carrick-wexford"
    CARRICK_ON_SHANNON_SURROUNDS_LEITRIM = "carrick-on-shannon-and-surrounds-leitrim"
    CARRICK_ON_SHANNON_SURROUNDS_ROSCOMMON = "carrick-on-shannon-and-surrounds-roscommon"
    CARRICK_ON_SHANNON_LEITRIM = "carrick-on-shannon-leitrim"
    CARRICK_ON_SHANNON_ROSCOMMON = "carrick-on-shannon-roscommon"
    CARRICK_ON_SUIR_SURROUNDS_TIPPERARY = "carrick-on-suir-and-surrounds-tipperary"
    CARRICK_ON_SUIR_SURROUNDS_WATERFORD = "carrick-on-suir-and-surrounds-waterford"
    CARRICK_ON_SUIR_TIPPERARY = "carrick-on-suir-tipperary"
    CARRICK_ON_SUIR_WATERFORD = "carrick-on-suir-waterford"
    CARRICKABOY_CAVAN = "carrickaboy-cavan"
    CARRICKASHEDOGE_MONAGHAN = "carrickashedoge-monaghan"
    CARRICKBEG_TIPPERARY = "carrickbeg-tipperary"
    CARRICKBOY_LONGFORD = "carrickboy-longford"
    CARRICKFERGUS_ANTRIM = "carrickfergus-antrim"
    CARRICKFINN_DONEGAL = "carrickfinn-donegal"
    CARRICKMACROSS_SURROUNDS_MONAGHAN = "carrickmacross-and-surrounds-monaghan"
    CARRICKMACROSS_MONAGHAN = "carrickmacross-monaghan"
    CARRICKMINES_DUBLIN = "carrickmines-dublin"
    CARRICKMORE_TYRONE = "carrickmore-tyrone"
    CARRICKROE_MONAGHAN = "carrickroe-monaghan"
    CARRIG_BEG_CARLOW = "carrig-beg-carlow"
    CARRIG_CORK = "carrig-cork"
    CARRIGADROHID_CORK = "carrigadrohid-cork"
    CARRIGAGULLA_CORK = "carrigagulla-cork"
    CARRIGAHOLT_CLARE = "carrigaholt-clare"
    CARRIGAHORIG_TIPPERARY = "carrigahorig-tipperary"
    CARRIGALINE_SURROUNDS_CORK = "carrigaline-and-surrounds-cork"
    CARRIGALINE_CORK = "carrigaline-cork"
    CARRIGALLEN_LEITRIM = "carrigallen-leitrim"
    CARRIGAN_CAVAN = "carrigan-cavan"
    CARRIGANS_DONEGAL = "carrigans-donegal"
    CARRIGART_DONEGAL = "carrigart-donegal"
    CARRIGATOGHER_TIPPERARY = "carrigatogher-tipperary"
    CARRIGBYRNE_WEXFORD = "carrigbyrne-wexford"
    CARRIGEEN_KILKENNY = "carrigeen-kilkenny"
    CARRIGEEN_WATERFORD = "carrigeen-waterford"
    CARRIGGOWER_WICKLOW = "carriggower-wicklow"
    CARRIGKERRY_LIMERICK = "carrigkerry-limerick"
    CARRIGNAVAR_CORK = "carrignavar-cork"
    CARRIGROHANE_CORK = "carrigrohane-cork"
    CARRIGTWOHILL_SURROUNDS_CORK = "carrigtwohill-and-surrounds-cork"
    CARRIGTWOHILL_CORK = "carrigtwohill-cork"
    CARRON_CLARE = "carron-clare"
    CARROWBEHY_ROSCOMMON = "carrowbehy-roscommon"
    CARROWDORE_DOWN = "carrowdore-down"
    CARROWKEEL_DONEGAL = "carrowkeel-donegal"
    CARROWKEEL_GALWAY = "carrowkeel-galway"
    CARROWKEEL_SLIGO = "carrowkeel-sligo"
    CARROWKENNEDY_MAYO = "carrowkennedy-mayo"
    CARROWMORE_GALWAY = "carrowmore-galway"
    CARROWMORE_MAYO = "carrowmore-mayo"
    CARROWMORE_SLIGO = "carrowmore-sligo"
    CARROWMOREKNOCK_GALWAY = "carrowmoreknock-galway"
    CARROWNACON_MAYO = "carrownacon-mayo"
    CARROWNEDEN_SLIGO = "carrowneden-sligo"
    CARROWNTANLIS_GALWAY = "carrowntanlis-galway"
    CARROWREAGH_ROSCOMMON = "carrowreagh-roscommon"
    CARROWREAGH_SLIGO = "carrowreagh-sligo"
    CARROWRORY_LONGFORD = "carrowrory-longford"
    CARROWTEIGE_MAYO = "carrowteige-mayo"
    CARRYDUFF_DOWN = "carryduff-down"
    CASHEEN_GALWAY = "casheen-galway"
    CASHEL_SURROUNDS_TIPPERARY = "cashel-and-surrounds-tipperary"
    CASHEL_DONEGAL = "cashel-donegal"
    CASHEL_GALWAY = "cashel-galway"
    CASHEL_LAOIS = "cashel-laois"
    CASHEL_MAYO = "cashel-mayo"
    CASHEL_TIPPERARY = "cashel-tipperary"
    CASHELGARRAN_SLIGO = "cashelgarran-sligo"
    CASHELMORE_DONEGAL = "cashelmore-donegal"
    CASHLA_GALWAY = "cashla-galway"
    CASLA_GALWAY = "casla-galway"
    CASSAGH_WEXFORD = "cassagh-wexford"
    CASTLEBALDWIN_SLIGO = "castlebaldwin-sligo"
    CASTLEBAR_SURROUNDS_MAYO = "castlebar-and-surrounds-mayo"
    CASTLEBAR_MAYO = "castlebar-mayo"
    CASTLEBELLINGHAM_LOUTH = "castlebellingham-louth"
    CASTLEBLAKENEY_GALWAY = "castleblakeney-galway"
    CASTLEBLAYNEY_SURROUNDS_MONAGHAN = "castleblayney-and-surrounds-monaghan"
    CASTLEBLAYNEY_MONAGHAN = "castleblayney-monaghan"
    CASTLEBRIDGE_WEXFORD = "castlebridge-wexford"
    CASTLECARY_DONEGAL = "castlecary-donegal"
    CASTLECAULFIELD_TYRONE = "castlecaulfield-tyrone"
    CASTLECOMER_KILKENNY = "castlecomer-kilkenny"
    CASTLECONNELL_LIMERICK = "castleconnell-limerick"
    CASTLECONOR_SLIGO = "castleconor-sligo"
    CASTLECOOTE_ROSCOMMON = "castlecoote-roscommon"
    CASTLECOR_CORK = "castlecor-cork"
    CASTLECOVE_KERRY = "castlecove-kerry"
    CASTLECUFFE_LAOIS = "castlecuffe-laois"
    CASTLEDAWSON_DERRY = "castledawson-derry"
    CASTLEDERG_TYRONE = "castlederg-tyrone"
    CASTLEDERMOT_KILDARE = "castledermot-kildare"
    CASTLEELLIS_WEXFORD = "castleellis-wexford"
    CASTLEFIN_DONEGAL = "castlefin-donegal"
    CASTLEFREKE_CORK = "castlefreke-cork"
    CASTLEGAL_SLIGO = "castlegal-sligo"
    CASTLEGAR_GALWAY = "castlegar-galway"
    CASTLEGREGORY_KERRY = "castlegregory-kerry"
    CASTLEHILL_MAYO = "castlehill-mayo"
    CASTLEINCH_KILKENNY = "castleinch-kilkenny"
    CASTLEISLAND_SURROUNDS_KERRY = "castleisland-and-surrounds-kerry"
    CASTLEISLAND_KERRY = "castleisland-kerry"
    CASTLEJORDAN_MEATH = "castlejordan-meath"
    CASTLEKNOCK_DUBLIN = "castleknock-dublin"
    CASTLELYONS_CORK = "castlelyons-cork"
    CASTLEMAGNER_CORK = "castlemagner-cork"
    CASTLEMAHON_LIMERICK = "castlemahon-limerick"
    CASTLEMAINE_KERRY = "castlemaine-kerry"
    CASTLEMARTYR_CORK = "castlemartyr-cork"
    CASTLEPLUNKETT_ROSCOMMON = "castleplunkett-roscommon"
    CASTLEPOLLARD_WESTMEATH = "castlepollard-westmeath"
    CASTLEQUIN_KERRY = "castlequin-kerry"
    CASTLERAHAN_CAVAN = "castlerahan-cavan"
    CASTLEREA_SURROUNDS_ROSCOMMON = "castlerea-and-surrounds-roscommon"
    CASTLEREA_ROSCOMMON = "castlerea-roscommon"
    CASTLEREAGH_ANTRIM = "castlereagh-antrim"
    CASTLEROCK_DERRY = "castlerock-derry"
    CASTLEROE_DERRY = "castleroe-derry"
    CASTLESAMPSON_ROSCOMMON = "castlesampson-roscommon"
    CASTLESHANE_MONAGHAN = "castleshane-monaghan"
    CASTLETOWN_CLARE = "castletown-clare"
    CASTLETOWN_CORK = "castletown-cork"
    CASTLETOWN_KILKENNY = "castletown-kilkenny"
    CASTLETOWN_LAOIS = "castletown-laois"
    CASTLETOWN_LIMERICK = "castletown-limerick"
    CASTLETOWN_MEATH = "castletown-meath"
    CASTLETOWN_WESTMEATH = "castletown-westmeath"
    CASTLETOWN_WEXFORD = "castletown-wexford"
    CASTLETOWN_GEOGHEGAN_WESTMEATH = "castletown-geoghegan-westmeath"
    CASTLETOWNBERE_CORK = "castletownbere-cork"
    CASTLETOWNROCHE_CORK = "castletownroche-cork"
    CASTLETOWNSHEND_CORK = "castletownshend-cork"
    CASTLETROY_LIMERICK = "castletroy-limerick"
    CASTLEVILLE_MAYO = "castleville-mayo"
    CASTLEWARREN_KILKENNY = "castlewarren-kilkenny"
    CASTLEWELLAN_DOWN = "castlewellan-down"
    CAUSEWAY_KERRY = "causeway-kerry"
    CAVAN_SURROUNDS_CAVAN = "cavan-and-surrounds-cavan"
    CAVAN_COUNTY = "cavan"
    CAVAN_CAVAN = "cavan-cavan"
    CAVANAGARVAN_MONAGHAN = "cavanagarvan-monaghan"
    CAVANGARDEN_DONEGAL = "cavangarden-donegal"
    CAVEHILL_ANTRIM = "cavehill-antrim"
    CECILSTOWN_CORK = "cecilstown-cork"
    CELBRIDGE_SURROUNDS_KILDARE = "celbridge-and-surrounds-kildare"
    CELBRIDGE_KILDARE = "celbridge-kildare"
    CHANONROCK_LOUTH = "chanonrock-louth"
    CHAPELIZOD_DUBLIN = "chapelizod-dublin"
    CHAPLETOWN_KERRY = "chapletown-kerry"
    CHARLEMONT_ARMAGH = "charlemont-armagh"
    CHARLESTOWN_ARMAGH = "charlestown-armagh"
    CHARLESTOWN_MAYO = "charlestown-mayo"
    CHARLEVILLE_SURROUNDS_CORK = "charleville-and-surrounds-cork"
    CHARLEVILLE_CORK = "charleville-cork"
    CHEEKPOINT_WATERFORD = "cheekpoint-waterford"
    CHERRY_ORCHARD_DUBLIN = "cherry-orchard-dublin"
    CHERRYVILLE_KILDARE = "cherryville-kildare"
    CHERRYWOOD_DUBLIN = "cherrywood-dublin"
    CHICHESTER_PARK_ANTRIM = "chichester-park-antrim"
    CHRISTCHURCH_DUBLIN = "christchurch-dublin"
    CHRUCHTOWN_WEXFORD = "chruchtown-wexford"
    CHURCH_CROSS_CORK = "church-cross-cork"
    CHURCH_TOWN_DONEGAL = "church-town-donegal"
    CHURCH_VILLAGE_MAYO = "church-village-mayo"
    CHURCHFIELD_CORK = "churchfield-cork"
    CHURCHILL_DONEGAL = "churchill-donegal"
    CHURCHSREET_ROSCOMMON = "churchsreet-roscommon"
    CHURCHTOWN_CORK = "churchtown-cork"
    CHURCHTOWN_DUBLIN = "churchtown-dublin"
    CHURCHTOWN_WEXFORD = "churchtown-wexford"
    CITYWEST_DUBLIN = "citywest-dublin"
    CLABBY_FERMANAGH = "clabby-fermanagh"
    CLADDAGH_GALWAY = "claddagh-galway"
    CLADDAGHDUFF_GALWAY = "claddaghduff-galway"
    CLADY_MILLTOWN_ARMAGH = "clady-milltown-armagh"
    CLADY_ANTRIM = "clady-antrim"
    CLADY_DERRY = "clady-derry"
    CLAGGAN_DONEGAL = "claggan-donegal"
    CLAGGAN_MAYO = "claggan-mayo"
    CLANE_SURROUNDS_KILDARE = "clane-and-surrounds-kildare"
    CLANE_KILDARE = "clane-kildare"
    CLARA_KILKENNY = "clara-kilkenny"
    CLARA_OFFALY = "clara-offaly"
    CLARA_WICKLOW = "clara-wicklow"
    CLARAHILL_LAOIS = "clarahill-laois"
    CLARE_COUNTY = "clare"
    CLARECASTLE_CLARE = "clarecastle-clare"
    CLAREEN_OFFALY = "clareen-offaly"
    CLAREGALWAY_GALWAY = "claregalway-galway"
    CLAREHALL_DUBLIN = "clarehall-dublin"
    CLAREMORRIS_SURROUNDS_MAYO = "claremorris-and-surrounds-mayo"
    CLAREMORRIS_MAYO = "claremorris-mayo"
    CLAREVIEW_LIMERICK = "clareview-limerick"
    CLARINA_LIMERICK = "clarina-limerick"
    CLARINBRIDGE_GALWAY = "clarinbridge-galway"
    CLASH_NORTH_LIMERICK = "clash-north-limerick"
    CLASH_CORK = "clash-cork"
    CLASH_TIPPERARY = "clash-tipperary"
    CLASHMORE_WATERFORD = "clashmore-waterford"
    CLAUDY_DERRY = "claudy-derry"
    CLEARIESTOWN_WEXFORD = "cleariestown-wexford"
    CLEGGAN_GALWAY = "cleggan-galway"
    CLENNASCAUL_GALWAY = "clennascaul-galway"
    CLERIHAN_TIPPERARY = "clerihan-tipperary"
    CLIFDEN_GALWAY = "clifden-galway"
    CLIFF_DONEGAL = "cliff-donegal"
    CLIFFERNA_CAVAN = "clifferna-cavan"
    CLIFFONEY_SLIGO = "cliffoney-sligo"
    CLIFTONVILLE_ANTRIM = "cliftonville-antrim"
    CLOGGA_KILKENNY = "clogga-kilkenny"
    CLOGGA_WICKLOW = "clogga-wicklow"
    CLOGH_MILLS_ANTRIM = "clogh-mills-antrim"
    CLOGH_ANTRIM = "clogh-antrim"
    CLOGH_KILKENNY = "clogh-kilkenny"
    CLOGH_WEXFORD = "clogh-wexford"
    CLOGHAN_DONEGAL = "cloghan-donegal"
    CLOGHAN_OFFALY = "cloghan-offaly"
    CLOGHAN_WESTMEATH = "cloghan-westmeath"
    CLOGHANE_KERRY = "cloghane-kerry"
    CLOGHARINKA_KILDARE = "clogharinka-kildare"
    CLOGHAUN_GALWAY = "cloghaun-galway"
    CLOGHBOLEY_SLIGO = "cloghboley-sligo"
    CLOGHBRACK_GALWAY = "cloghbrack-galway"
    CLOGHBRACK_MEATH = "cloghbrack-meath"
    CLOGHEEN_CORK = "clogheen-cork"
    CLOGHEEN_TIPPERARY = "clogheen-tipperary"
    CLOGHEENMILCON_CORK = "clogheenmilcon-cork"
    CLOGHER_KERRY = "clogher-kerry"
    CLOGHER_MAYO = "clogher-mayo"
    CLOGHER_ROSCOMMON = "clogher-roscommon"
    CLOGHER_TYRONE = "clogher-tyrone"
    CLOGHERA_CLARE = "cloghera-clare"
    CLOGHERHEAD_LOUTH = "clogherhead-louth"
    CLOGHKEATING_LIMERICK = "cloghkeating-limerick"
    CLOGHMACOO_MEATH = "cloghmacoo-meath"
    CLOGHMORE_MAYO = "cloghmore-mayo"
    CLOGHRAN_DUBLIN = "cloghran-dublin"
    CLOGHROE_CORK = "cloghroe-cork"
    CLOGHROE_DONEGAL = "cloghroe-donegal"
    CLOHAMON_WEXFORD = "clohamon-wexford"
    CLOHERNAGH_WATERFORD = "clohernagh-waterford"
    CLONAKENNY_TIPPERARY = "clonakenny-tipperary"
    CLONAKILTY_SURROUNDS_CORK = "clonakilty-and-surrounds-cork"
    CLONAKILTY_CORK = "clonakilty-cork"
    CLONALVY_MEATH = "clonalvy-meath"
    CLONARD_ANTRIM = "clonard-antrim"
    CLONARD_MEATH = "clonard-meath"
    CLONARD_WEXFORD = "clonard-wexford"
    CLONASLEE_LAOIS = "clonaslee-laois"
    CLONAVOE_OFFALY = "clonavoe-offaly"
    CLONBERN_GALWAY = "clonbern-galway"
    CLONBULLOGUE_OFFALY = "clonbullogue-offaly"
    CLONBUR_GALWAY = "clonbur-galway"
    CLONCAGH_LIMERICK = "cloncagh-limerick"
    CLONCONNANE_LIMERICK = "clonconnane-limerick"
    CLONCULLEN_WESTMEATH = "cloncullen-westmeath"
    CLONCURRY_KILDARE = "cloncurry-kildare"
    CLONDALKIN_DUBLIN = "clondalkin-dublin"
    CLONDAW_WEXFORD = "clondaw-wexford"
    CLONDRA_LONGFORD = "clondra-longford"
    CLONDRINAGH_LIMERICK = "clondrinagh-limerick"
    CLONDROHID_CORK = "clondrohid-cork"
    CLONDULANE_CORK = "clondulane-cork"
    CLONEA_WATERFORD = "clonea-waterford"
    CLONEE_DUBLIN = "clonee-dublin"
    CLONEE_MEATH = "clonee-meath"
    CLONEEN_TIPPERARY = "cloneen-tipperary"
    CLONEGAL_CARLOW = "clonegal-carlow"
    CLONEGAL_WEXFORD = "clonegal-wexford"
    CLONEGAL_WICKLOW = "clonegal-wicklow"
    CLONES_SURROUNDS_MONAGHAN = "clones-and-surrounds-monaghan"
    CLONES_MONAGHAN = "clones-monaghan"
    CLONEVIN_WEXFORD = "clonevin-wexford"
    CLONFANLOUGH_OFFALY = "clonfanlough-offaly"
    CLONFERT_GALWAY = "clonfert-galway"
    CLONGEEN_WEXFORD = "clongeen-wexford"
    CLONGRIFFIN_DUBLIN = "clongriffin-dublin"
    CLONLARA_CLARE = "clonlara-clare"
    CLONLEIGH_DONEGAL = "clonleigh-donegal"
    CLONLOST_WESTMEATH = "clonlost-westmeath"
    CLONMACKEN_LIMERICK = "clonmacken-limerick"
    CLONMACNOISE_OFFALY = "clonmacnoise-offaly"
    CLONMANTAGH_KILKENNY = "clonmantagh-kilkenny"
    CLONMANY_DONEGAL = "clonmany-donegal"
    CLONMEL_SURROUNDS_TIPPERARY = "clonmel-and-surrounds-tipperary"
    CLONMEL_TIPPERARY = "clonmel-tipperary"
    CLONMELLON_WESTMEATH = "clonmellon-westmeath"
    CLONMORE_CARLOW = "clonmore-carlow"
    CLONMORE_TIPPERARY = "clonmore-tipperary"
    CLONMULT_CORK = "clonmult-cork"
    CLONOMY_OFFALY = "clonomy-offaly"
    CLONOULTY_TIPPERARY = "clonoulty-tipperary"
    CLONROCHE_WEXFORD = "clonroche-wexford"
    CLONSHAUGH_DUBLIN = "clonshaugh-dublin"
    CLONSILLA_DUBLIN = "clonsilla-dublin"
    CLONSKEAGH_DUBLIN = "clonskeagh-dublin"
    CLONTARF_DUBLIN = "clontarf-dublin"
    CLONTIBRET_MONAGHAN = "clontibret-monaghan"
    CLONTUBBRID_KILKENNY = "clontubbrid-kilkenny"
    CLONYCAVAN_MEATH = "clonycavan-meath"
    CLONYGOWAN_OFFALY = "clonygowan-offaly"
    CLOONACOOL_SLIGO = "cloonacool-sligo"
    CLOONBARD_ROSCOMMON = "cloonbard-roscommon"
    CLOONBOO_GALWAY = "cloonboo-galway"
    CLOONDAFF_MAYO = "cloondaff-mayo"
    CLOONE_GRANGE_LEITRIM = "cloone-grange-leitrim"
    CLOONE_LEITRIM = "cloone-leitrim"
    CLOONEEN_LONGFORD = "clooneen-longford"
    CLOONEY_CLARE = "clooney-clare"
    CLOONEY_DONEGAL = "clooney-donegal"
    CLOONFAD_ROSCOMMON = "cloonfad-roscommon"
    CLOONFALLAGH_MAYO = "cloonfallagh-mayo"
    CLOONFINISH_MAYO = "cloonfinish-mayo"
    CLOONFOWER_ROSCOMMON = "cloonfower-roscommon"
    CLOONKEEN_MAYO = "cloonkeen-mayo"
    CLOONKEEN_ROSCOMMON = "cloonkeen-roscommon"
    CLOONKEN_KERRY = "cloonken-kerry"
    CLOONLOOGH_SLIGO = "cloonloogh-sligo"
    CLOONLUSK_LIMERICK = "cloonlusk-limerick"
    CLOONMINDA_GALWAY = "cloonminda-galway"
    CLOONMORE_MAYO = "cloonmore-mayo"
    CLOONOON_GALWAY = "cloonoon-galway"
    CLOONTIA_MAYO = "cloontia-mayo"
    CLOONUSKER_CLARE = "cloonusker-clare"
    CLOONYMORRIS_GALWAY = "cloonymorris-galway"
    CLOONYQUIN_ROSCOMMON = "cloonyquin-roscommon"
    CLORAN_WESTMEATH = "cloran-westmeath"
    CLOUGH_DOWN = "clough-down"
    CLOUGH_LAOIS = "clough-laois"
    CLOUGHDUV_CORK = "cloughduv-cork"
    CLOUGHJORDAN_OFFALY = "cloughjordan-offaly"
    CLOUGHJORDAN_TIPPERARY = "cloughjordan-tipperary"
    CLOVERHILL_CAVAN = "cloverhill-cavan"
    CLOVERHILL_GALWAY = "cloverhill-galway"
    CLOVERHILL_ROSCOMMON = "cloverhill-roscommon"
    CLOYDAH_CARLOW = "cloydah-carlow"
    CLOYNE_CORK = "cloyne-cork"
    CLYBAUN_GALWAY = "clybaun-galway"
    CLYNACARTAN_KERRY = "clynacartan-kerry"
    COACHFORD_CORK = "coachford-cork"
    COAGH_TYRONE = "coagh-tyrone"
    COALBROOK_TIPPERARY = "coalbrook-tipperary"
    COALISLAND_TYRONE = "coalisland-tyrone"
    COAN_KILKENNY = "coan-kilkenny"
    COBH_SURROUNDS_CORK = "cobh-and-surrounds-cork"
    COBH_CORK = "cobh-cork"
    COILL_DUBH_KILDARE = "coill-dubh-kildare"
    COLBINSTOWN_KILDARE = "colbinstown-kildare"
    COLDWOOD_GALWAY = "coldwood-galway"
    COLEHILL_LONGFORD = "colehill-longford"
    COLERAINE_DERRY = "coleraine-derry"
    COLERAINE_OFFALY = "coleraine-offaly"
    COLGAGH_SLIGO = "colgagh-sligo"
    COLLEGE_OF_COMPUTING_TECHNOLOGY_DUBLIN = "college-of-computing-technology-dublin"
    COLLIN_GLEN_ANTRIM = "collin-glen-antrim"
    COLLINSTOWN_WESTMEATH = "collinstown-westmeath"
    COLLINSWOOD_DUBLIN = "collinswood-dublin"
    COLLON_LOUTH = "collon-louth"
    COLLOONEY_SLIGO = "collooney-sligo"
    COLMANSTOWN_GALWAY = "colmanstown-galway"
    COLAISTE_MHUIRE_MARINO_DUBLIN = "col-iste-mhuire-marino-dublin"
    COMBER_DOWN = "comber-down"
    COMMONS_TIPPERARY = "commons-tipperary"
    CONFEY_KILDARE = "confey-kildare"
    CONG_MAYO = "cong-mayo"
    CONLIG_DOWN = "conlig-down"
    CONNA_CORK = "conna-cork"
    CONNEMARA_GALWAY = "connemara-galway"
    CONNOLLY_CLARE = "connolly-clare"
    CONNONAGH_CORK = "connonagh-cork"
    CONNOR_ANTRIM = "connor-antrim"
    CONNSWATER_DOWN = "connswater-down"
    CONVOY_DONEGAL = "convoy-donegal"
    COOGUE_MAYO = "coogue-mayo"
    COOKSTOWN_TYRONE = "cookstown-tyrone"
    COOLA_SLIGO = "coola-sligo"
    COOLAGARRY_ROSCOMMON = "coolagarry-roscommon"
    COOLAGH_GALWAY = "coolagh-galway"
    COOLANEY_SLIGO = "coolaney-sligo"
    COOLATTIN_WICKLOW = "coolattin-wicklow"
    COOLBANAGHER_LAOIS = "coolbanagher-laois"
    COOLBAUN_KILKENNY = "coolbaun-kilkenny"
    COOLBAWN_TIPPERARY = "coolbawn-tipperary"
    COOLBOY_WICKLOW = "coolboy-wicklow"
    COOLCULL_WEXFORD = "coolcull-wexford"
    COOLDERRY_OFFALY = "coolderry-offaly"
    COOLE_ABBEY_CORK = "coole-abbey-cork"
    COOLE_WESTMEATH = "coole-westmeath"
    COOLEARAGH_KILDARE = "coolearagh-kildare"
    COOLGRANGE_KILKENNY = "coolgrange-kilkenny"
    COOLGREANY_WEXFORD = "coolgreany-wexford"
    COOLKELURE_CORK = "coolkelure-cork"
    COOLMEEN_CLARE = "coolmeen-clare"
    COOLMINE_DUBLIN = "coolmine-dublin"
    COOLMORE_DONEGAL = "coolmore-donegal"
    COOLOCK_DUBLIN = "coolock-dublin"
    COOLRAIN_LAOIS = "coolrain-laois"
    COOLREE_WEXFORD = "coolree-wexford"
    COOLROEBEG_KILKENNY = "coolroebeg-kilkenny"
    COOLSHAGHTENA_ROSCOMMON = "coolshaghtena-roscommon"
    COOLTEIGE_ROSCOMMON = "coolteige-roscommon"
    COOLYDUFF_CORK = "coolyduff-cork"
    COOLYMURRAGHUE_CORK = "coolymurraghue-cork"
    COOMHOLA_CORK = "coomhola-cork"
    COON_KILKENNY = "coon-kilkenny"
    COONAGH_LIMERICK = "coonagh-limerick"
    COORACLARE_CLARE = "cooraclare-clare"
    COORLEAGH_KILKENNY = "coorleagh-kilkenny"
    COORNAGILLAGH_KERRY = "coornagillagh-kerry"
    COOTEHALL_ROSCOMMON = "cootehall-roscommon"
    COOTEHILL_SURROUNDS_CAVAN = "cootehill-and-surrounds-cavan"
    COOTEHILL_CAVAN = "cootehill-cavan"
    COPANY_DONEGAL = "copany-donegal"
    COPPANAGH_CAVAN = "coppanagh-cavan"
    CORALSTOWN_WESTMEATH = "coralstown-westmeath"
    CORBALLY_CORK = "corbally-cork"
    CORBALLY_KILDARE = "corbally-kildare"
    CORBALLY_LIMERICK = "corbally-limerick"
    CORBALLY_SLIGO = "corbally-sligo"
    CORBAY_UPPER_LONGFORD = "corbay-upper-longford"
    CORCAGHAN_MONAGHAN = "corcaghan-monaghan"
    CORCLOGH_MAYO = "corclogh-mayo"
    CORCULLEN_GALWAY = "corcullen-galway"
    CORDAL_KERRY = "cordal-kerry"
    CORDARRAGH_MAYO = "cordarragh-mayo"
    CORDUFF_DUBLIN = "corduff-dublin"
    CORK_COUNTY = "cork"
    CORK_AIRPORT_BUSINESS_PARK_CORK = "cork-airport-business-park-cork"
    CORK_CITY = "cork-city"
    CORK_CITY_CENTRE_CORK = "cork-city-centre-cork"
    CORK_CITY_SUBURBS_CORK = "cork-city-suburbs-cork"
    CORK_COLLEGE_OF_COMMERCE_CORK = "cork-college-of-commerce-cork"
    CORK_COMMUTER_TOWNS_CORK = "cork-commuter-towns-cork"
    CORK_INSTITUTE_OF_TECHNOLOGY___CLONAKILTY_AGRICULTURAL_COLLEGE__CORK = "cork-institute-of-technology-clonakilty-agricultural-college-cork"
    CORK_INSTITUTE_OF_TECHNOLOGY___CRAWFORD_COLLEGE_OF_ART_AND_DESIGN_CORK = "cork-institute-of-technology-crawford-college-of-art-and-design-cork"
    CORK_INSTITUTE_OF_TECHNOLOGY_CORK = "cork-institute-of-technology-cork"
    CORK_SCHOOL_OF_MUSIC_CIT_CORK = "cork-school-of-music-cit-cork"
    CORKEY_ANTRIM = "corkey-antrim"
    CORLEA_LONGFORD = "corlea-longford"
    CORLEE_MAYO = "corlee-mayo"
    CORLOUGH_CAVAN = "corlough-cavan"
    CORNAFEAN_CAVAN = "cornafean-cavan"
    CORNAFULLA_ROSCOMMON = "cornafulla-roscommon"
    CORNAGILLAGH_DONEGAL = "cornagillagh-donegal"
    CORNAMONA_GALWAY = "cornamona-galway"
    CORNANAGH_MAYO = "cornanagh-mayo"
    CORNELSCOURT_DUBLIN = "cornelscourt-dublin"
    COROFIN_CLARE = "corofin-clare"
    COROFIN_GALWAY = "corofin-galway"
    CORRACLOONA_LEITRIM = "corracloona-leitrim"
    CORRAKYLE_CLARE = "corrakyle-clare"
    CORRALEEHAN_LEITRIM = "corraleehan-leitrim"
    CORRANDULLA_GALWAY = "corrandulla-galway"
    CORRAREE_ROSCOMMON = "corraree-roscommon"
    CORRAWALEEN_LEITRIM = "corrawaleen-leitrim"
    CORREAL_ROSCOMMON = "correal-roscommon"
    CORRIES_CARLOW = "corries-carlow"
    CORRIGA_LEITRIM = "corriga-leitrim"
    CORRIGEENROE_ROSCOMMON = "corrigeenroe-roscommon"
    CORROY_MAYO = "corroy-mayo"
    CORRY_LEITRIM = "corry-leitrim"
    CORSTOWN_KILKENNY = "corstown-kilkenny"
    CORTOON_GALWAY = "cortoon-galway"
    CORTOWN_MEATH = "cortown-meath"
    CORVALLEY_MAYO = "corvalley-mayo"
    CORVALLY_MONAGHAN = "corvally-monaghan"
    COSTELLO_GALWAY = "costello-galway"
    COURTMACSHERRY_CORK = "courtmacsherry-cork"
    COURTMATRIX_LIMERICK = "courtmatrix-limerick"
    COURTOWN_WEXFORD = "courtown-wexford"
    CRAANFORD_WEXFORD = "craanford-wexford"
    CRAFFIELD_WICKLOW = "craffield-wicklow"
    CRAIGAVAD_DOWN = "craigavad-down"
    CRAIGAVON_ARMAGH = "craigavon-armagh"
    CRAIGS_ANTRIM = "craigs-antrim"
    CRAIQUES_KERRY = "craiques-kerry"
    CRANFORD_DONEGAL = "cranford-donegal"
    CRANNOGEBOY_DONEGAL = "crannogeboy-donegal"
    CRANNY_CLARE = "cranny-clare"
    CRATLOE_CLARE = "cratloe-clare"
    CRAUGHWELL_GALWAY = "craughwell-galway"
    CRAWFORD_COLLEGE_OF_ART_DESIGN_CORK = "crawford-college-of-art-and-design-cork"
    CRAWFORDSBURN_DOWN = "crawfordsburn-down"
    CRAZY_CORNER_WESTMEATH = "crazy-corner-westmeath"
    CREAGH_ROSCOMMON = "creagh-roscommon"
    CREAGHANROE_MONAGHAN = "creaghanroe-monaghan"
    CRECORA_LIMERICK = "crecora-limerick"
    CREE_CLARE = "cree-clare"
    CREEGH_CLARE = "creegh-clare"
    CREESLOUGH_DONEGAL = "creeslough-donegal"
    CREEVAGH_MAYO = "creevagh-mayo"
    CREEVAGH_SLIGO = "creevagh-sligo"
    CREEVES_LIMERICK = "creeves-limerick"
    CREGAGH_DOWN = "cregagh-down"
    CREGG_CLARE = "cregg-clare"
    CREGG_SLIGO = "cregg-sligo"
    CREGGAN_ARMAGH = "creggan-armagh"
    CREGGANBAUN_MAYO = "cregganbaun-mayo"
    CREGGAUN_LIMERICK = "creggaun-limerick"
    CREGGS_GALWAY = "creggs-galway"
    CREGGS_ROSCOMMON = "creggs-roscommon"
    CREGMORE_GALWAY = "cregmore-galway"
    CRETTYARD_LAOIS = "crettyard-laois"
    CRINKILL_OFFALY = "crinkill-offaly"
    CROAGH_DONEGAL = "croagh-donegal"
    CROAGH_LIMERICK = "croagh-limerick"
    CROAGHRIMBEG_MAYO = "croaghrimbeg-mayo"
    CROCKETS_TOWN_MAYO = "crockets-town-mayo"
    CROCKMORE_DONEGAL = "crockmore-donegal"
    CROGHAN_OFFALY = "croghan-offaly"
    CROGHAN_ROSCOMMON = "croghan-roscommon"
    CROLLY_DONEGAL = "crolly-donegal"
    CROMANE_KERRY = "cromane-kerry"
    CROMOGE_LAOIS = "cromoge-laois"
    CROOKEDWOOD_WESTMEATH = "crookedwood-westmeath"
    CROOKHAVEN_CORK = "crookhaven-cork"
    CROOKSTOWN_CORK = "crookstown-cork"
    CROOKSTOWN_KILDARE = "crookstown-kildare"
    CROOM_LIMERICK = "croom-limerick"
    CROSS_KEYS_CAVAN = "cross-keys-cavan"
    CROSS_KEYS_MEATH = "cross-keys-meath"
    CROSS_ROADS_DONEGAL = "cross-roads-donegal"
    CROSS_CLARE = "cross-clare"
    CROSS_MAYO = "cross-mayo"
    CROSS_WATERFORD = "cross-waterford"
    CROSSABEG_WEXFORD = "crossabeg-wexford"
    CROSSAGALLA_LIMERICK = "crossagalla-limerick"
    CROSSAKIEL_MEATH = "crossakiel-meath"
    CROSSBARRY_CORK = "crossbarry-cork"
    CROSSBOYNE_MAYO = "crossboyne-mayo"
    CROSSCONNELL_GALWAY = "crossconnell-galway"
    CROSSDONEY_CAVAN = "crossdoney-cavan"
    CROSSEA_LONGFORD = "crossea-longford"
    CROSSERLOUGH_CAVAN = "crosserlough-cavan"
    CROSSGAR_DOWN = "crossgar-down"
    CROSSHAVEN_CORK = "crosshaven-cork"
    CROSSMAGLEN_ARMAGH = "crossmaglen-armagh"
    CROSSMOLINA_MAYO = "crossmolina-mayo"
    CROSSNA_ROSCOMMON = "crossna-roscommon"
    CROSSPATRICK_KILKENNY = "crosspatrick-kilkenny"
    CROSSWELL_GALWAY = "crosswell-galway"
    CROVE_DONEGAL = "crove-donegal"
    CRUMLIN_ROAD_ANTRIM = "crumlin-road-antrim"
    CRUMLIN_ANTRIM = "crumlin-antrim"
    CRUMLIN_DUBLIN = "crumlin-dublin"
    CRUMLIN_GALWAY = "crumlin-galway"
    CRUSHEEN_CLARE = "crusheen-clare"
    CRUTT_KILKENNY = "crutt-kilkenny"
    CUFFESGRANGE_KILKENNY = "cuffesgrange-kilkenny"
    CUILKILLEW_MAYO = "cuilkillew-mayo"
    CUILMORE_MAYO = "cuilmore-mayo"
    CULDAFF_DONEGAL = "culdaff-donegal"
    CULFADDA_SLIGO = "culfadda-sligo"
    CULLAHILL_LAOIS = "cullahill-laois"
    CULLANE_LIMERICK = "cullane-limerick"
    CULLEENS_SLIGO = "culleens-sligo"
    CULLEN_CORK = "cullen-cork"
    CULLEN_TIPPERARY = "cullen-tipperary"
    CULLENSTOWN_WEXFORD = "cullenstown-wexford"
    CULLIN_MAYO = "cullin-mayo"
    CULLYBACKEY_ANTRIM = "cullybackey-antrim"
    CULLYFAD_LONGFORD = "cullyfad-longford"
    CULLYHANNA_ARMAGH = "cullyhanna-armagh"
    CULMORE_DERRY = "culmore-derry"
    CURRABINNY_CORK = "currabinny-cork"
    CURRACLOE_WEXFORD = "curracloe-wexford"
    CURRAGH_WEST_GALWAY = "curragh-west-galway"
    CURRAGH_WATERFORD = "curragh-waterford"
    CURRAGHA_MEATH = "curragha-meath"
    CURRAGHBONAUN_SLIGO = "curraghbonaun-sligo"
    CURRAGHBOY_ROSCOMMON = "curraghboy-roscommon"
    CURRAGHCHASE_LIMERICK = "curraghchase-limerick"
    CURRAGHROE_ROSCOMMON = "curraghroe-roscommon"
    CURRAGLASS_CORK = "curraglass-cork"
    CURRAHEEN_CORK = "curraheen-cork"
    CURRAN_DERRY = "curran-derry"
    CURRANS_KERRY = "currans-kerry"
    CURRAUN_GALWAY = "curraun-galway"
    CURREENY_TIPPERARY = "curreeny-tipperary"
    CURROW_KERRY = "currow-kerry"
    CURRY_MAYO = "curry-mayo"
    CURRY_SLIGO = "curry-sligo"
    CURRYGLASS_CORK = "curryglass-cork"
    CUSDUFF_CORK = "cusduff-cork"
    CUSHENDALL_ANTRIM = "cushendall-antrim"
    CUSHENDUN_ANTRIM = "cushendun-antrim"
    CUSHINA_OFFALY = "cushina-offaly"
    DIT_GRANGEGORMAN_DUBLIN = "dit-grangegorman-dublin"
    DIT_MOUNT_STREET_DUBLIN = "dit-mount-street-dublin"
    DAINGEAN_OFFALY = "daingean-offaly"
    DALKEY_DUBLIN = "dalkey-dublin"
    DALYSTOWN_GALWAY = "dalystown-galway"
    DAMASTOWN_DUBLIN = "damastown-dublin"
    DAMERSTOWN_KILKENNY = "damerstown-kilkenny"
    DANESFORT_KILKENNY = "danesfort-kilkenny"
    DANESFORT_LONGFORD = "danesfort-longford"
    DANGAN_CORK = "dangan-cork"
    DANGAN_GALWAY = "dangan-galway"
    DANGAN_KILKENNY = "dangan-kilkenny"
    DARBYS_GAP_WEXFORD = "darby-s-gap-wexford"
    DARNDALE_DUBLIN = "darndale-dublin"
    DARRAGH_CLARE = "darragh-clare"
    DARTRY_DUBLIN = "dartry-dublin"
    DARVER_LOUTH = "darver-louth"
    DAVIDSTOWN_WICKLOW = "davidstown-wicklow"
    DAWROS_GALWAY = "dawros-galway"
    DEANS_GRANGE_DUBLIN = "deans-grange-dublin"
    DEELISH_CORK = "deelish-cork"
    DELGANY_WICKLOW = "delgany-wicklow"
    DELPHI_MAYO = "delphi-mayo"
    DELVIN_WESTMEATH = "delvin-westmeath"
    DERNAGREE_CORK = "dernagree-cork"
    DERRAVOHER_LIMERICK = "derravoher-limerick"
    DERREEN_CLARE = "derreen-clare"
    DERREEN_MAYO = "derreen-mayo"
    DERREENDARRAGH_KERRY = "derreendarragh-kerry"
    DERREENY_CORK = "derreeny-cork"
    DERRIAGHY_ANTRIM = "derriaghy-antrim"
    DERRIES_OFFALY = "derries-offaly"
    DERRINTURN_KILDARE = "derrinturn-kildare"
    DERRY_COUNTY = "derry"
    DERRY_CITY_DERRY = "derry-city-derry"
    DERRY_SLIGO = "derry-sligo"
    DERRYBEG_DONEGAL = "derrybeg-donegal"
    DERRYBEG_LIMERICK = "derrybeg-limerick"
    DERRYBOYE_DOWN = "derryboye-down"
    DERRYBRIEN_GALWAY = "derrybrien-galway"
    DERRYCOOLY_OFFALY = "derrycooly-offaly"
    DERRYDRUEL_DONEGAL = "derrydruel-donegal"
    DERRYERGLINNA_GALWAY = "derryerglinna-galway"
    DERRYFADDA_TIPPERARY = "derryfadda-tipperary"
    DERRYGOLAN_WESTMEATH = "derrygolan-westmeath"
    DERRYGONNELLY_FERMANAGH = "derrygonnelly-fermanagh"
    DERRYGOOLIN_GALWAY = "derrygoolin-galway"
    DERRYGROGAN_OFFALY = "derrygrogan-offaly"
    DERRYKEIGHAN_ANTRIM = "derrykeighan-antrim"
    DERRYKNOCKANE_LIMERICK = "derryknockane-limerick"
    DERRYLEA_GALWAY = "derrylea-galway"
    DERRYLIN_FERMANAGH = "derrylin-fermanagh"
    DERRYLOUGH_DONEGAL = "derrylough-donegal"
    DERRYMORE_KERRY = "derrymore-kerry"
    DERRYNABRIN_GALWAY = "derrynabrin-galway"
    DERRYNANE_KERRY = "derrynane-kerry"
    DERRYNEEN_GALWAY = "derryneen-galway"
    DERRYRUSH_GALWAY = "derryrush-galway"
    DERRYTRASNA_ARMAGH = "derrytrasna-armagh"
    DERRYVOHY_MAYO = "derryvohy-mayo"
    DERRYWODE_GALWAY = "derrywode-galway"
    DERVOCK_ANTRIM = "dervock-antrim"
    DESERTMARTIN_DERRY = "desertmartin-derry"
    DILLONS_CROSS_CORK = "dillons-cross-cork"
    DINGLE_KERRY = "dingle-kerry"
    DOAGH_BEG_DONEGAL = "doagh-beg-donegal"
    DOAGH_ANTRIM = "doagh-antrim"
    DOAGH_DONEGAL = "doagh-donegal"
    DOLLA_TIPPERARY = "dolla-tipperary"
    DOLLINGSTOWN_DOWN = "dollingstown-down"
    DOLLYMOUNT_DUBLIN = "dollymount-dublin"
    DOLPHINS_BARN_DUBLIN = "dolphin-s-barn-dublin"
    DONABATE_DUBLIN = "donabate-dublin"
    DONACARNEY_SURROUNDS_MEATH = "donacarney-and-surrounds-meath"
    DONACARNEY_MEATH = "donacarney-meath"
    DONADEA_KILDARE = "donadea-kildare"
    DONAGHADEE_DOWN = "donaghadee-down"
    DONAGHCLONEY_DOWN = "donaghcloney-down"
    DONAGHMEDE_DUBLIN = "donaghmede-dublin"
    DONAGHMORE_LAOIS = "donaghmore-laois"
    DONAGHMORE_TYRONE = "donaghmore-tyrone"
    DONAGHPATRICK_MEATH = "donaghpatrick-meath"
    DONAMON_ROSCOMMON = "donamon-roscommon"
    DONARD_WEXFORD = "donard-wexford"
    DONARD_WICKLOW = "donard-wicklow"
    DONASKEAGH_TIPPERARY = "donaskeagh-tipperary"
    DONEGAL_COUNTY = "donegal"
    DONEGAL_TOWN_SURROUNDS_DONEGAL = "donegal-town-and-surrounds-donegal"
    DONEGAL_TOWN_DONEGAL = "donegal-town-donegal"
    DONEGALL_ROAD_ANTRIM = "donegall-road-antrim"
    DONERAILE_CORK = "doneraile-cork"
    DONNAGHMORE_MEATH = "donnaghmore-meath"
    DONNYBROOK_CORK = "donnybrook-cork"
    DONNYBROOK_DUBLIN = "donnybrook-dublin"
    DONNYCARNEY_DUBLIN = "donnycarney-dublin"
    DONOHILL_TIPPERARY = "donohill-tipperary"
    DONORE_MEATH = "donore-meath"
    DONOUGHMORE_CORK = "donoughmore-cork"
    DOOAGH_MAYO = "dooagh-mayo"
    DOOBEHY_MAYO = "doobehy-mayo"
    DOOCASTLE_MAYO = "doocastle-mayo"
    DOOCASTLE_SLIGO = "doocastle-sligo"
    DOOCHARY_DONEGAL = "doochary-donegal"
    DOOEGA_MAYO = "dooega-mayo"
    DOOGARY_CAVAN = "doogary-cavan"
    DOOGHBEG_MAYO = "dooghbeg-mayo"
    DOOGORT_MAYO = "doogort-mayo"
    DOOHOMA_MAYO = "doohoma-mayo"
    DOOKS_KERRY = "dooks-kerry"
    DOOLIN_CLARE = "doolin-clare"
    DOON_GALWAY = "doon-galway"
    DOON_LIMERICK = "doon-limerick"
    DOONAHA_EAST_CLARE = "doonaha-east-clare"
    DOONAHA_WEST_CLARE = "doonaha-west-clare"
    DOONBEG_CLARE = "doonbeg-clare"
    DOONLOUGHAN_GALWAY = "doonloughan-galway"
    DOONMANAGH_KERRY = "doonmanagh-kerry"
    DOORADOYLE_LIMERICK = "dooradoyle-limerick"
    DOOYORK_MAYO = "dooyork-mayo"
    DORE_DONEGAL = "dore-donegal"
    DORRUSAWILLIN_LEITRIM = "dorrusawillin-leitrim"
    DORSET_COLLEGE_DUBLIN = "dorset-college-dublin"
    DOUGH_CORK = "dough-cork"
    DOUGHCLOYNE_CORK = "doughcloyne-cork"
    DOUGHISKA_GALWAY = "doughiska-galway"
    DOUGLAS_CORK = "douglas-cork"
    DOWDALLSHILL_LOUTH = "dowdallshill-louth"
    DOWLING_KILKENNY = "dowling-kilkenny"
    DOWN_COUNTY = "down"
    DOWNHILL_DERRY = "downhill-derry"
    DOWNINGS_DONEGAL = "downings-donegal"
    DOWNPATRICK_DOWN = "downpatrick-down"
    DOWRA_CAVAN = "dowra-cavan"
    DOWRA_LEITRIM = "dowra-leitrim"
    DRANGAN_TIPPERARY = "drangan-tipperary"
    DRAPERSTOWN_DERRY = "draperstown-derry"
    DREENAGH_KERRY = "dreenagh-kerry"
    DRIMNAGH_DUBLIN = "drimnagh-dublin"
    DRIMOLEAGUE_CORK = "drimoleague-cork"
    DRINAGH_CORK = "drinagh-cork"
    DRINAGH_WEXFORD = "drinagh-wexford"
    DRINAGHAN_SLIGO = "drinaghan-sligo"
    DRING_LONGFORD = "dring-longford"
    DRIPSEY_CORK = "dripsey-cork"
    DROGHEDA_SURROUNDS_LOUTH = "drogheda-and-surrounds-louth"
    DROGHEDA_SURROUNDS_MEATH = "drogheda-and-surrounds-meath"
    DROGHEDA_LOUTH = "drogheda-louth"
    DROGHEDA_MEATH = "drogheda-meath"
    DROM_TIPPERARY = "drom-tipperary"
    DROMAHAIR_LEITRIM = "dromahair-leitrim"
    DROMAHANE_CORK = "dromahane-cork"
    DROMARA_DOWN = "dromara-down"
    DROMARD_SLIGO = "dromard-sligo"
    DROMASMOLE_CORK = "dromasmole-cork"
    DROMBANE_TIPPERARY = "drombane-tipperary"
    DROMBANNA_LIMERICK = "drombanna-limerick"
    DROMCOLLIHER_LIMERICK = "dromcolliher-limerick"
    DROMIN_CORK = "dromin-cork"
    DROMIN_LIMERICK = "dromin-limerick"
    DROMIN_LOUTH = "dromin-louth"
    DROMINA_CORK = "dromina-cork"
    DROMINEER_TIPPERARY = "dromineer-tipperary"
    DROMISKIN_LOUTH = "dromiskin-louth"
    DROMKEEN_LIMERICK = "dromkeen-limerick"
    DROMLEA_LEITRIM = "dromlea-leitrim"
    DROMOD_LEITRIM = "dromod-leitrim"
    DROMORE_WEST_SLIGO = "dromore-west-sligo"
    DROMORE_DOWN = "dromore-down"
    DROMORE_LIMERICK = "dromore-limerick"
    DROMORE_TYRONE = "dromore-tyrone"
    DROMTRASNA_LIMERICK = "dromtrasna-limerick"
    DRUM_EAST_GALWAY = "drum-east-galway"
    DRUM_WEST_GALWAY = "drum-west-galway"
    DRUM_MONAGHAN = "drum-monaghan"
    DRUM_ROSCOMMON = "drum-roscommon"
    DRUM_SLIGO = "drum-sligo"
    DRUMAHOE_DERRY = "drumahoe-derry"
    DRUMALEE_CAVAN = "drumalee-cavan"
    DRUMANDOORA_CLARE = "drumandoora-clare"
    DRUMANESS_DOWN = "drumaness-down"
    DRUMATOBER_GALWAY = "drumatober-galway"
    DRUMBEG_DONEGAL = "drumbeg-donegal"
    DRUMBEG_DOWN = "drumbeg-down"
    DRUMBO_DOWN = "drumbo-down"
    DRUMCAR_LOUTH = "drumcar-louth"
    DRUMCLIFF_SLIGO = "drumcliff-sligo"
    DRUMCONDRA_DUBLIN = "drumcondra-dublin"
    DRUMCONG_LEITRIM = "drumcong-leitrim"
    DRUMCONRATH_MEATH = "drumconrath-meath"
    DRUMCREE_WESTMEATH = "drumcree-westmeath"
    DRUMDUFF_FERMANAGH = "drumduff-fermanagh"
    DRUMFEA_CARLOW = "drumfea-carlow"
    DRUMFIN_SLIGO = "drumfin-sligo"
    DRUMFREE_DONEGAL = "drumfree-donegal"
    DRUMGOFT_WICKLOW = "drumgoft-wicklow"
    DRUMKEARY_GALWAY = "drumkeary-galway"
    DRUMKEEN_DONEGAL = "drumkeen-donegal"
    DRUMKEERAN_LEITRIM = "drumkeeran-leitrim"
    DRUMLISH_LONGFORD = "drumlish-longford"
    DRUMLOSH_ROSCOMMON = "drumlosh-roscommon"
    DRUMMIN_CARLOW = "drummin-carlow"
    DRUMMULLIN_ROSCOMMON = "drummullin-roscommon"
    DRUMQUIN_TYRONE = "drumquin-tyrone"
    DRUMRANEY_WESTMEATH = "drumraney-westmeath"
    DRUMREAGH_MAYO = "drumreagh-mayo"
    DRUMREE_MEATH = "drumree-meath"
    DRUMSHANBO_LEITRIM = "drumshanbo-leitrim"
    DRUMSKELT_MONAGHAN = "drumskelt-monaghan"
    DRUMSNA_LEITRIM = "drumsna-leitrim"
    DRUMSURN_DERRY = "drumsurn-derry"
    DUAGH_KERRY = "duagh-kerry"
    DUALLA_TIPPERARY = "dualla-tipperary"
    DUBLIN_COUNTY = "dublin"
    DUBLIN_1_DUBLIN = "dublin-1-dublin"
    DUBLIN_10_DUBLIN = "dublin-10-dublin"
    DUBLIN_11_DUBLIN = "dublin-11-dublin"
    DUBLIN_12_DUBLIN = "dublin-12-dublin"
    DUBLIN_13_DUBLIN = "dublin-13-dublin"
    DUBLIN_14_DUBLIN = "dublin-14-dublin"
    DUBLIN_15_DUBLIN = "dublin-15-dublin"
    DUBLIN_16_DUBLIN = "dublin-16-dublin"
    DUBLIN_17_DUBLIN = "dublin-17-dublin"
    DUBLIN_18_DUBLIN = "dublin-18-dublin"
    DUBLIN_2_DUBLIN = "dublin-2-dublin"
    DUBLIN_20_DUBLIN = "dublin-20-dublin"
    DUBLIN_22_DUBLIN = "dublin-22-dublin"
    DUBLIN_24_DUBLIN = "dublin-24-dublin"
    DUBLIN_3_DUBLIN = "dublin-3-dublin"
    DUBLIN_4_DUBLIN = "dublin-4-dublin"
    DUBLIN_5_DUBLIN = "dublin-5-dublin"
    DUBLIN_6_DUBLIN = "dublin-6-dublin"
    DUBLIN_6W_DUBLIN = "dublin-6w-dublin"
    DUBLIN_7_DUBLIN = "dublin-7-dublin"
    DUBLIN_8_DUBLIN = "dublin-8-dublin"
    DUBLIN_9_DUBLIN = "dublin-9-dublin"
    DUBLIN_BUSINESS_SCHOOL_DUBLIN = "dublin-business-school-dublin"
    DUBLIN_CITY = "dublin-city"
    DUBLIN_CITY_CENTRE_DUBLIN = "dublin-city-centre-dublin"
    DUBLIN_CITY_UNIVERSITY___ALL_HALLOWS_CAMPUS_DUBLIN = "dublin-city-university-all-hallows-campus-dublin"
    DUBLIN_CITY_UNIVERSITY___GLASNEVIN_CAMPUS_DUBLIN = "dublin-city-university-glasnevin-campus-dublin"
    DUBLIN_CITY_UNIVERSITY_DUBLIN = "dublin-city-university-dublin"
    DUBLIN_COMMUTER_TOWNS_DUBLIN = "dublin-commuter-towns-dublin"
    DUBLIN_INSTITUTE_OF_DESIGN_DUBLIN = "dublin-institute-of-design-dublin"
    DUBLIN_INSTITUTE_OF_TECHNOLOGY_AUNGIER_ST_DUBLIN = "dublin-institute-of-technology-aungier-st-dublin"
    DUBLIN_INSTITUTE_OF_TECHNOLOGY_BOLTON_ST_DUBLIN = "dublin-institute-of-technology-bolton-st-dublin"
    DUBLIN_INSTITUTE_OF_TECHNOLOGY_CATHAL_BRUGHA_ST_DUBLIN = "dublin-institute-of-technology-cathal-brugha-st-dublin"
    DUBLIN_INSTITUTE_OF_TECHNOLOGY_KEVIN_ST_DUBLIN = "dublin-institute-of-technology-kevin-st-dublin"
    DUBLIN_INSTITUTE_OF_TECHNOLOGY_RATHMINES_DUBLIN = "dublin-institute-of-technology-rathmines-dublin"
    DUBLIN_PIKE_CORK = "dublin-pike-cork"
    DUFFY_KILDARE = "duffy-kildare"
    DULEEK_MEATH = "duleek-meath"
    DUN_LAOGHAIRE_INSTITUTE_OF_ART_DESIGN_TECHNOLOGY_DUBLIN = "dun-laoghaire-institute-of-art-design-and-technology-dublin"
    DUN_LAOGHAIRE_DUBLIN = "dun-laoghaire-dublin"
    DUNADRY_ANTRIM = "dunadry-antrim"
    DUNAFF_DONEGAL = "dunaff-donegal"
    DUNAGHY_ANTRIM = "dunaghy-antrim"
    DUNANY_LOUTH = "dunany-louth"
    DUNBEN_KILKENNY = "dunben-kilkenny"
    DUNBOYNE_SURROUNDS_MEATH = "dunboyne-and-surrounds-meath"
    DUNBOYNE_MEATH = "dunboyne-meath"
    DUNCAIRN_ANTRIM = "duncairn-antrim"
    DUNCANNON_WEXFORD = "duncannon-wexford"
    DUNCORMICK_WEXFORD = "duncormick-wexford"
    DUNDALK_SURROUNDS_LOUTH = "dundalk-and-surrounds-louth"
    DUNDALK_INSTITUTE_OF_TECHNOLOGY_LOUTH = "dundalk-institute-of-technology-louth"
    DUNDALK_LOUTH = "dundalk-louth"
    DUNDERROW_CORK = "dunderrow-cork"
    DUNDERRY_MEATH = "dunderry-meath"
    DUNDONALD_DOWN = "dundonald-down"
    DUNDROD_ANTRIM = "dundrod-antrim"
    DUNDRUM_DOWN = "dundrum-down"
    DUNDRUM_DUBLIN = "dundrum-dublin"
    DUNDRUM_TIPPERARY = "dundrum-tipperary"
    DUNFANAGHY_DONEGAL = "dunfanaghy-donegal"
    DUNGANNON_TYRONE = "dungannon-tyrone"
    DUNGANSTOWN_WEXFORD = "dunganstown-wexford"
    DUNGARVAN_SURROUNDS_WATERFORD = "dungarvan-and-surrounds-waterford"
    DUNGARVAN_KILKENNY = "dungarvan-kilkenny"
    DUNGARVAN_WATERFORD = "dungarvan-waterford"
    DUNGIVEN_DERRY = "dungiven-derry"
    DUNGLOE_DONEGAL = "dungloe-donegal"
    DUNGOURNEY_CORK = "dungourney-cork"
    DUNHILL_WATERFORD = "dunhill-waterford"
    DUNIRY_GALWAY = "duniry-galway"
    DUNKERRIN_OFFALY = "dunkerrin-offaly"
    DUNKINEELY_DONEGAL = "dunkineely-donegal"
    DUNKITT_KILKENNY = "dunkitt-kilkenny"
    DUNLAVIN_WICKLOW = "dunlavin-wicklow"
    DUNLEER_LOUTH = "dunleer-louth"
    DUNLEWY_DONEGAL = "dunlewy-donegal"
    DUNLOY_ANTRIM = "dunloy-antrim"
    DUNMANUS_CORK = "dunmanus-cork"
    DUNMANWAY_CORK = "dunmanway-cork"
    DUNMORE_EAST_WATERFORD = "dunmore-east-waterford"
    DUNMORE_GALWAY = "dunmore-galway"
    DUNMORE_KILKENNY = "dunmore-kilkenny"
    DUNMURRY_ANTRIM = "dunmurry-antrim"
    DUNNAMAGGAN_KILKENNY = "dunnamaggan-kilkenny"
    DUNNAMANAGH_TYRONE = "dunnamanagh-tyrone"
    DUNQUIN_KERRY = "dunquin-kerry"
    DUNSANY_MEATH = "dunsany-meath"
    DUNSHAUGHLIN_MEATH = "dunshaughlin-meath"
    DUNWORLY_CORK = "dunworly-cork"
    DURROW_LAOIS = "durrow-laois"
    DURRUS_CORK = "durrus-cork"
    DYSART_ROSCOMMON = "dysart-roscommon"
    DYSART_WESTMEATH = "dysart-westmeath"
    EASKEY_SLIGO = "easkey-sligo"
    EAST_BELFAST_CITY_ANTRIM = "east-belfast-city-antrim"
    EAST_CORK_CORK = "east-cork-cork"
    EAST_FERRY_CORK = "east-ferry-cork"
    EAST_WALL_DUBLIN = "east-wall-dublin"
    EDENDERRY_SURROUNDS_OFFALY = "edenderry-and-surrounds-offaly"
    EDENDERRY_OFFALY = "edenderry-offaly"
    EDENMORE_DUBLIN = "edenmore-dublin"
    EDERNEY_FERMANAGH = "ederney-fermanagh"
    EDGEWORTHSTOWN_LONGFORD = "edgeworthstown-longford"
    EDMONDSTOWN_DUBLIN = "edmondstown-dublin"
    EFFIN_LIMERICK = "effin-limerick"
    EGLINTON_DERRY = "eglinton-derry"
    EGLISH_TYRONE = "eglish-tyrone"
    EIGHTER_CAVAN = "eighter-cavan"
    ELLISTRIN_DONEGAL = "ellistrin-donegal"
    ELPHIN_ROSCOMMON = "elphin-roscommon"
    ELTON_LIMERICK = "elton-limerick"
    EMLY_TIPPERARY = "emly-tipperary"
    EMMOO_ROSCOMMON = "emmoo-roscommon"
    EMO_LAOIS = "emo-laois"
    EMYVALE_MONAGHAN = "emyvale-monaghan"
    ENFIELD_MEATH = "enfield-meath"
    ENNIS_SURROUNDS_CLARE = "ennis-and-surrounds-clare"
    ENNIS_ROAD_LIMERICK = "ennis-road-limerick"
    ENNIS_CLARE = "ennis-clare"
    ENNISCORTHY_SURROUNDS_WEXFORD = "enniscorthy-and-surrounds-wexford"
    ENNISCORTHY_WEXFORD = "enniscorthy-wexford"
    ENNISCRONE_SLIGO = "enniscrone-sligo"
    ENNISKEANE_CORK = "enniskeane-cork"
    ENNISKERRY_WICKLOW = "enniskerry-wicklow"
    ENNISKILLEN_FERMANAGH = "enniskillen-fermanagh"
    ENNISTYMON_CLARE = "ennistymon-clare"
    ENNYBEGS_LONGFORD = "ennybegs-longford"
    ERRA_ROSCOMMON = "erra-roscommon"
    ERRIFF_BRIDGE_MAYO = "erriff-bridge-mayo"
    ERRILL_LAOIS = "errill-laois"
    ERRISLANNAN_GALWAY = "errislannan-galway"
    ESKER_SOUTH_LONGFORD = "esker-south-longford"
    ESKER_GALWAY = "esker-galway"
    ESKERAGH_MAYO = "eskeragh-mayo"
    EYERIES_CORK = "eyeries-cork"
    EYRECOURT_GALWAY = "eyrecourt-galway"
    FAHA_WATERFORD = "faha-waterford"
    FAHAMORE_KERRY = "fahamore-kerry"
    FAHAN_DONEGAL = "fahan-donegal"
    FAHY_GALWAY = "fahy-galway"
    FAIR_GREEN_CLARE = "fair-green-clare"
    FAIRHILL_CORK = "fairhill-cork"
    FAIRVIEW_DUBLIN = "fairview-dublin"
    FAIRYMOUNT_ROSCOMMON = "fairymount-roscommon"
    FAITHLEGG_WATERFORD = "faithlegg-waterford"
    FALCARRAGH_DONEGAL = "falcarragh-donegal"
    FALLMORE_MAYO = "fallmore-mayo"
    FALLS_PARK_ANTRIM = "falls-park-antrim"
    FALLS_ANTRIM = "falls-antrim"
    FANAD_DONEGAL = "fanad-donegal"
    FANORE_CLARE = "fanore-clare"
    FARAHY_CORK = "farahy-cork"
    FARDRUM_WESTMEATH = "fardrum-westmeath"
    FARMERS_BRIDGE_KERRY = "farmer-s-bridge-kerry"
    FARMERS_CROSS_CORK = "farmers-cross-cork"
    FARNAGHT_LEITRIM = "farnaght-leitrim"
    FARNANES_CORK = "farnanes-cork"
    FARNOGE_KILKENNY = "farnoge-kilkenny"
    FARRAN_CORK = "farran-cork"
    FARRANFORE_KERRY = "farranfore-kerry"
    FARRANREE_CORK = "farranree-cork"
    FARRANSHONE_LIMERICK = "farranshone-limerick"
    FASSAROE_WICKLOW = "fassaroe-wicklow"
    FAUGHART_LOUTH = "faughart-louth"
    FEAGARRID_WATERFORD = "feagarrid-waterford"
    FEAKLE_CLARE = "feakle-clare"
    FEDAMORE_LIMERICK = "fedamore-limerick"
    FEEARD_CLARE = "feeard-clare"
    FEENAGH_LIMERICK = "feenagh-limerick"
    FEENY_DERRY = "feeny-derry"
    FEEVAGH_ROSCOMMON = "feevagh-roscommon"
    FENAGH_CARLOW = "fenagh-carlow"
    FENAGH_LEITRIM = "fenagh-leitrim"
    FENIT_KERRY = "fenit-kerry"
    FENOR_WATERFORD = "fenor-waterford"
    FEOHANAGH_KERRY = "feohanagh-kerry"
    FEOHANAGH_LIMERICK = "feohanagh-limerick"
    FERBANE_OFFALY = "ferbane-offaly"
    FERMANAGH_COUNTY = "fermanagh"
    FERMOY_SURROUNDS_CORK = "fermoy-and-surrounds-cork"
    FERMOY_CORK = "fermoy-cork"
    FERNS_WEXFORD = "ferns-wexford"
    FERRY_BRIDGE_LIMERICK = "ferry-bridge-limerick"
    FERRYBANK_WATERFORD = "ferrybank-waterford"
    FERRYBANK_WEXFORD = "ferrybank-wexford"
    FERRYBANK_WICKLOW = "ferrybank-wicklow"
    FERRYCARRIG_WEXFORD = "ferrycarrig-wexford"
    FETHARD_TIPPERARY = "fethard-tipperary"
    FETHARD_WEXFORD = "fethard-wexford"
    FETHARD_ON_SEA_WEXFORD = "fethard-on-sea-wexford"
    FEWS_WATERFORD = "fews-waterford"
    FIDDOWN_KILKENNY = "fiddown-kilkenny"
    FINAGHY_ANTRIM = "finaghy-antrim"
    FINAVARRA_CLARE = "finavarra-clare"
    FINEA_WESTMEATH = "finea-westmeath"
    FINGLAS_DUBLIN = "finglas-dublin"
    FINNEA_CAVAN = "finnea-cavan"
    FINNISGLIN_GALWAY = "finnisglin-galway"
    FINNY_MAYO = "finny-mayo"
    FINTONA_TYRONE = "fintona-tyrone"
    FINTOWN_DONEGAL = "fintown-donegal"
    FINUGE_KERRY = "finuge-kerry"
    FIRHOUSE_DUBLIN = "firhouse-dublin"
    FIRIES_KERRY = "firies-kerry"
    FIRKEEL_CORK = "firkeel-cork"
    FISHERHILL_MAYO = "fisherhill-mayo"
    FIVEALLEY_OFFALY = "fivealley-offaly"
    FIVEMILEBRIDGE_CORK = "fivemilebridge-cork"
    FIVEMILETOWN_TYRONE = "fivemiletown-tyrone"
    FLAGMOUNT_CLARE = "flagmount-clare"
    FLAGMOUNT_KILKENNY = "flagmount-kilkenny"
    FOILYCLEARA_LIMERICK = "foilycleara-limerick"
    FONTSTOWN_KILDARE = "fontstown-kildare"
    FORDSTOWN_MEATH = "fordstown-meath"
    FORE_WESTMEATH = "fore-westmeath"
    FORKILL_ARMAGH = "forkill-armagh"
    FORMOYLE_CLARE = "formoyle-clare"
    FORMOYLE_LONGFORD = "formoyle-longford"
    FORMOYLE_MAYO = "formoyle-mayo"
    FORT_STEWART_DONEGAL = "fort-stewart-donegal"
    FORTH_RIVER_ANTRIM = "forth-river-antrim"
    FORTHILL_LONGFORD = "forthill-longford"
    FORTWILLIAM_ANTRIM = "fortwilliam-antrim"
    FOSSA_KERRY = "fossa-kerry"
    FOTA_CORK = "fota-cork"
    FOULKSMILLS_WEXFORD = "foulksmills-wexford"
    FOUNTAIN_CROSS_CLARE = "fountain-cross-clare"
    FOUNTAINSTOWN_CORK = "fountainstown-cork"
    FOUR_MILE_HOUSE_ROSCOMMON = "four-mile-house-roscommon"
    FOUR_ROADS_ROSCOMMON = "four-roads-roscommon"
    FOX_GEESE_DUBLIN = "fox-and-geese-dublin"
    FOXFORD_MAYO = "foxford-mayo"
    FOXHALL_GALWAY = "foxhall-galway"
    FOXROCK_DUBLIN = "foxrock-dublin"
    FOYNES_LIMERICK = "foynes-limerick"
    FRANKFIELD_CORK = "frankfield-cork"
    FREEMOUNT_CORK = "freemount-cork"
    FRENCHPARK_ROSCOMMON = "frenchpark-roscommon"
    FRESHFORD_KILKENNY = "freshford-kilkenny"
    FREYNESTOWN_WICKLOW = "freynestown-wicklow"
    FROSSES_DONEGAL = "frosses-donegal"
    FUERTY_ROSCOMMON = "fuerty-roscommon"
    FUNSHIN_MORE_GALWAY = "funshin-more-galway"
    FURBO_GALWAY = "furbo-galway"
    GAINESTOWN_WESTMEATH = "gainestown-westmeath"
    GALBALLY_LIMERICK = "galbally-limerick"
    GALBALLY_TYRONE = "galbally-tyrone"
    GALBALLY_WEXFORD = "galbally-wexford"
    GALBOLIE_CAVAN = "galbolie-cavan"
    GALGORM_ANTRIM = "galgorm-antrim"
    GALLARUS_KERRY = "gallarus-kerry"
    GALLOPING_GREEN_DUBLIN = "galloping-green-dublin"
    GALLOWSTOWN_ROSCOMMON = "gallowstown-roscommon"
    GALMOY_KILKENNY = "galmoy-kilkenny"
    GALWALLY_DOWN = "galwally-down"
    GALWAY_COUNTY = "galway"
    GALWAY_CITY = "galway-city"
    GALWAY_CITY_CENTRE_GALWAY = "galway-city-centre-galway"
    GALWAY_CITY_SUBURBS_GALWAY = "galway-city-suburbs-galway"
    GALWAY_COMMUTER_TOWNS_GALWAY = "galway-commuter-towns-galway"
    GALWAYMAYO_INSTITUTE_OF_TECHNOLOGY_GALWAY = "galwaymayo-institute-of-technology-galway"
    GARADICE_MEATH = "garadice-meath"
    GARBALLY_GALWAY = "garbally-galway"
    GARNAVILLA_TIPPERARY = "garnavilla-tipperary"
    GARNERVILLE_DOWN = "garnerville-down"
    GARRANE_CORK = "garrane-cork"
    GARRANLAHAN_ROSCOMMON = "garranlahan-roscommon"
    GARRAUN_CLARE = "garraun-clare"
    GARRAUN_GALWAY = "garraun-galway"
    GARRAVAGH_CORK = "garravagh-cork"
    GARRETTSTOWN_CORK = "garrettstown-cork"
    GARRISON_FERMANAGH = "garrison-fermanagh"
    GARRISTOWN_DUBLIN = "garristown-dublin"
    GARRISTOWN_MEATH = "garristown-meath"
    GARRYCLOONAGH_MAYO = "garrycloonagh-mayo"
    GARRYCULLEN_WEXFORD = "garrycullen-wexford"
    GARRYFINE_LIMERICK = "garryfine-limerick"
    GARRYHILL_CARLOW = "garryhill-carlow"
    GARRYKENNEDY_TIPPERARY = "garrykennedy-tipperary"
    GARRYOWEN_LIMERICK = "garryowen-limerick"
    GARRYSPILLANE_LIMERICK = "garryspillane-limerick"
    GARRYVOE_CORK = "garryvoe-cork"
    GARVAGH_DERRY = "garvagh-derry"
    GARVAGH_LEITRIM = "garvagh-leitrim"
    GATTABAUN_KILKENNY = "gattabaun-kilkenny"
    GAWSWORTH_CORK = "gawsworth-cork"
    GEASHILL_OFFALY = "geashill-offaly"
    GEESALA_MAYO = "geesala-mayo"
    GEEVAGH_SLIGO = "geevagh-sligo"
    GERAHIES_CORK = "gerahies-cork"
    GILES_QUAY_LOUTH = "giles-quay-louth"
    GILFORD_DOWN = "gilford-down"
    GILNAHIRK_DOWN = "gilnahirk-down"
    GLANDORE_CORK = "glandore-cork"
    GLANGEVLIN_CAVAN = "glangevlin-cavan"
    GLANMIRE_CORK = "glanmire-cork"
    GLANOE_KERRY = "glanoe-kerry"
    GLANTANE_CORK = "glantane-cork"
    GLANWORTH_CORK = "glanworth-cork"
    GLARRYFORD_ANTRIM = "glarryford-antrim"
    GLASHEEN_CORK = "glasheen-cork"
    GLASLOUGH_MONAGHAN = "glaslough-monaghan"
    GLASMULLAN_DONEGAL = "glasmullan-donegal"
    GLASNEVIN_DUBLIN = "glasnevin-dublin"
    GLASSILLAUN_MAYO = "glassillaun-mayo"
    GLASSON_WESTMEATH = "glasson-westmeath"
    GLASTHULE_DUBLIN = "glasthule-dublin"
    GLEN_OF_AHERLOW_TIPPERARY = "glen-of-aherlow-tipperary"
    GLEN_DONEGAL = "glen-donegal"
    GLEN_MAYO = "glen-mayo"
    GLENADE_LEITRIM = "glenade-leitrim"
    GLENAGEARY_DUBLIN = "glenageary-dublin"
    GLENAMADDY_GALWAY = "glenamaddy-galway"
    GLENAMOY_MAYO = "glenamoy-mayo"
    GLENARIFF_ANTRIM = "glenariff-antrim"
    GLENARM_ANTRIM = "glenarm-antrim"
    GLENASMOLE_DUBLIN = "glenasmole-dublin"
    GLENAVY_ANTRIM = "glenavy-antrim"
    GLENBEIGH_KERRY = "glenbeigh-kerry"
    GLENBOY_LEITRIM = "glenboy-leitrim"
    GLENBROHANE_LIMERICK = "glenbrohane-limerick"
    GLENBROOK_CORK = "glenbrook-cork"
    GLENCAIRN_ANTRIM = "glencairn-antrim"
    GLENCAR_KERRY = "glencar-kerry"
    GLENCAR_LEITRIM = "glencar-leitrim"
    GLENCAR_SLIGO = "glencar-sligo"
    GLENCOLMCILLE_DONEGAL = "glencolmcille-donegal"
    GLENCORRIB_MAYO = "glencorrib-mayo"
    GLENCREE_WICKLOW = "glencree-wicklow"
    GLENCULLEN_DUBLIN = "glencullen-dublin"
    GLENDALOUGH_WATERFORD = "glendalough-waterford"
    GLENDALOUGH_WICKLOW = "glendalough-wicklow"
    GLENDERRY_KERRY = "glenderry-kerry"
    GLENDINE_KILKENNY = "glendine-kilkenny"
    GLENDORRAGHA_DONEGAL = "glendorragha-donegal"
    GLENDOWAN_DONEGAL = "glendowan-donegal"
    GLENDREE_CLARE = "glendree-clare"
    GLENEALY_WICKLOW = "glenealy-wicklow"
    GLENEELY_DONEGAL = "gleneely-donegal"
    GLENFARNE_LEITRIM = "glenfarne-leitrim"
    GLENFLESK_KERRY = "glenflesk-kerry"
    GLENGARRIFF_CORK = "glengarriff-cork"
    GLENGORMLEY_ANTRIM = "glengormley-antrim"
    GLENISLAND_MAYO = "glenisland-mayo"
    GLENMALURE_WICKLOW = "glenmalure-wicklow"
    GLENMORE_CLARE = "glenmore-clare"
    GLENMORE_KILKENNY = "glenmore-kilkenny"
    GLENNAGEVLAGH_GALWAY = "glennagevlagh-galway"
    GLENROE_LIMERICK = "glenroe-limerick"
    GLENTANE_GALWAY = "glentane-galway"
    GLENTIES_DONEGAL = "glenties-donegal"
    GLENTOGHER_DONEGAL = "glentogher-donegal"
    GLENTRASNA_GALWAY = "glentrasna-galway"
    GLENVAR_DONEGAL = "glenvar-donegal"
    GLENVILLE_CORK = "glenville-cork"
    GLIN_LIMERICK = "glin-limerick"
    GLINSK_DONEGAL = "glinsk-donegal"
    GLINSK_GALWAY = "glinsk-galway"
    GLOUNTHAUNE_CORK = "glounthaune-cork"
    GLYNN_ANTRIM = "glynn-antrim"
    GLYNN_WEXFORD = "glynn-wexford"
    GNEEVGUILLA_KERRY = "gneevguilla-kerry"
    GOATSTOWN_DUBLIN = "goatstown-dublin"
    GOLDEN_TIPPERARY = "golden-tipperary"
    GOLEEN_CORK = "goleen-cork"
    GOOLDS_CROSS_TIPPERARY = "goold-s-cross-tipperary"
    GORESBRIDGE_KILKENNY = "goresbridge-kilkenny"
    GOREY_SURROUNDS_WEXFORD = "gorey-and-surrounds-wexford"
    GOREY_WEXFORD = "gorey-wexford"
    GORMANSTON_MEATH = "gormanston-meath"
    GORT_SURROUNDS_GALWAY = "gort-and-surrounds-galway"
    GORT_GALWAY = "gort-galway"
    GORTAHORK_DONEGAL = "gortahork-donegal"
    GORTALEAM_GALWAY = "gortaleam-galway"
    GORTAREVAN_OFFALY = "gortarevan-offaly"
    GORTAROO_CORK = "gortaroo-cork"
    GORTATLEVA_GALWAY = "gortatleva-galway"
    GORTAWAY_DONEGAL = "gortaway-donegal"
    GORTEENY_GALWAY = "gorteeny-galway"
    GORTFADDA_SLIGO = "gortfadda-sligo"
    GORTGARRIFF_CORK = "gortgarriff-cork"
    GORTGARRIGAN_LEITRIM = "gortgarrigan-leitrim"
    GORTIN_TYRONE = "gortin-tyrone"
    GORTLETTERAGH_LEITRIM = "gortletteragh-leitrim"
    GORTMORE_GALWAY = "gortmore-galway"
    GORTMORE_MAYO = "gortmore-mayo"
    GORTNADEEVE_GALWAY = "gortnadeeve-galway"
    GORTNAHOO_TIPPERARY = "gortnahoo-tipperary"
    GORTNAKESH_CAVAN = "gortnakesh-cavan"
    GORTNASILLAGH_ROSCOMMON = "gortnasillagh-roscommon"
    GORTREE_DONEGAL = "gortree-donegal"
    GORTYMADDEN_GALWAY = "gortymadden-galway"
    GORVAGH_LEITRIM = "gorvagh-leitrim"
    GOULADOO_CORK = "gouladoo-cork"
    GOULDAVOHER_LIMERICK = "gouldavoher-limerick"
    GOWLA_GALWAY = "gowla-galway"
    GOWLAUN_GALWAY = "gowlaun-galway"
    GOWLIN_CARLOW = "gowlin-carlow"
    GOWRAN_KILKENNY = "gowran-kilkenny"
    GRACEDIEU_WATERFORD = "gracedieu-waterford"
    GRACEHILL_ANTRIM = "gracehill-antrim"
    GRAFFY_DONEGAL = "graffy-donegal"
    GRAFTON_COLLEGE_OF_MANAGEMENT_SCIENCES_DUBLIN = "grafton-college-of-management-sciences-dublin"
    GRAIGUE_HILL_CARLOW = "graigue-hill-carlow"
    GRAIGUE_MORE_WEXFORD = "graigue-more-wexford"
    GRAIGUECULLEN_CARLOW = "graiguecullen-carlow"
    GRAIGUECULLEN_LAOIS = "graiguecullen-laois"
    GRAIGUENAMANAGH_CARLOW = "graiguenamanagh-carlow"
    GRAIGUENAMANAGH_KILKENNY = "graiguenamanagh-kilkenny"
    GRANABEG_WICKLOW = "granabeg-wicklow"
    GRANAGH_LIMERICK = "granagh-limerick"
    GRANARD_SURROUNDS_LONGFORD = "granard-and-surrounds-longford"
    GRANARD_LONGFORD = "granard-longford"
    GRAND_CANAL_DOCK_DUBLIN = "grand-canal-dock-dublin"
    GRANEY_KILDARE = "graney-kildare"
    GRANGE_CASTLE_DUBLIN = "grange-castle-dublin"
    GRANGE_CON_WICKLOW = "grange-con-wicklow"
    GRANGE_CARLOW = "grange-carlow"
    GRANGE_CORK = "grange-cork"
    GRANGE_KILDARE = "grange-kildare"
    GRANGE_KILKENNY = "grange-kilkenny"
    GRANGE_LIMERICK = "grange-limerick"
    GRANGE_LOUTH = "grange-louth"
    GRANGE_SLIGO = "grange-sligo"
    GRANGE_WATERFORD = "grange-waterford"
    GRANGEBELLEW_LOUTH = "grangebellew-louth"
    GRANGEFORD_CARLOW = "grangeford-carlow"
    GRANGEGEETH_MEATH = "grangegeeth-meath"
    GRANGEMOCKLER_TIPPERARY = "grangemockler-tipperary"
    GRANNAGH_GALWAY = "grannagh-galway"
    GRANSHA_ANTRIM = "gransha-antrim"
    GRANTSTOWN_WATERFORD = "grantstown-waterford"
    GRASHNA_DOWN = "grashna-down"
    GREAGH_LEITRIM = "greagh-leitrim"
    GREENAN_WICKLOW = "greenan-wicklow"
    GREENANSTOWN_MEATH = "greenanstown-meath"
    GREENCASTLE_DONEGAL = "greencastle-donegal"
    GREENCASTLE_TYRONE = "greencastle-tyrone"
    GREENFIELD_CORK = "greenfield-cork"
    GREENFIELD_GALWAY = "greenfield-galway"
    GREENHILLS_DUBLIN = "greenhills-dublin"
    GREENISLAND_ANTRIM = "greenisland-antrim"
    GREENORE_LOUTH = "greenore-louth"
    GRENAGH_CORK = "grenagh-cork"
    GREYABBEY_DOWN = "greyabbey-down"
    GREYSTEEL_DERRY = "greysteel-derry"
    GREYSTONES_WICKLOW = "greystones-wicklow"
    GRIFFITH_COLLEGE_DUBLIN_DUBLIN = "griffith-college-dublin-dublin"
    GROGAN_OFFALY = "grogan-offaly"
    GROOMSPORT_DOWN = "groomsport-down"
    GUBAVEENY_CAVAN = "gubaveeny-cavan"
    GULLADUFF_DERRY = "gulladuff-derry"
    GURRANABRAHER_CORK = "gurranabraher-cork"
    GURTEEN_GALWAY = "gurteen-galway"
    GURTEEN_LEITRIM = "gurteen-leitrim"
    GURTEEN_SLIGO = "gurteen-sligo"
    GUSSERANE_WEXFORD = "gusserane-wexford"
    GWEEDORE_DONEGAL = "gweedore-donegal"
    GYLEEN_CORK = "gyleen-cork"
    HACKETSTOWN_CARLOW = "hacketstown-carlow"
    HALFWAY_CORK = "halfway-cork"
    HAMILTONSBAWN_ARMAGH = "hamiltonsbawn-armagh"
    HANNAHSTOWN_ANTRIM = "hannahstown-antrim"
    HANOVER_QUAY_DUBLIN = "hanover-quay-dublin"
    HAROLDS_CROSS_DUBLIN = "harold-s-cross-dublin"
    HARRISTOWN_KILKENNY = "harristown-kilkenny"
    HARTSTOWN_DUBLIN = "hartstown-dublin"
    HEADFORD_ROAD_GALWAY = "headford-road-galway"
    HEADFORD_GALWAY = "headford-galway"
    HEIR_ISLAND_CORK = "heir-island-cork"
    HERBERTSTOWN_LIMERICK = "herbertstown-limerick"
    HIGHWOOD_SLIGO = "highwood-sligo"
    HILL_STREET_ROSCOMMON = "hill-street-roscommon"
    HILLFOOT_DOWN = "hillfoot-down"
    HILLSBOROUGH_DOWN = "hillsborough-down"
    HILLTOWN_DOWN = "hilltown-down"
    HILLTOWN_WEXFORD = "hilltown-wexford"
    HOLLYFORD_TIPPERARY = "hollyford-tipperary"
    HOLLYFORT_WEXFORD = "hollyfort-wexford"
    HOLLYHILL_CORK = "hollyhill-cork"
    HOLLYMOUNT_MAYO = "hollymount-mayo"
    HOLLYSTOWN_DUBLIN = "hollystown-dublin"
    HOLLYWOOD_WICKLOW = "hollywood-wicklow"
    HOLY_CROSS_TIPPERARY = "holy-cross-tipperary"
    HOLYCROSS_LIMERICK = "holycross-limerick"
    HOLYCROSS_TIPPERARY = "holycross-tipperary"
    HOLYLANDS_ANTRIM = "holylands-antrim"
    HOLYWOOD_DOWN = "holywood-down"
    HORSE_AND_JOCKEY_TIPPERARY = "horse-and-jockey-tipperary"
    HORSELEAP_OFFALY = "horseleap-offaly"
    HOSPITAL_LIMERICK = "hospital-limerick"
    HOWTH_DUBLIN = "howth-dublin"
    HUGGINSTOWN_KILKENNY = "hugginstown-kilkenny"
    HUNTSTOWN_DUBLIN = "huntstown-dublin"
    HURLERS_CROSS_CLARE = "hurlers-cross-clare"
    IBAT_COLLEGE_DUBLIN_TEMPLE_BAR_CAMPUS_DUBLIN = "ibat-college-dublin-temple-bar-campus-dublin"
    ICD_BUSINESS_SCHOOL_DUBLIN = "icd-business-school-dublin"
    IFSC_DUBLIN = "ifsc-dublin"
    ILLAUNSTOOKAGH_KERRY = "illaunstookagh-kerry"
    ILLIES_DONEGAL = "illies-donegal"
    INAGH_CLARE = "inagh-clare"
    INCH_CORK = "inch-cork"
    INCH_DONEGAL = "inch-donegal"
    INCH_KERRY = "inch-kerry"
    INCH_TIPPERARY = "inch-tipperary"
    INCH_WEXFORD = "inch-wexford"
    INCHBEG_KILKENNY = "inchbeg-kilkenny"
    INCHICORE_DUBLIN = "inchicore-dublin"
    INCHIGEELAGH_CORK = "inchigeelagh-cork"
    INCHNAMUCK_TIPPERARY = "inchnamuck-tipperary"
    INDEPENDENT_COLLEGE_DUBLIN_DUBLIN = "independent-college-dublin-dublin"
    INISHBOFIN_ISLAND_GALWAY = "inishbofin-island-galway"
    INISHCARRA_CORK = "inishcarra-cork"
    INISHEER_GALWAY = "inisheer-galway"
    INISHMAAN_GALWAY = "inishmaan-galway"
    INISHMORE_GALWAY = "inishmore-galway"
    INISHTURK_MAYO = "inishturk-mayo"
    INISTIOGE_KILKENNY = "inistioge-kilkenny"
    INNISCARRA_CORK = "inniscarra-cork"
    INNISFAYE_ANTRIM = "innisfaye-antrim"
    INNISHANNON_CORK = "innishannon-cork"
    INNISKEEN_MONAGHAN = "inniskeen-monaghan"
    INSTITUTE_OF_TECHNOLOGY_BLANCHARDSTOWN_DUBLIN = "institute-of-technology-blanchardstown-dublin"
    INSTITUTE_OF_TECHNOLOGY_SLIGO_SLIGO = "institute-of-technology-sligo-sligo"
    INSTITUTE_OF_TECHNOLOGY_TALLAGHT_DUBLIN = "institute-of-technology-tallaght-dublin"
    INSTITUTE_OF_TECHNOLOGY_TRALEE_KERRY = "institute-of-technology-tralee-kerry"
    INVER_DONEGAL = "inver-donegal"
    INVER_MAYO = "inver-mayo"
    INVERIN_GALWAY = "inverin-galway"
    IRISH_COLLEGE_OF_HUMANITIES_APPLIED_SCIENCES_LIMERICK = "irish-college-of-humanities-and-applied-sciences-limerick"
    IRISHTOWN_DUBLIN = "irishtown-dublin"
    IRISHTOWN_MAYO = "irishtown-mayo"
    IRVINESTOWN_FERMANAGH = "irvinestown-fermanagh"
    ISLANDBRIDGE_DUBLIN = "islandbridge-dublin"
    ISLANDEADY_MAYO = "islandeady-mayo"
    ISLANDMAGEE_ANTRIM = "islandmagee-antrim"
    JAMESTOWN_LAOIS = "jamestown-laois"
    JAMESTOWN_LEITRIM = "jamestown-leitrim"
    JANESBORO_LIMERICK = "janesboro-limerick"
    JENKINSTOWN_KILKENNY = "jenkinstown-kilkenny"
    JENKINSTOWN_LOUTH = "jenkinstown-louth"
    JOBSTOWN_DUBLIN = "jobstown-dublin"
    JOHNSTOWN_BRIDGE_KILDARE = "johnstown-bridge-kildare"
    JOHNSTOWN_KILDARE = "johnstown-kildare"
    JOHNSTOWN_KILKENNY = "johnstown-kilkenny"
    JOHNSTOWN_MEATH = "johnstown-meath"
    JOHNSTOWN_WICKLOW = "johnstown-wicklow"
    JOHNSTOWNBRIDGE_KILDARE = "johnstownbridge-kildare"
    JOHNSWELL_KILKENNY = "johnswell-kilkenny"
    JONESBOROUGH_ARMAGH = "jonesborough-armagh"
    JORDANS_ISLAND_GALWAY = "jordan-s-island-galway"
    JULIANSTOWN_MEATH = "julianstown-meath"
    KANTURK_SURROUNDS_CORK = "kanturk-and-surrounds-cork"
    KANTURK_CORK = "kanturk-cork"
    KATESBRIDGE_DOWN = "katesbridge-down"
    KEADUE_ROSCOMMON = "keadue-roscommon"
    KEADY_ARMAGH = "keady-armagh"
    KEALKILL_CORK = "kealkill-cork"
    KEEAGH_GALWAY = "keeagh-galway"
    KEEL_MAYO = "keel-mayo"
    KEELOGES_GALWAY = "keeloges-galway"
    KEENAGH_LONGFORD = "keenagh-longford"
    KEENAGH_MAYO = "keenagh-mayo"
    KEERAUN_GALWAY = "keeraun-galway"
    KEERAUNNAGARK_GALWAY = "keeraunnagark-galway"
    KEEREEN_WATERFORD = "keereen-waterford"
    KELLISTOWN_WEST_CARLOW = "kellistown-west-carlow"
    KELLISTOWN_CARLOW = "kellistown-carlow"
    KELLS_SURROUNDS_MEATH = "kells-and-surrounds-meath"
    KELLS_ANTRIM = "kells-antrim"
    KELLS_KERRY = "kells-kerry"
    KELLS_KILKENNY = "kells-kilkenny"
    KELLS_MEATH = "kells-meath"
    KELLYSGROVE_GALWAY = "kellysgrove-galway"
    KENMARE_SURROUNDS_KERRY = "kenmare-and-surrounds-kerry"
    KENMARE_KERRY = "kenmare-kerry"
    KENTFIELD_GALWAY = "kentfield-galway"
    KENTSTOWN_MEATH = "kentstown-meath"
    KERRY_COUNTY = "kerry"
    KERRY_PIKE_CORK = "kerry-pike-cork"
    KERRYKEEL_DONEGAL = "kerrykeel-donegal"
    KESH_FERMANAGH = "kesh-fermanagh"
    KESH_SLIGO = "kesh-sligo"
    KESHCARRIGAN_LEITRIM = "keshcarrigan-leitrim"
    KILANERIN_WEXFORD = "kilanerin-wexford"
    KILANNY_LOUTH = "kilanny-louth"
    KILBAHA_CLARE = "kilbaha-clare"
    KILBANE_LIMERICK = "kilbane-limerick"
    KILBANNON_GALWAY = "kilbannon-galway"
    KILBARRACK_DUBLIN = "kilbarrack-dublin"
    KILBARRY_CORK = "kilbarry-cork"
    KILBEACANTY_GALWAY = "kilbeacanty-galway"
    KILBEGGAN_WESTMEATH = "kilbeggan-westmeath"
    KILBEHENNY_LIMERICK = "kilbehenny-limerick"
    KILBERRY_KILDARE = "kilberry-kildare"
    KILBERRY_MEATH = "kilberry-meath"
    KILBREEDY_LIMERICK = "kilbreedy-limerick"
    KILBRICKAN_GALWAY = "kilbrickan-galway"
    KILBRICKEN_LAOIS = "kilbricken-laois"
    KILBRIDE_MEATH = "kilbride-meath"
    KILBRIDE_WICKLOW = "kilbride-wicklow"
    KILBRIEN_WATERFORD = "kilbrien-waterford"
    KILBRIN_CORK = "kilbrin-cork"
    KILBRITTAIN_CORK = "kilbrittain-cork"
    KILCAIMIN_GALWAY = "kilcaimin-galway"
    KILCAR_DONEGAL = "kilcar-donegal"
    KILCARN_MEATH = "kilcarn-meath"
    KILCARRA_WICKLOW = "kilcarra-wicklow"
    KILCASH_TIPPERARY = "kilcash-tipperary"
    KILCAVAN_LAOIS = "kilcavan-laois"
    KILCHREEST_GALWAY = "kilchreest-galway"
    KILCLARAN_CLARE = "kilclaran-clare"
    KILCLIEF_DOWN = "kilclief-down"
    KILCLOGHER_CLARE = "kilclogher-clare"
    KILCLONFERT_OFFALY = "kilclonfert-offaly"
    KILCLOON_MEATH = "kilcloon-meath"
    KILCLOONEY_DONEGAL = "kilclooney-donegal"
    KILCLOONEY_WATERFORD = "kilclooney-waterford"
    KILCOCK_SURROUNDS_KILDARE = "kilcock-and-surrounds-kildare"
    KILCOCK_KILDARE = "kilcock-kildare"
    KILCOCK_MEATH = "kilcock-meath"
    KILCOGY_CAVAN = "kilcogy-cavan"
    KILCOLGAN_GALWAY = "kilcolgan-galway"
    KILCOLMAN_CORK = "kilcolman-cork"
    KILCOLMAN_LIMERICK = "kilcolman-limerick"
    KILCOLTRIM_CARLOW = "kilcoltrim-carlow"
    KILCOMIN_OFFALY = "kilcomin-offaly"
    KILCOMMON_TIPPERARY = "kilcommon-tipperary"
    KILCON_MAYO = "kilcon-mayo"
    KILCONIERON_GALWAY = "kilconieron-galway"
    KILCONLY_GALWAY = "kilconly-galway"
    KILCONLY_KERRY = "kilconly-kerry"
    KILCONNEL_GALWAY = "kilconnel-galway"
    KILCOO_DOWN = "kilcoo-down"
    KILCOOLE_WICKLOW = "kilcoole-wicklow"
    KILCORMAC_OFFALY = "kilcormac-offaly"
    KILCORNAN_LIMERICK = "kilcornan-limerick"
    KILCOTTY_WEXFORD = "kilcotty-wexford"
    KILCREDAN_CORK = "kilcredan-cork"
    KILCROHANE_CORK = "kilcrohane-cork"
    KILCULLEN_KILDARE = "kilcullen-kildare"
    KILCULLY_CORK = "kilcully-cork"
    KILCUMMIN_KERRY = "kilcummin-kerry"
    KILCUMMIN_MAYO = "kilcummin-mayo"
    KILCURLY_LOUTH = "kilcurly-louth"
    KILCURRY_LOUTH = "kilcurry-louth"
    KILDALKEY_MEATH = "kildalkey-meath"
    KILDANGAN_KILDARE = "kildangan-kildare"
    KILDARE_SURROUNDS_KILDARE = "kildare-and-surrounds-kildare"
    KILDARE_COUNTY = "kildare"
    KILDARE_KILDARE = "kildare-kildare"
    KILDAVIN_CARLOW = "kildavin-carlow"
    KILDERRY_KILKENNY = "kilderry-kilkenny"
    KILDIMO_LIMERICK = "kildimo-limerick"
    KILDINAN_CORK = "kildinan-cork"
    KILDORRERY_CORK = "kildorrery-cork"
    KILDYSART_CLARE = "kildysart-clare"
    KILEELY_LIMERICK = "kileely-limerick"
    KILEENEENMORE_GALWAY = "kileeneenmore-galway"
    KILFEAKLE_TIPPERARY = "kilfeakle-tipperary"
    KILFEARAGH_CLARE = "kilfearagh-clare"
    KILFENORA_CLARE = "kilfenora-clare"
    KILFINANE_LIMERICK = "kilfinane-limerick"
    KILFINNY_LIMERICK = "kilfinny-limerick"
    KILFLYNN_KERRY = "kilflynn-kerry"
    KILGARVAN_KERRY = "kilgarvan-kerry"
    KILGLASS_GALWAY = "kilglass-galway"
    KILGLASS_ROSCOMMON = "kilglass-roscommon"
    KILGLASS_SLIGO = "kilglass-sligo"
    KILGOBNET_KERRY = "kilgobnet-kerry"
    KILGOBNET_WATERFORD = "kilgobnet-waterford"
    KILGOWAN_KILDARE = "kilgowan-kildare"
    KILJAMES_KILKENNY = "kiljames-kilkenny"
    KILKEA_KILDARE = "kilkea-kildare"
    KILKEARY_TIPPERARY = "kilkeary-tipperary"
    KILKEASY_KILKENNY = "kilkeasy-kilkenny"
    KILKEE_CLARE = "kilkee-clare"
    KILKEEL_DOWN = "kilkeel-down"
    KILKELLY_MAYO = "kilkelly-mayo"
    KILKENNY_SURROUNDS_KILKENNY = "kilkenny-and-surrounds-kilkenny"
    KILKENNY_COUNTY = "kilkenny"
    KILKENNY_WEST_WESTMEATH = "kilkenny-west-westmeath"
    KILKENNY_KILKENNY = "kilkenny-kilkenny"
    KILKERLEY_LOUTH = "kilkerley-louth"
    KILKERRIN_GALWAY = "kilkerrin-galway"
    KILKIERAN_GALWAY = "kilkieran-galway"
    KILKIERNAN_KILKENNY = "kilkiernan-kilkenny"
    KILKISHEN_CLARE = "kilkishen-clare"
    KILL_O_THE_GRANGE_DUBLIN = "kill-o-the-grange-dublin"
    KILL_CAVAN = "kill-cavan"
    KILL_KILDARE = "kill-kildare"
    KILL_WATERFORD = "kill-waterford"
    KILLABUNANE_KERRY = "killabunane-kerry"
    KILLACLUG_CORK = "killaclug-cork"
    KILLACOLLA_LIMERICK = "killacolla-limerick"
    KILLADANGAN_MAYO = "killadangan-mayo"
    KILLADEAS_FERMANAGH = "killadeas-fermanagh"
    KILLADOON_MAYO = "killadoon-mayo"
    KILLADYSERT_CLARE = "killadysert-clare"
    KILLAFEEN_GALWAY = "killafeen-galway"
    KILLAG_WEXFORD = "killag-wexford"
    KILLAGHTEEN_LIMERICK = "killaghteen-limerick"
    KILLAHY_KILKENNY = "killahy-kilkenny"
    KILLAKEE_DUBLIN = "killakee-dublin"
    KILLALA_MAYO = "killala-mayo"
    KILLALLON_MEATH = "killallon-meath"
    KILLALOE_CLARE = "killaloe-clare"
    KILLAMERY_KILKENNY = "killamery-kilkenny"
    KILLANE_OFFALY = "killane-offaly"
    KILLANENA_CLARE = "killanena-clare"
    KILLANNE_WEXFORD = "killanne-wexford"
    KILLARD_CLARE = "killard-clare"
    KILLARGA_LEITRIM = "killarga-leitrim"
    KILLARNEY_SURROUNDS_KERRY = "killarney-and-surrounds-kerry"
    KILLARNEY_KERRY = "killarney-kerry"
    KILLARONE_GALWAY = "killarone-galway"
    KILLASHEE_LONGFORD = "killashee-longford"
    KILLASSER_MAYO = "killasser-mayo"
    KILLAVALLY_MAYO = "killavally-mayo"
    KILLAVALLY_WESTMEATH = "killavally-westmeath"
    KILLAVIL_SLIGO = "killavil-sligo"
    KILLAVULLEN_CORK = "killavullen-cork"
    KILLEA_DONEGAL = "killea-donegal"
    KILLEA_TIPPERARY = "killea-tipperary"
    KILLEAGH_CORK = "killeagh-cork"
    KILLEANY_GALWAY = "killeany-galway"
    KILLEDMOND_CARLOW = "killedmond-carlow"
    KILLEEDY_LIMERICK = "killeedy-limerick"
    KILLEEN_ARMAGH = "killeen-armagh"
    KILLEEN_GALWAY = "killeen-galway"
    KILLEENARAN_GALWAY = "killeenaran-galway"
    KILLEENS_CORK = "killeens-cork"
    KILLEEVAN_MONAGHAN = "killeevan-monaghan"
    KILLEGLAN_ROSCOMMON = "killeglan-roscommon"
    KILLEIGH_OFFALY = "killeigh-offaly"
    KILLENAGH_WEXFORD = "killenagh-wexford"
    KILLENARD_LAOIS = "killenard-laois"
    KILLENAULE_TIPPERARY = "killenaule-tipperary"
    KILLERIG_CARLOW = "killerig-carlow"
    KILLESHANDRA_CAVAN = "killeshandra-cavan"
    KILLESHIL_OFFALY = "killeshil-offaly"
    KILLESHIN_CARLOW = "killeshin-carlow"
    KILLESHIN_LAOIS = "killeshin-laois"
    KILLESTER_DUBLIN = "killester-dublin"
    KILLIMER_CLARE = "killimer-clare"
    KILLIMOR_GALWAY = "killimor-galway"
    KILLINABOY_CLARE = "killinaboy-clare"
    KILLINASPICK_KILKENNY = "killinaspick-kilkenny"
    KILLINCHY_DOWN = "killinchy-down"
    KILLINCOOLY_WEXFORD = "killincooly-wexford"
    KILLINEY_DUBLIN = "killiney-dublin"
    KILLINICK_WEXFORD = "killinick-wexford"
    KILLINKERE_CAVAN = "killinkere-cavan"
    KILLINNY_GALWAY = "killinny-galway"
    KILLINTHOMAS_KILDARE = "killinthomas-kildare"
    KILLISKEA_OFFALY = "killiskea-offaly"
    KILLISKEY_WICKLOW = "killiskey-wicklow"
    KILLMEY_KERRY = "killmey-kerry"
    KILLOE_LONGFORD = "killoe-longford"
    KILLOGEARY_MAYO = "killogeary-mayo"
    KILLONECAHA_KERRY = "killonecaha-kerry"
    KILLORAN_GALWAY = "killoran-galway"
    KILLORGLIN_KERRY = "killorglin-kerry"
    KILLOSCOBE_GALWAY = "killoscobe-galway"
    KILLOUGH_DOWN = "killough-down"
    KILLOUGH_WICKLOW = "killough-wicklow"
    KILLOWEN_DOWN = "killowen-down"
    KILLOWEN_WATERFORD = "killowen-waterford"
    KILLUCAN_WESTMEATH = "killucan-westmeath"
    KILLUKIN_ROSCOMMON = "killukin-roscommon"
    KILLUMNEY_CORK = "killumney-cork"
    KILLURIN_OFFALY = "killurin-offaly"
    KILLURIN_WEXFORD = "killurin-wexford"
    KILLURLY_KERRY = "killurly-kerry"
    KILLUSTY_TIPPERARY = "killusty-tipperary"
    KILLYBEGS_DONEGAL = "killybegs-donegal"
    KILLYCLOGHER_TYRONE = "killyclogher-tyrone"
    KILLYCLUG_DONEGAL = "killyclug-donegal"
    KILLYGAR_LEITRIM = "killygar-leitrim"
    KILLYGORDON_DONEGAL = "killygordon-donegal"
    KILLYKEEN_CAVAN = "killykeen-cavan"
    KILLYLEA_ARMAGH = "killylea-armagh"
    KILLYLEAGH_DOWN = "killyleagh-down"
    KILLYON_OFFALY = "killyon-offaly"
    KILMACANOGUE_WICKLOW = "kilmacanogue-wicklow"
    KILMACOO_WICKLOW = "kilmacoo-wicklow"
    KILMACOW_KILKENNY = "kilmacow-kilkenny"
    KILMACOW_WATERFORD = "kilmacow-waterford"
    KILMACRENAN_DONEGAL = "kilmacrenan-donegal"
    KILMACTEIGE_SLIGO = "kilmacteige-sligo"
    KILMACTHOMAS_WATERFORD = "kilmacthomas-waterford"
    KILMACTRANNY_SLIGO = "kilmactranny-sligo"
    KILMACUD_DUBLIN = "kilmacud-dublin"
    KILMACURRAGH_WICKLOW = "kilmacurragh-wicklow"
    KILMAINE_MAYO = "kilmaine-mayo"
    KILMAINHAM_DUBLIN = "kilmainham-dublin"
    KILMAINHAMWOOD_MEATH = "kilmainhamwood-meath"
    KILMALEY_CLARE = "kilmaley-clare"
    KILMALKEDAR_KERRY = "kilmalkedar-kerry"
    KILMALLOCK_LIMERICK = "kilmallock-limerick"
    KILMANAGH_KILKENNY = "kilmanagh-kilkenny"
    KILMEAD_KILDARE = "kilmead-kildare"
    KILMEADAN_WATERFORD = "kilmeadan-waterford"
    KILMEAGE_KILDARE = "kilmeage-kildare"
    KILMEEDY_LIMERICK = "kilmeedy-limerick"
    KILMEELICKIN_GALWAY = "kilmeelickin-galway"
    KILMEENA_MAYO = "kilmeena-mayo"
    KILMESSAN_MEATH = "kilmessan-meath"
    KILMICHAEL_CORK = "kilmichael-cork"
    KILMICHAEL_WEXFORD = "kilmichael-wexford"
    KILMIHIL_CLARE = "kilmihil-clare"
    KILMINCHY_LAOIS = "kilminchy-laois"
    KILMOGANNY_KILKENNY = "kilmoganny-kilkenny"
    KILMONA_CORK = "kilmona-cork"
    KILMOON_CORK = "kilmoon-cork"
    KILMORE_QUAY_WEXFORD = "kilmore-quay-wexford"
    KILMORE_ARMAGH = "kilmore-armagh"
    KILMORE_CLARE = "kilmore-clare"
    KILMORE_DUBLIN = "kilmore-dublin"
    KILMORE_MAYO = "kilmore-mayo"
    KILMORE_ROSCOMMON = "kilmore-roscommon"
    KILMORE_WEXFORD = "kilmore-wexford"
    KILMORNA_KERRY = "kilmorna-kerry"
    KILMORONY_LAOIS = "kilmorony-laois"
    KILMOVEE_MAYO = "kilmovee-mayo"
    KILMUCKRIDGE_WEXFORD = "kilmuckridge-wexford"
    KILMURRY_MCMAHON_CLARE = "kilmurry-mcmahon-clare"
    KILMURRY_CLARE = "kilmurry-clare"
    KILMURRY_CORK = "kilmurry-cork"
    KILMURRY_LIMERICK = "kilmurry-limerick"
    KILMURRY_WICKLOW = "kilmurry-wicklow"
    KILMURVY_GALWAY = "kilmurvy-galway"
    KILMYSHALL_WEXFORD = "kilmyshall-wexford"
    KILNAGROSS_LEITRIM = "kilnagross-leitrim"
    KILNALAG_GALWAY = "kilnalag-galway"
    KILNALECK_CAVAN = "kilnaleck-cavan"
    KILNAMANAGH_DUBLIN = "kilnamanagh-dublin"
    KILNAMANAGH_WEXFORD = "kilnamanagh-wexford"
    KILNAMONA_CLARE = "kilnamona-clare"
    KILNAP_CORK = "kilnap-cork"
    KILOSCULLY_TIPPERARY = "kiloscully-tipperary"
    KILPATRICK_CORK = "kilpatrick-cork"
    KILPEACAN_CROSS_ROADS_KERRY = "kilpeacan-cross-roads-kerry"
    KILPEDDER_WICKLOW = "kilpedder-wicklow"
    KILPOOLE_WICKLOW = "kilpoole-wicklow"
    KILQUADE_WICKLOW = "kilquade-wicklow"
    KILQUIGGUIN_WICKLOW = "kilquigguin-wicklow"
    KILRANE_WEXFORD = "kilrane-wexford"
    KILREA_DERRY = "kilrea-derry"
    KILREAN_DONEGAL = "kilrean-donegal"
    KILREEKIL_GALWAY = "kilreekil-galway"
    KILRONAN_GALWAY = "kilronan-galway"
    KILROOSKEY_ROSCOMMON = "kilrooskey-roscommon"
    KILROSS_DONEGAL = "kilross-donegal"
    KILROSS_TIPPERARY = "kilross-tipperary"
    KILRUSH_SURROUNDS_CLARE = "kilrush-and-surrounds-clare"
    KILRUSH_CLARE = "kilrush-clare"
    KILSALLAGH_GALWAY = "kilsallagh-galway"
    KILSALLAGH_MAYO = "kilsallagh-mayo"
    KILSALLAGHAN_DUBLIN = "kilsallaghan-dublin"
    KILSARAN_LOUTH = "kilsaran-louth"
    KILSHANCHOE_KILDARE = "kilshanchoe-kildare"
    KILSHANE_CROSS_DUBLIN = "kilshane-cross-dublin"
    KILSHANNIG_KERRY = "kilshannig-kerry"
    KILSHANNY_CLARE = "kilshanny-clare"
    KILSHANROE_KILDARE = "kilshanroe-kildare"
    KILSHEELAN_TIPPERARY = "kilsheelan-tipperary"
    KILSKEER_MEATH = "kilskeer-meath"
    KILTALE_MEATH = "kiltale-meath"
    KILTEALY_WEXFORD = "kiltealy-wexford"
    KILTEEL_KILDARE = "kilteel-kildare"
    KILTEELY_LIMERICK = "kilteely-limerick"
    KILTEEVAN_ROSCOMMON = "kilteevan-roscommon"
    KILTEGAN_WICKLOW = "kiltegan-wicklow"
    KILTERNAN_DUBLIN = "kilternan-dublin"
    KILTIMAGH_MAYO = "kiltimagh-mayo"
    KILTIPPER_DUBLIN = "kiltipper-dublin"
    KILTOBER_WESTMEATH = "kiltober-westmeath"
    KILTOOM_ROSCOMMON = "kiltoom-roscommon"
    KILTORMER_GALWAY = "kiltormer-galway"
    KILTULLAGH_GALWAY = "kiltullagh-galway"
    KILTYCLOGHER_LEITRIM = "kiltyclogher-leitrim"
    KILVINE_MAYO = "kilvine-mayo"
    KILWORTH_CAMP_CORK = "kilworth-camp-cork"
    KILWORTH_CORK = "kilworth-cork"
    KIMMAGE_DUBLIN = "kimmage-dublin"
    KINARD_LIMERICK = "kinard-limerick"
    KINAWLEY_FERMANAGH = "kinawley-fermanagh"
    KINCASSLAGH_DONEGAL = "kincasslagh-donegal"
    KINCON_MAYO = "kincon-mayo"
    KINDROHID_DONEGAL = "kindrohid-donegal"
    KINDRUM_DONEGAL = "kindrum-donegal"
    KINGARROW_DONEGAL = "kingarrow-donegal"
    KINGS_INNS_DUBLIN = "kings-inns-dublin"
    KINGSCOURT_CAVAN = "kingscourt-cavan"
    KINGSLAND_ROSCOMMON = "kingsland-roscommon"
    KINGSTON_GALWAY = "kingston-galway"
    KINGSTOWN_GALWAY = "kingstown-galway"
    KINGSWOOD_DUBLIN = "kingswood-dublin"
    KINLOUGH_LEITRIM = "kinlough-leitrim"
    KINNADOOHY_MAYO = "kinnadoohy-mayo"
    KINNEGAD_MEATH = "kinnegad-meath"
    KINNEGAD_WESTMEATH = "kinnegad-westmeath"
    KINNEGO_DONEGAL = "kinnego-donegal"
    KINNITTY_OFFALY = "kinnitty-offaly"
    KINSALE_SURROUNDS_CORK = "kinsale-and-surrounds-cork"
    KINSALE_CORK = "kinsale-cork"
    KINSALEBEG_WATERFORD = "kinsalebeg-waterford"
    KINSEALY_DUBLIN = "kinsealy-dublin"
    KINVARA_GALWAY = "kinvara-galway"
    KIRCUBBIN_DOWN = "kircubbin-down"
    KISHKEAM_CORK = "kishkeam-cork"
    KITCONNELL_GALWAY = "kitconnell-galway"
    KNAPPAGH_MAYO = "knappagh-mayo"
    KNIGHTS_TOWN_KERRY = "knight-s-town-kerry"
    KNOCK_CLARE = "knock-clare"
    KNOCK_DOWN = "knock-down"
    KNOCK_MAYO = "knock-mayo"
    KNOCK_TIPPERARY = "knock-tipperary"
    KNOCKADERRY_LIMERICK = "knockaderry-limerick"
    KNOCKAINEY_LIMERICK = "knockainey-limerick"
    KNOCKAINY_LIMERICK = "knockainy-limerick"
    KNOCKALOUGH_CLARE = "knockalough-clare"
    KNOCKANANNA_WICKLOW = "knockananna-wicklow"
    KNOCKANEVIN_CORK = "knockanevin-cork"
    KNOCKANILLAUN_MAYO = "knockanillaun-mayo"
    KNOCKANORE_WATERFORD = "knockanore-waterford"
    KNOCKANURE_ROAD_KERRY = "knockanure-road-kerry"
    KNOCKAUNALOUR_CORK = "knockaunalour-cork"
    KNOCKAUNNAGLASHY_KERRY = "knockaunnaglashy-kerry"
    KNOCKBOY_WATERFORD = "knockboy-waterford"
    KNOCKBRACK_DONEGAL = "knockbrack-donegal"
    KNOCKBRACKEN_DOWN = "knockbracken-down"
    KNOCKBRANDON_WEXFORD = "knockbrandon-wexford"
    KNOCKBREDA_DOWN = "knockbreda-down"
    KNOCKBRIDE_CAVAN = "knockbride-cavan"
    KNOCKBRIDGE_LOUTH = "knockbridge-louth"
    KNOCKBRIT_TIPPERARY = "knockbrit-tipperary"
    KNOCKBURDEN_CORK = "knockburden-cork"
    KNOCKCROGHERY_ROSCOMMON = "knockcroghery-roscommon"
    KNOCKDRIN_WESTMEATH = "knockdrin-westmeath"
    KNOCKERRY_CLARE = "knockerry-clare"
    KNOCKFERRY_GALWAY = "knockferry-galway"
    KNOCKLOFTY_TIPPERARY = "knocklofty-tipperary"
    KNOCKLONG_LIMERICK = "knocklong-limerick"
    KNOCKLOUGHRIM_DERRY = "knockloughrim-derry"
    KNOCKLYON_DUBLIN = "knocklyon-dublin"
    KNOCKMORE_MAYO = "knockmore-mayo"
    KNOCKMOURNE_CORK = "knockmourne-cork"
    KNOCKNABOUL_KERRY = "knocknaboul-kerry"
    KNOCKNACARRA_GALWAY = "knocknacarra-galway"
    KNOCKNACREE_KILDARE = "knocknacree-kildare"
    KNOCKNAGONEY_DOWN = "knocknagoney-down"
    KNOCKNAGOSHEL_KERRY = "knocknagoshel-kerry"
    KNOCKNAGREE_CORK = "knocknagree-cork"
    KNOCKNAHEENY_CORK = "knocknaheeny-cork"
    KNOCKNAHILAN_CORK = "knocknahilan-cork"
    KNOCKNALINA_MAYO = "knocknalina-mayo"
    KNOCKNALOWER_MAYO = "knocknalower-mayo"
    KNOCKRAHA_CORK = "knockraha-cork"
    KNOCKROBIN_WICKLOW = "knockrobin-wicklow"
    KNOCKS_CORK = "knocks-cork"
    KNOCKS_LAOIS = "knocks-laois"
    KNOCKSKAGH_CORK = "knockskagh-cork"
    KNOCKTOPHER_KILKENNY = "knocktopher-kilkenny"
    KNOCKTOWN_WEXFORD = "knocktown-wexford"
    KNOCKUNDERVAUL_KERRY = "knockundervaul-kerry"
    KNOCKVICAR_ROSCOMMON = "knockvicar-roscommon"
    KNUTTERY_CORK = "knuttery-cork"
    KYLEBRACK_GALWAY = "kylebrack-galway"
    KYLEMORE_GALWAY = "kylemore-galway"
    KYLESALIA_GALWAY = "kylesalia-galway"
    LA_COLLEGE_OF_CREATIVE_ARTS_DUBLIN = "la-college-of-creative-arts-dublin"
    LABAN_GALWAY = "laban-galway"
    LABASHEEDA_CLARE = "labasheeda-clare"
    LACK_FERMANAGH = "lack-fermanagh"
    LACKAGH_GALWAY = "lackagh-galway"
    LACKAGH_KILDARE = "lackagh-kildare"
    LACKAREAGH_CORK = "lackareagh-cork"
    LACKAROE_WATERFORD = "lackaroe-waterford"
    LACKEN_WICKLOW = "lacken-wicklow"
    LACKENSHONEEN_CORK = "lackenshoneen-cork"
    LACONNELL_DONEGAL = "laconnell-donegal"
    LADYBROOK_ANTRIM = "ladybrook-antrim"
    LADYSBRIDGE_CORK = "ladysbridge-cork"
    LAFFANSBRIDGE_TIPPERARY = "laffansbridge-tipperary"
    LAG_DONEGAL = "lag-donegal"
    LAGGANSTOWN_TIPPERARY = "lagganstown-tipperary"
    LAGHY_DONEGAL = "laghy-donegal"
    LAGMORE_ANTRIM = "lagmore-antrim"
    LAHARDAUN_MAYO = "lahardaun-mayo"
    LAHINCH_ROAD_CLARE = "lahinch-road-clare"
    LAHINCH_CLARE = "lahinch-clare"
    LAKYLE_CLARE = "lakyle-clare"
    LANESBOROUGH_LONGFORD = "lanesborough-longford"
    LANESBOROUGH_ROSCOMMON = "lanesborough-roscommon"
    LAOIS_COUNTY = "laois"
    LARACOR_MEATH = "laracor-meath"
    LARAGH_KILDARE = "laragh-kildare"
    LARAGH_MONAGHAN = "laragh-monaghan"
    LARAGH_WICKLOW = "laragh-wicklow"
    LARGAN_MAYO = "largan-mayo"
    LARGAN_SLIGO = "largan-sligo"
    LARGY_DONEGAL = "largy-donegal"
    LARGYDONNELL_LEITRIM = "largydonnell-leitrim"
    LARNE_ANTRIM = "larne-antrim"
    LATTIN_TIPPERARY = "lattin-tipperary"
    LAUGHANSTOWN_DUBLIN = "laughanstown-dublin"
    LAURAGH_KERRY = "lauragh-kerry"
    LAURELVALE_ARMAGH = "laurelvale-armagh"
    LAURENCETOWN_GALWAY = "laurencetown-galway"
    LAVAGH_SLIGO = "lavagh-sligo"
    LAVALLY_GALWAY = "lavally-galway"
    LAVEY_CAVAN = "lavey-cavan"
    LAW_SOCIETY_OF_IRELAND_EDUCATION_CENTRE_DUBLIN_DUBLIN = "law-society-of-ireland-education-centre-dublin-dublin"
    LAWRENCETOWN_DOWN = "lawrencetown-down"
    LAYTOWN_SURROUNDS_MEATH = "laytown-and-surrounds-meath"
    LAYTOWN_MEATH = "laytown-meath"
    LEABGARROW_DONEGAL = "leabgarrow-donegal"
    LEAMLARA_CORK = "leamlara-cork"
    LEAP_CORK = "leap-cork"
    LECARROW_LEITRIM = "lecarrow-leitrim"
    LECARROW_ROSCOMMON = "lecarrow-roscommon"
    LECKANARAINEY_LEITRIM = "leckanarainey-leitrim"
    LECKANVY_MAYO = "leckanvy-mayo"
    LECKAUN_LEITRIM = "leckaun-leitrim"
    LECKEMY_DONEGAL = "leckemy-donegal"
    LEENANE_GALWAY = "leenane-galway"
    LEGAN_LONGFORD = "legan-longford"
    LEGGAH_LONGFORD = "leggah-longford"
    LEGONIEL_ANTRIM = "legoniel-antrim"
    LEHARDAN_DONEGAL = "lehardan-donegal"
    LEHENAGHMORE_CORK = "lehenaghmore-cork"
    LEIGHLINBRIDGE_CARLOW = "leighlinbridge-carlow"
    LEITRIM_COUNTY = "leitrim"
    LEITRIM_CLARE = "leitrim-clare"
    LEITRIM_DOWN = "leitrim-down"
    LEITRIM_LEITRIM = "leitrim-leitrim"
    LEIXLIP_SURROUNDS_KILDARE = "leixlip-and-surrounds-kildare"
    LEIXLIP_KILDARE = "leixlip-kildare"
    LEMANAGHAN_OFFALY = "lemanaghan-offaly"
    LEMYBRIEN_WATERFORD = "lemybrien-waterford"
    LENABOY_GALWAY = "lenaboy-galway"
    LEOPARDSTOWN_DUBLIN = "leopardstown-dublin"
    LERRIG_KERRY = "lerrig-kerry"
    LETTERAGH_GALWAY = "letteragh-galway"
    LETTERBARRA_DONEGAL = "letterbarra-donegal"
    LETTERBREEN_FERMANAGH = "letterbreen-fermanagh"
    LETTERCALLOW_GALWAY = "lettercallow-galway"
    LETTERFINISH_KERRY = "letterfinish-kerry"
    LETTERFRACK_GALWAY = "letterfrack-galway"
    LETTERKELLY_CLARE = "letterkelly-clare"
    LETTERKENNY_SURROUNDS_DONEGAL = "letterkenny-and-surrounds-donegal"
    LETTERKENNY_INSTITUTE_OF_TECHNOLOGY_DONEGAL = "letterkenny-institute-of-technology-donegal"
    LETTERKENNY_DONEGAL = "letterkenny-donegal"
    LETTERLEAGUE_DONEGAL = "letterleague-donegal"
    LETTERMACAWARD_DONEGAL = "lettermacaward-donegal"
    LETTERMORE_GALWAY = "lettermore-galway"
    LETTERMULLAN_GALWAY = "lettermullan-galway"
    LICKETSTOWN_KILKENNY = "licketstown-kilkenny"
    LIFFORD_DONEGAL = "lifford-donegal"
    LIMAVADY_DERRY = "limavady-derry"
    LIMERICK_COUNTY = "limerick"
    LIMERICK_CITY = "limerick-city"
    LIMERICK_CITY_CENTRE_LIMERICK = "limerick-city-centre-limerick"
    LIMERICK_CITY_SUBURBS_LIMERICK = "limerick-city-suburbs-limerick"
    LIMERICK_COMMUTER_TOWNS_LIMERICK = "limerick-commuter-towns-limerick"
    LIMERICK_INSTITUE_OF_TECHNOLOGY_LIT_TIPPERARY_TIPPERARY = "limerick-institue-of-technology-lit-tipperary-tipperary"
    LIMERICK_INSTITUTE_OF_TECHNOLOGY___CLONMEL_DIGITAL_CAMPUS_TIPPERARY = "limerick-institute-of-technology-clonmel-digital-campus-tipperary"
    LIMERICK_INSTITUTE_OF_TECHNOLOGY___ENNIS_CAMPUS_CLARE = "limerick-institute-of-technology-ennis-campus-clare"
    LIMERICK_INSTITUTE_OF_TECHNOLOGY___MOYLISH_CAMPUS_LIMERICK = "limerick-institute-of-technology-moylish-campus-limerick"
    LIMERICK_INSTITUTE_OF_TECHNOLOGY_LIMERICK = "limerick-institute-of-technology-limerick"
    LIMERICK_JUNCTION_TIPPERARY = "limerick-junction-tipperary"
    LISACUL_ROSCOMMON = "lisacul-roscommon"
    LISBANE_DOWN = "lisbane-down"
    LISBELLAW_FERMANAGH = "lisbellaw-fermanagh"
    LISBURN_ROAD_ANTRIM = "lisburn-road-antrim"
    LISBURN_ANTRIM = "lisburn-antrim"
    LISCANNOR_CLARE = "liscannor-clare"
    LISCARNEY_MAYO = "liscarney-mayo"
    LISCARROL_CORK = "liscarrol-cork"
    LISCOLMAN_ANTRIM = "liscolman-antrim"
    LISCOOLY_DONEGAL = "liscooly-donegal"
    LISDOONVARNA_CLARE = "lisdoonvarna-clare"
    LISDOWNEY_KILKENNY = "lisdowney-kilkenny"
    LISDUFF_CAVAN = "lisduff-cavan"
    LISDUFF_LEITRIM = "lisduff-leitrim"
    LISDUFF_OFFALY = "lisduff-offaly"
    LISGARODE_TIPPERARY = "lisgarode-tipperary"
    LISGOOLD_CORK = "lisgoold-cork"
    LISHEENAKEERAN_GALWAY = "lisheenakeeran-galway"
    LISMACAFFREY_WESTMEATH = "lismacaffrey-westmeath"
    LISMOGHRY_DONEGAL = "lismoghry-donegal"
    LISMORE_SURROUNDS_WATERFORD = "lismore-and-surrounds-waterford"
    LISMORE_WATERFORD = "lismore-waterford"
    LISMOYLE_ROSCOMMON = "lismoyle-roscommon"
    LISNAGEER_CAVAN = "lisnageer-cavan"
    LISNAGRY_LIMERICK = "lisnagry-limerick"
    LISNAGUNOGUE_ANTRIM = "lisnagunogue-antrim"
    LISNALTY_LIMERICK = "lisnalty-limerick"
    LISNARICK_FERMANAGH = "lisnarick-fermanagh"
    LISNASKEA_FERMANAGH = "lisnaskea-fermanagh"
    LISNAVAGH_CARLOW = "lisnavagh-carlow"
    LISPATRICK_CORK = "lispatrick-cork"
    LISPOLE_KERRY = "lispole-kerry"
    LISROE_CLARE = "lisroe-clare"
    LISRONAGH_TIPPERARY = "lisronagh-tipperary"
    LISRYAN_LONGFORD = "lisryan-longford"
    LISSALWAY_ROSCOMMON = "lissalway-roscommon"
    LISSAMONA_CORK = "lissamona-cork"
    LISSARDA_CORK = "lissarda-cork"
    LISSAVAIRD_CORK = "lissavaird-cork"
    LISSELTON_KERRY = "lisselton-kerry"
    LISSINAGROAGH_LEITRIM = "lissinagroagh-leitrim"
    LISSINISKA_LEITRIM = "lissiniska-leitrim"
    LISSYCASEY_CLARE = "lissycasey-clare"
    LISTELLICK_KERRY = "listellick-kerry"
    LISTERLIN_KILKENNY = "listerlin-kilkenny"
    LISTOWEL_SURROUNDS_KERRY = "listowel-and-surrounds-kerry"
    LISTOWEL_KERRY = "listowel-kerry"
    LITTLE_ISLAND_CORK = "little-island-cork"
    LITTLETON_TIPPERARY = "littleton-tipperary"
    LIXNAW_KERRY = "lixnaw-kerry"
    LOANENDS_ANTRIM = "loanends-antrim"
    LOBINSTOWN_MEATH = "lobinstown-meath"
    LOMBARDSTOWN_CORK = "lombardstown-cork"
    LONDONDERRY_DERRY = "londonderry-derry"
    LONGFORD_COUNTY = "longford"
    LONGFORD_TOWN_SURROUNDS_LONGFORD = "longford-town-and-surrounds-longford"
    LONGFORD_TOWN_LONGFORD = "longford-town-longford"
    LONGWOOD_MEATH = "longwood-meath"
    LORRHA_TIPPERARY = "lorrha-tipperary"
    LOSKERAN_WATERFORD = "loskeran-waterford"
    LOSSET_CAVAN = "losset-cavan"
    LOSSET_DONEGAL = "losset-donegal"
    LOTA_CORK = "lota-cork"
    LOUGH_ARROW_SLIGO = "lough-arrow-sligo"
    LOUGH_GOWNA_CAVAN = "lough-gowna-cavan"
    LOUGHANAVALLEY_WESTMEATH = "loughanavalley-westmeath"
    LOUGHANURE_DONEGAL = "loughanure-donegal"
    LOUGHBRICKLAND_DOWN = "loughbrickland-down"
    LOUGHDUFF_CAVAN = "loughduff-cavan"
    LOUGHER_KERRY = "lougher-kerry"
    LOUGHGALL_ARMAGH = "loughgall-armagh"
    LOUGHGLYNN_ROSCOMMON = "loughglynn-roscommon"
    LOUGHGUILE_ANTRIM = "loughguile-antrim"
    LOUGHILL_LIMERICK = "loughill-limerick"
    LOUGHLINSTOWN_DUBLIN = "loughlinstown-dublin"
    LOUGHMOE_TIPPERARY = "loughmoe-tipperary"
    LOUGHMORNE_MONAGHAN = "loughmorne-monaghan"
    LOUGHREA_SURROUNDS_GALWAY = "loughrea-and-surrounds-galway"
    LOUGHREA_GALWAY = "loughrea-galway"
    LOUGHSHINNY_DUBLIN = "loughshinny-dublin"
    LOUISBURGH_MAYO = "louisburgh-mayo"
    LOUTH_COUNTY = "louth"
    LOUTH_LOUTH = "louth-louth"
    LOWER_BALLINDERRY_ANTRIM = "lower-ballinderry-antrim"
    LOWERTOWN_CORK = "lowertown-cork"
    LUCAN_DUBLIN = "lucan-dublin"
    LUGGACURREN_LAOIS = "luggacurren-laois"
    LUKESWELL_KILKENNY = "lukeswell-kilkenny"
    LULLYMORE_KILDARE = "lullymore-kildare"
    LURGAN_ARMAGH = "lurgan-armagh"
    LURGAN_ROSCOMMON = "lurgan-roscommon"
    LURGANBOY_DONEGAL = "lurganboy-donegal"
    LURGANBOY_LEITRIM = "lurganboy-leitrim"
    LURRAGA_LIMERICK = "lurraga-limerick"
    LUSK_SURROUNDS_DUBLIN = "lusk-and-surrounds-dublin"
    LUSK_DUBLIN = "lusk-dublin"
    LYCRACRUMPANE_KERRY = "lycracrumpane-kerry"
    LYRE_CORK = "lyre-cork"
    LYRENAGLOGH_WATERFORD = "lyrenaglogh-waterford"
    MAAM_CROSS_GALWAY = "maam-cross-galway"
    MAAS_DONEGAL = "maas-donegal"
    MACE_MAYO = "mace-mayo"
    MACKAN_FERMANAGH = "mackan-fermanagh"
    MACOSQUIN_DERRY = "macosquin-derry"
    MACROOM_SURROUNDS_CORK = "macroom-and-surrounds-cork"
    MACROOM_CORK = "macroom-cork"
    MADDEN_ARMAGH = "madden-armagh"
    MADDENSTOWN_KILDARE = "maddenstown-kildare"
    MADDOCKSTOWN_KILKENNY = "maddockstown-kilkenny"
    MAGANEY_KILDARE = "maganey-kildare"
    MAGHABERRY_ANTRIM = "maghaberry-antrim"
    MAGHANLAWAUN_KERRY = "maghanlawaun-kerry"
    MAGHER_ARMAGH = "magher-armagh"
    MAGHERA_DERRY = "maghera-derry"
    MAGHERA_DONEGAL = "maghera-donegal"
    MAGHERABANE_DONEGAL = "magherabane-donegal"
    MAGHERAFELT_DERRY = "magherafelt-derry"
    MAGHERALAVE_ANTRIM = "magheralave-antrim"
    MAGHERALIN_DOWN = "magheralin-down"
    MAGHERAMASON_TYRONE = "magheramason-tyrone"
    MAGHERAMORNE_ANTRIM = "magheramorne-antrim"
    MAGHERY_DONEGAL = "maghery-donegal"
    MAGILLIGAN_DERRY = "magilligan-derry"
    MAGLIN_CORK = "maglin-cork"
    MAGUIRESBRIDGE_FERMANAGH = "maguiresbridge-fermanagh"
    MAHON_BRIDGE_WATERFORD = "mahon-bridge-waterford"
    MAHON_CORK = "mahon-cork"
    MAHOONAGH_LIMERICK = "mahoonagh-limerick"
    MAINHAM_KILDARE = "mainham-kildare"
    MALAHIDE_DUBLIN = "malahide-dublin"
    MALIN_BEG_DONEGAL = "malin-beg-donegal"
    MALIN_MORE_DONEGAL = "malin-more-donegal"
    MALIN_DONEGAL = "malin-donegal"
    MALLOW_SURROUNDS_CORK = "mallow-and-surrounds-cork"
    MALLOW_CORK = "mallow-cork"
    MALONE_ANTRIM = "malone-antrim"
    MANGER_DONEGAL = "manger-donegal"
    MANOR_KILBRIDE_WICKLOW = "manor-kilbride-wicklow"
    MANORCUNNINGHAM_DONEGAL = "manorcunningham-donegal"
    MANORHAMILTON_LEITRIM = "manorhamilton-leitrim"
    MANSFIELDSTOWN_LOUTH = "mansfieldstown-louth"
    MANTUA_ROSCOMMON = "mantua-roscommon"
    MANULLA_MAYO = "manulla-mayo"
    MARBLE_HILL_DONEGAL = "marble-hill-donegal"
    MARDYKE_TIPPERARY = "mardyke-tipperary"
    MARINO_DUBLIN = "marino-dublin"
    MARKETHILL_ARMAGH = "markethill-armagh"
    MARSHALSTOWN_WEXFORD = "marshalstown-wexford"
    MARTINSTOWN_ANTRIM = "martinstown-antrim"
    MARTINSTOWN_LIMERICK = "martinstown-limerick"
    MARTINSTOWN_MEATH = "martinstown-meath"
    MARY_IMMACULATE_COLLEGE_LIMERICK = "mary-immaculate-college-limerick"
    MASSHILL_SLIGO = "masshill-sligo"
    MASTERGREEHY_KERRY = "mastergreehy-kerry"
    MASTERSTOWN_TIPPERARY = "masterstown-tipperary"
    MATEHY_CORK = "matehy-cork"
    MATER_DEI_INSTITUTE_OF_EDUCATION_DUBLIN = "mater-dei-institute-of-education-dublin"
    MAUM_GALWAY = "maum-galway"
    MAUMTRASNA_MAYO = "maumtrasna-mayo"
    MAURICESMILLS_CLARE = "mauricesmills-clare"
    MAYFIELD_CORK = "mayfield-cork"
    MAYGLASS_WEXFORD = "mayglass-wexford"
    MAYNOOTH_SURROUNDS_KILDARE = "maynooth-and-surrounds-kildare"
    MAYNOOTH_UNIVERSITY_KILDARE = "maynooth-university-kildare"
    MAYNOOTH_KILDARE = "maynooth-kildare"
    MAYO_COUNTY = "mayo"
    MAYO_MAYO = "mayo-mayo"
    MAYOBRIDGE_DOWN = "mayobridge-down"
    MEANUS_LIMERICK = "meanus-limerick"
    MEATH_COUNTY = "meath"
    MEELICK_CLARE = "meelick-clare"
    MEELICK_GALWAY = "meelick-galway"
    MEELIN_CORK = "meelin-cork"
    MEENACLADY_DONEGAL = "meenaclady-donegal"
    MEENACROSS_DONEGAL = "meenacross-donegal"
    MEENANARWA_DONEGAL = "meenanarwa-donegal"
    MEENANEARY_DONEGAL = "meenaneary-donegal"
    MEENATOTAN_DONEGAL = "meenatotan-donegal"
    MEENAVEAN_DONEGAL = "meenavean-donegal"
    MEENCORWICK_DONEGAL = "meencorwick-donegal"
    MEENGLASS_DONEGAL = "meenglass-donegal"
    MEENLARAGH_DONEGAL = "meenlaragh-donegal"
    MEENREAGH_DONEGAL = "meenreagh-donegal"
    MEENTULLYNAGARN_DONEGAL = "meentullynagarn-donegal"
    MEENYBRADDAN_DONEGAL = "meenybraddan-donegal"
    MEIGH_ARMAGH = "meigh-armagh"
    MENLO_GALWAY = "menlo-galway"
    MENLOUGH_GALWAY = "menlough-galway"
    MERLIN_PARK_GALWAY = "merlin-park-galway"
    MERLIN_GALWAY = "merlin-galway"
    MEROK_DOWN = "merok-down"
    MERRION_DUBLIN = "merrion-dublin"
    MERVUE_GALWAY = "mervue-galway"
    MIDDLETOWN_ARMAGH = "middletown-armagh"
    MIDDLETOWN_DONEGAL = "middletown-donegal"
    MIDFIELD_MAYO = "midfield-mayo"
    MIDLETON_SURROUNDS_CORK = "midleton-and-surrounds-cork"
    MIDLETON_CORK = "midleton-cork"
    MILEHOUSE_WEXFORD = "milehouse-wexford"
    MILEMILL_KILDARE = "milemill-kildare"
    MILESTONE_TIPPERARY = "milestone-tipperary"
    MILFORD_ARMAGH = "milford-armagh"
    MILFORD_CORK = "milford-cork"
    MILFORD_DONEGAL = "milford-donegal"
    MILL_TOWN_MONAGHAN = "mill-town-monaghan"
    MILLBROOK_MEATH = "millbrook-meath"
    MILLEEN_CORK = "milleen-cork"
    MILLISLE_DOWN = "millisle-down"
    MILLROAD_WEXFORD = "millroad-wexford"
    MILLSTREET_CORK = "millstreet-cork"
    MILLSTREET_WATERFORD = "millstreet-waterford"
    MILLTOWN_INSTITUTE_OF_THEOLOGY_PHILOSOPHY_DUBLIN = "milltown-institute-of-theology-and-philosophy-dublin"
    MILLTOWN_ANTRIM = "milltown-antrim"
    MILLTOWN_CAVAN = "milltown-cavan"
    MILLTOWN_DUBLIN = "milltown-dublin"
    MILLTOWN_GALWAY = "milltown-galway"
    MILLTOWN_KERRY = "milltown-kerry"
    MILLTOWN_KILDARE = "milltown-kildare"
    MILLTOWN_MAYO = "milltown-mayo"
    MILLTOWN_WEXFORD = "milltown-wexford"
    MILLTOWNPASS_WESTMEATH = "milltownpass-westmeath"
    MILTOWN_MALBAY_CLARE = "miltown-malbay-clare"
    MINANE_BRIDGE_CORK = "minane-bridge-cork"
    MITCHELSTOWN_SURROUNDS_CORK = "mitchelstown-and-surrounds-cork"
    MITCHELSTOWN_CORK = "mitchelstown-cork"
    MOANMORE_CLARE = "moanmore-clare"
    MOATE_WESTMEATH = "moate-westmeath"
    MODEL_FARM_ROAD_CORK = "model-farm-road-cork"
    MODEL_VILLAGE_CORK = "model-village-cork"
    MODELLIGO_WATERFORD = "modelligo-waterford"
    MODREENY_TIPPERARY = "modreeny-tipperary"
    MOGEELY_CORK = "mogeely-cork"
    MOGLASS_TIPPERARY = "moglass-tipperary"
    MOHIL_KILKENNY = "mohil-kilkenny"
    MOHILL_LEITRIM = "mohill-leitrim"
    MOIRA_DOWN = "moira-down"
    MONAGEA_LIMERICK = "monagea-limerick"
    MONAGEER_WEXFORD = "monageer-wexford"
    MONAGHAN_SURROUNDS_MONAGHAN = "monaghan-and-surrounds-monaghan"
    MONAGHAN_COUNTY = "monaghan"
    MONAGHAN_MONAGHAN = "monaghan-monaghan"
    MONALEEN_LIMERICK = "monaleen-limerick"
    MONAMOLIN_WEXFORD = "monamolin-wexford"
    MONARD_CORK = "monard-cork"
    MONARD_TIPPERARY = "monard-tipperary"
    MONASEED_WEXFORD = "monaseed-wexford"
    MONASTER_LIMERICK = "monaster-limerick"
    MONASTERADEN_SLIGO = "monasteraden-sligo"
    MONASTERBOICE_LOUTH = "monasterboice-louth"
    MONASTEREVIN_SURROUNDS_KILDARE = "monasterevin-and-surrounds-kildare"
    MONASTEREVIN_KILDARE = "monasterevin-kildare"
    MONEA_FERMANAGH = "monea-fermanagh"
    MONEEN_CLARE = "moneen-clare"
    MONEEN_GALWAY = "moneen-galway"
    MONEYFLUGH_CORK = "moneyflugh-cork"
    MONEYGALL_OFFALY = "moneygall-offaly"
    MONEYGOLD_SLIGO = "moneygold-sligo"
    MONEYLAHAN_SLIGO = "moneylahan-sligo"
    MONEYMORE_DERRY = "moneymore-derry"
    MONEYNEANY_DERRY = "moneyneany-derry"
    MONEYREAGH_DOWN = "moneyreagh-down"
    MONEYSLANE_DOWN = "moneyslane-down"
    MONILEA_WESTMEATH = "monilea-westmeath"
    MONIVEA_GALWAY = "monivea-galway"
    MONKSTOWN_SURROUNDS_CORK = "monkstown-and-surrounds-cork"
    MONKSTOWN_CORK = "monkstown-cork"
    MONKSTOWN_DUBLIN = "monkstown-dublin"
    MONROE_WESTMEATH = "monroe-westmeath"
    MONTENOTTE_CORK = "montenotte-cork"
    MONTESSORI_COLLEGE_DUBLIN_DUBLIN = "montessori-college-dublin-dublin"
    MONTPELIER_LIMERICK = "montpelier-limerick"
    MOONCOIN_KILKENNY = "mooncoin-kilkenny"
    MOONE_KILDARE = "moone-kildare"
    MOORD_WATERFORD = "moord-waterford"
    MOORFIELDS_ANTRIM = "moorfields-antrim"
    MORENANE_LIMERICK = "morenane-limerick"
    MORNINGTON_SURROUNDS_MEATH = "mornington-and-surrounds-meath"
    MORNINGTON_MEATH = "mornington-meath"
    MOSNEY_MEATH = "mosney-meath"
    MOSS_SIDE_ANTRIM = "moss-side-antrim"
    MOSSIDE_ANTRIM = "mosside-antrim"
    MOSTRIM_LONGFORD = "mostrim-longford"
    MOTHEL_WATERFORD = "mothel-waterford"
    MOUNT_GARRET_KILKENNY = "mount-garret-kilkenny"
    MOUNT_MERRION_DUBLIN = "mount-merrion-dublin"
    MOUNT_TALBOT_ROSCOMMON = "mount-talbot-roscommon"
    MOUNT_TEMPLE_WESTMEATH = "mount-temple-westmeath"
    MOUNT_UNIACKE_CORK = "mount-uniacke-cork"
    MOUNTBELLEW_GALWAY = "mountbellew-galway"
    MOUNTBOLUS_OFFALY = "mountbolus-offaly"
    MOUNTCHARLES_DONEGAL = "mountcharles-donegal"
    MOUNTCOLLINS_LIMERICK = "mountcollins-limerick"
    MOUNTHENRY_MAYO = "mounthenry-mayo"
    MOUNTMELLICK_SURROUNDS_LAOIS = "mountmellick-and-surrounds-laois"
    MOUNTMELLICK_LAOIS = "mountmellick-laois"
    MOUNTNUGENT_CAVAN = "mountnugent-cavan"
    MOUNTRATH_SURROUNDS_LAOIS = "mountrath-and-surrounds-laois"
    MOUNTRATH_LAOIS = "mountrath-laois"
    MOUNTSHANNON_CLARE = "mountshannon-clare"
    MOURN_ABBEY_CORK = "mourn-abbey-cork"
    MOURNEABBEY_CORK = "mourneabbey-cork"
    MOVEEN_CLARE = "moveen-clare"
    MOVILLE_DONEGAL = "moville-donegal"
    MOWHAN_ARMAGH = "mowhan-armagh"
    MOY_TYRONE = "moy-tyrone"
    MOYARD_GALWAY = "moyard-galway"
    MOYASTA_CLARE = "moyasta-clare"
    MOYCULLEN_GALWAY = "moycullen-galway"
    MOYDOW_LONGFORD = "moydow-longford"
    MOYGLASS_GALWAY = "moyglass-galway"
    MOYLISH_LIMERICK = "moylish-limerick"
    MOYLOUGH_GALWAY = "moylough-galway"
    MOYLOUGH_SLIGO = "moylough-sligo"
    MOYMORE_CLARE = "moymore-clare"
    MOYNALTY_MEATH = "moynalty-meath"
    MOYNALVEY_MEATH = "moynalvey-meath"
    MOYNE_LONGFORD = "moyne-longford"
    MOYNE_ROSCOMMON = "moyne-roscommon"
    MOYNE_TIPPERARY = "moyne-tipperary"
    MOYNE_WICKLOW = "moyne-wicklow"
    MOYROSS_LIMERICK = "moyross-limerick"
    MOYRUS_GALWAY = "moyrus-galway"
    MOYVALLEY_KILDARE = "moyvalley-kildare"
    MOYVALLY_KILDARE = "moyvally-kildare"
    MOYVANE_KERRY = "moyvane-kerry"
    MOYVOON_GALWAY = "moyvoon-galway"
    MOYVORE_WESTMEATH = "moyvore-westmeath"
    MOYVOUGHLY_WESTMEATH = "moyvoughly-westmeath"
    MUCKAMORE_ANTRIM = "muckamore-antrim"
    MUCKLAGH_OFFALY = "mucklagh-offaly"
    MUCKLON_KILDARE = "mucklon-kildare"
    MUCKROSS_KERRY = "muckross-kerry"
    MUFF_DONEGAL = "muff-donegal"
    MULGANNON_WEXFORD = "mulgannon-wexford"
    MULHUDDART_DUBLIN = "mulhuddart-dublin"
    MULLAGH_CAVAN = "mullagh-cavan"
    MULLAGH_CLARE = "mullagh-clare"
    MULLAGH_GALWAY = "mullagh-galway"
    MULLAGH_MAYO = "mullagh-mayo"
    MULLAGH_MEATH = "mullagh-meath"
    MULLAGHBAWN_ARMAGH = "mullaghbawn-armagh"
    MULLAGHMORE_SLIGO = "mullaghmore-sligo"
    MULLAGHROE_SLIGO = "mullaghroe-sligo"
    MULLAN_MONAGHAN = "mullan-monaghan"
    MULLANYS_CROSS_SLIGO = "mullany-s-cross-sligo"
    MULLARTOWN_DOWN = "mullartown-down"
    MULLEN_ROSCOMMON = "mullen-roscommon"
    MULLENBEG_KILKENNY = "mullenbeg-kilkenny"
    MULLINAHONE_TIPPERARY = "mullinahone-tipperary"
    MULLINAVAT_KILKENNY = "mullinavat-kilkenny"
    MULLINGAR_SURROUNDS_WESTMEATH = "mullingar-and-surrounds-westmeath"
    MULLINGAR_WESTMEATH = "mullingar-westmeath"
    MULRANNY_MAYO = "mulranny-mayo"
    MULTYFARNHAM_WESTMEATH = "multyfarnham-westmeath"
    MUNGRET_LIMERICK = "mungret-limerick"
    MURREAGH_KERRY = "murreagh-kerry"
    MURRINTOWN_WEXFORD = "murrintown-wexford"
    MURRISK_MAYO = "murrisk-mayo"
    MURROE_LIMERICK = "murroe-limerick"
    MURROOGH_CLARE = "murroogh-clare"
    MURROOGH_GALWAY = "murroogh-galway"
    MUSGRAVE_ANTRIM = "musgrave-antrim"
    MYRTLEVILLE_CORK = "myrtleville-cork"
    MYSHALL_CARLOW = "myshall-carlow"
    NAAS_SURROUNDS_KILDARE = "naas-and-surrounds-kildare"
    NAAS_KILDARE = "naas-kildare"
    NAD_CORK = "nad-cork"
    NARAN_DONEGAL = "naran-donegal"
    NARRAGHMORE_KILDARE = "narraghmore-kildare"
    NATIONAL_COLLEGE_OF_ART_AND_DESIGN_DUBLIN = "national-college-of-art-and-design-dublin"
    NATIONAL_COLLEGE_OF_IRELAND_NCI_DUBLIN = "national-college-of-ireland-nci-dublin"
    NATIONAL_MARITIME_COLLEGE_OF_IRELAND_CORK = "national-maritime-college-of-ireland-cork"
    NATIONAL_UNIVERSITY_OF_IRELAND_GALWAY_NUIG_GALWAY = "national-university-of-ireland-galway-nuig-galway"
    NAUL_DUBLIN = "naul-dublin"
    NAUL_MEATH = "naul-meath"
    NAVAN_SURROUNDS_MEATH = "navan-and-surrounds-meath"
    NAVAN_ROAD_D7_DUBLIN = "navan-road-d7-dublin"
    NAVAN_MEATH = "navan-meath"
    NEALE_MAYO = "neale-mayo"
    NEALSTOWN_LAOIS = "nealstown-laois"
    NENAGH_SURROUNDS_TIPPERARY = "nenagh-and-surrounds-tipperary"
    NENAGH_TIPPERARY = "nenagh-tipperary"
    NEW_BIRMINGHAM_TIPPERARY = "new-birmingham-tipperary"
    NEW_INN_CAVAN = "new-inn-cavan"
    NEW_INN_GALWAY = "new-inn-galway"
    NEW_INN_TIPPERARY = "new-inn-tipperary"
    NEW_KILDIMO_LIMERICK = "new-kildimo-limerick"
    NEW_LODGE_ANTRIM = "new-lodge-antrim"
    NEW_QUAY_CLARE = "new-quay-clare"
    NEW_ROSS_SURROUNDS_WEXFORD = "new-ross-and-surrounds-wexford"
    NEW_ROSS_KILKENNY = "new-ross-kilkenny"
    NEW_ROSS_WEXFORD = "new-ross-wexford"
    NEWBARN_WEXFORD = "newbarn-wexford"
    NEWBAWN_WEXFORD = "newbawn-wexford"
    NEWBAY_WEXFORD = "newbay-wexford"
    NEWBLISS_MONAGHAN = "newbliss-monaghan"
    NEWBRIDGE_SURROUNDS_KILDARE = "newbridge-and-surrounds-kildare"
    NEWBRIDGE_GALWAY = "newbridge-galway"
    NEWBRIDGE_KILDARE = "newbridge-kildare"
    NEWBRIDGE_LIMERICK = "newbridge-limerick"
    NEWCASTLE_WEST_SURROUNDS_LIMERICK = "newcastle-west-and-surrounds-limerick"
    NEWCASTLE_WEST_LIMERICK = "newcastle-west-limerick"
    NEWCASTLE_DOWN = "newcastle-down"
    NEWCASTLE_DUBLIN = "newcastle-dublin"
    NEWCASTLE_GALWAY = "newcastle-galway"
    NEWCASTLE_TIPPERARY = "newcastle-tipperary"
    NEWCASTLE_WICKLOW = "newcastle-wicklow"
    NEWCESTOWN_CORK = "newcestown-cork"
    NEWCHAPEL_TIPPERARY = "newchapel-tipperary"
    NEWMARKET_ON_FERGUS_CLARE = "newmarket-on-fergus-clare"
    NEWMARKET_CORK = "newmarket-cork"
    NEWMARKET_KILKENNY = "newmarket-kilkenny"
    NEWMILLS_DONEGAL = "newmills-donegal"
    NEWMILLS_TYRONE = "newmills-tyrone"
    NEWPARK_MUSIC_CENTRE_DUBLIN = "newpark-music-centre-dublin"
    NEWPORT_MAYO = "newport-mayo"
    NEWPORT_TIPPERARY = "newport-tipperary"
    NEWRY_DOWN = "newry-down"
    NEWTOWN_CLOGHANS_MAYO = "newtown-cloghans-mayo"
    NEWTOWN_CUNNINGHAM_DONEGAL = "newtown-cunningham-donegal"
    NEWTOWN_CARLOW = "newtown-carlow"
    NEWTOWN_CORK = "newtown-cork"
    NEWTOWN_GALWAY = "newtown-galway"
    NEWTOWN_KERRY = "newtown-kerry"
    NEWTOWN_KILDARE = "newtown-kildare"
    NEWTOWN_LAOIS = "newtown-laois"
    NEWTOWN_LIMERICK = "newtown-limerick"
    NEWTOWN_OFFALY = "newtown-offaly"
    NEWTOWN_ROSCOMMON = "newtown-roscommon"
    NEWTOWN_TIPPERARY = "newtown-tipperary"
    NEWTOWN_WATERFORD = "newtown-waterford"
    NEWTOWN_WEXFORD = "newtown-wexford"
    NEWTOWNABBEY_ANTRIM = "newtownabbey-antrim"
    NEWTOWNARDS_DOWN = "newtownards-down"
    NEWTOWNBREDA_DOWN = "newtownbreda-down"
    NEWTOWNBUTLER_FERMANAGH = "newtownbutler-fermanagh"
    NEWTOWNCASHEL_LONGFORD = "newtowncashel-longford"
    NEWTOWNFORBES_LONGFORD = "newtownforbes-longford"
    NEWTOWNGORE_LEITRIM = "newtowngore-leitrim"
    NEWTOWNHAMILTON_ARMAGH = "newtownhamilton-armagh"
    NEWTOWNLOW_WESTMEATH = "newtownlow-westmeath"
    NEWTOWNLYNCH_GALWAY = "newtownlynch-galway"
    NEWTOWNMOUNTKENNEDY_WICKLOW = "newtownmountkennedy-wicklow"
    NEWTOWNSHANDRUM_CORK = "newtownshandrum-cork"
    NEWTOWNSTEWART_TYRONE = "newtownstewart-tyrone"
    NEWTWOPOTHOUSE_CORK = "newtwopothouse-cork"
    NINEMILEHOUSE_TIPPERARY = "ninemilehouse-tipperary"
    NOBBER_MEATH = "nobber-meath"
    NOHOVAL_CORK = "nohoval-cork"
    NORTH_BELFAST_CITY_ANTRIM = "north-belfast-city-antrim"
    NORTH_CIRCULAR_ROAD_DUBLIN = "north-circular-road-dublin"
    NORTH_CIRCULAR_ROAD_LIMERICK = "north-circular-road-limerick"
    NORTH_CO_DUBLIN_DUBLIN = "north-co-dublin-dublin"
    NORTH_DUBLIN_CITY_DUBLIN = "north-dublin-city-dublin"
    NORTH_RING_CORK = "north-ring-cork"
    NORTH_STRAND_DUBLIN = "north-strand-dublin"
    NORTH_WALL_DUBLIN = "north-wall-dublin"
    NOUGHAVAL_CLARE = "noughaval-clare"
    NUNS_ISLAND_GALWAY = "nun-s-island-galway"
    NURNEY_CARLOW = "nurney-carlow"
    NURNEY_KILDARE = "nurney-kildare"
    NUTTS_CORNER_ANTRIM = "nutt-s-corner-antrim"
    OBRIENSBRIDGE_CLARE = "o-briensbridge-clare"
    OCALLAGHANS_MILLS_CLARE = "o-callaghans-mills-clare"
    OAGHLEY_KERRY = "oaghley-kerry"
    OAK_PARK_CARLOW = "oak-park-carlow"
    OATFIELD_CLARE = "oatfield-clare"
    OATQUARTER_GALWAY = "oatquarter-galway"
    OFFALY_COUNTY = "offaly"
    OGHIL_GALWAY = "oghil-galway"
    OGONELLOE_CLARE = "ogonelloe-clare"
    OILGATE_WEXFORD = "oilgate-wexford"
    OLD_CONNAUGHT_DUBLIN = "old-connaught-dublin"
    OLD_COURT_CORK = "old-court-cork"
    OLD_HEAD_CORK = "old-head-cork"
    OLD_KILCULLEN_KILDARE = "old-kilcullen-kildare"
    OLD_KILDIMO_LIMERICK = "old-kildimo-limerick"
    OLD_PARISH_WATERFORD = "old-parish-waterford"
    OLD_ROSS_WEXFORD = "old-ross-wexford"
    OLD_TOWN_DONEGAL = "old-town-donegal"
    OLD_TOWN_LAOIS = "old-town-laois"
    OLD_TOWN_ROSCOMMON = "old-town-roscommon"
    OLD_TOWN_WEXFORD = "old-town-wexford"
    OLD_TWOPOLDOUSE_CORK = "old-twopoldouse-cork"
    OLDBAWN_DUBLIN = "oldbawn-dublin"
    OLDCASTLE_CAVAN = "oldcastle-cavan"
    OLDCASTLE_MEATH = "oldcastle-meath"
    OLDCOURT_WICKLOW = "oldcourt-wicklow"
    OLDLEIGHLIN_CARLOW = "oldleighlin-carlow"
    OLDPARK_ANTRIM = "oldpark-antrim"
    OLDTOWN_DUBLIN = "oldtown-dublin"
    OLDTOWN_ROSCOMMON = "oldtown-roscommon"
    OMAGH_TYRONE = "omagh-tyrone"
    OMEATH_LOUTH = "omeath-louth"
    ONAGHT_GALWAY = "onaght-galway"
    ONGAR_DUBLIN = "ongar-dublin"
    OOLA_LIMERICK = "oola-limerick"
    OOLA_TIPPERARY = "oola-tipperary"
    ORANGEFIELD_DOWN = "orangefield-down"
    ORANHILL_GALWAY = "oranhill-galway"
    ORANMORE_SURROUNDS_GALWAY = "oranmore-and-surrounds-galway"
    ORANMORE_GALWAY = "oranmore-galway"
    ORISTOWN_MEATH = "oristown-meath"
    ORMEAU_ANTRIM = "ormeau-antrim"
    ORMEAU_DOWN = "ormeau-down"
    OUGHTERARD_GALWAY = "oughterard-galway"
    OULART_WEXFORD = "oulart-wexford"
    OVENS_CORK = "ovens-cork"
    OWENBEG_SLIGO = "owenbeg-sligo"
    OWENBRISTY_GALWAY = "owenbristy-galway"
    OWENMORE_BRIDGE_MAYO = "owenmore-bridge-mayo"
    OWER_GALWAY = "ower-galway"
    OWNAHINCHA_CORK = "ownahincha-cork"
    OWNING_KILKENNY = "owning-kilkenny"
    OYSTERHAVEN_CORK = "oysterhaven-cork"
    PALACE_WEXFORD = "palace-wexford"
    PALATINE_CARLOW = "palatine-carlow"
    PALLAS_CROSS_TIPPERARY = "pallas-cross-tipperary"
    PALLAS_LAOIS = "pallas-laois"
    PALLASGREEN_LIMERICK = "pallasgreen-limerick"
    PALLASKENRY_LIMERICK = "pallaskenry-limerick"
    PALMERSTOWN_DUBLIN = "palmerstown-dublin"
    PARK_WEST_DUBLIN = "park-west-dublin"
    PARK_DERRY = "park-derry"
    PARK_MAYO = "park-mayo"
    PARKGATE_ANTRIM = "parkgate-antrim"
    PARKMORE_GALWAY = "parkmore-galway"
    PARKNASILLA_KERRY = "parknasilla-kerry"
    PARSONSTOWN_MEATH = "parsonstown-meath"
    PARTEEN_CLARE = "parteen-clare"
    PARTRY_MAYO = "partry-mayo"
    PASSAGE_EAST_WATERFORD = "passage-east-waterford"
    PASSAGE_WEST_SURROUNDS_CORK = "passage-west-and-surrounds-cork"
    PASSAGE_WEST_CORK = "passage-west-cork"
    PASSAGE_ROSCOMMON = "passage-roscommon"
    PATRICKSWELL_LIMERICK = "patrickswell-limerick"
    PAUGHNSTOWN_LOUTH = "paughnstown-louth"
    PAULSTOWN_KILKENNY = "paulstown-kilkenny"
    PEAKE_CORK = "peake-cork"
    PENNYWELL_LIMERICK = "pennywell-limerick"
    PERRYSTOWN_DUBLIN = "perrystown-dublin"
    PETERSWELL_GALWAY = "peterswell-galway"
    PETTIGO_DONEGAL = "pettigo-donegal"
    PETTIGO_FERMANAGH = "pettigo-fermanagh"
    PHIBSBOROUGH_DUBLIN = "phibsborough-dublin"
    PIERCESTOWN_WEXFORD = "piercestown-wexford"
    PIKE_CORNER_MEATH = "pike-corner-meath"
    PIKE_OF_RUSH_HALL_LAOIS = "pike-of-rush-hall-laois"
    PIKE_TIPPERARY = "pike-tipperary"
    PILTOWN_KILKENNY = "piltown-kilkenny"
    PLUCK_DONEGAL = "pluck-donegal"
    PLUMBRIDGE_TYRONE = "plumbridge-tyrone"
    POLEGLASS_ANTRIM = "poleglass-antrim"
    POLLAGH_OFFALY = "pollagh-offaly"
    POLLARDSTOWN_KILDARE = "pollardstown-kildare"
    POLLATOMISH_MAYO = "pollatomish-mayo"
    POLLERTON_CARLOW = "pollerton-carlow"
    POLLNAROOMA_GALWAY = "pollnarooma-galway"
    POLLSHASK_GALWAY = "pollshask-galway"
    POMEROY_TYRONE = "pomeroy-tyrone"
    PONTOON_MAYO = "pontoon-mayo"
    POPPINTREE_DUBLIN = "poppintree-dublin"
    PORT_BALLINTRAE_ANTRIM = "port-ballintrae-antrim"
    PORT_DONEGAL = "port-donegal"
    PORT_LOUTH = "port-louth"
    PORTACLOY_MAYO = "portacloy-mayo"
    PORTADOWN_ARMAGH = "portadown-armagh"
    PORTAFERRY_DOWN = "portaferry-down"
    PORTALEEN_DONEGAL = "portaleen-donegal"
    PORTARLINGTON_SURROUNDS_LAOIS = "portarlington-and-surrounds-laois"
    PORTARLINGTON_SURROUNDS_OFFALY = "portarlington-and-surrounds-offaly"
    PORTARLINGTON_LAOIS = "portarlington-laois"
    PORTARLINGTON_OFFALY = "portarlington-offaly"
    PORTAVOGIE_DOWN = "portavogie-down"
    PORTDRINE_CLARE = "portdrine-clare"
    PORTERSTOWN_DUBLIN = "porterstown-dublin"
    PORTGLENONE_ANTRIM = "portglenone-antrim"
    PORTGLENONE_DERRY = "portglenone-derry"
    PORTLAND_TIPPERARY = "portland-tipperary"
    PORTLAOISE_SURROUNDS_LAOIS = "portlaoise-and-surrounds-laois"
    PORTLAOISE_LAOIS = "portlaoise-laois"
    PORTLAW_WATERFORD = "portlaw-waterford"
    PORTMAGEE_KERRY = "portmagee-kerry"
    PORTMARNOCK_DUBLIN = "portmarnock-dublin"
    PORTNABLAGH_DONEGAL = "portnablagh-donegal"
    PORTNOO_DONEGAL = "portnoo-donegal"
    PORTOBELLO_INSTITUTE_DUBLIN = "portobello-institute-dublin"
    PORTOBELLO_DUBLIN = "portobello-dublin"
    PORTRANE_DUBLIN = "portrane-dublin"
    PORTROE_TIPPERARY = "portroe-tipperary"
    PORTRUNNY_ROSCOMMON = "portrunny-roscommon"
    PORTRUSH_ANTRIM = "portrush-antrim"
    PORTSALON_DONEGAL = "portsalon-donegal"
    PORTSTEWART_DERRY = "portstewart-derry"
    PORTUMNA_GALWAY = "portumna-galway"
    PORTURLIN_MAYO = "porturlin-mayo"
    POULADUFF_CORK = "pouladuff-cork"
    POULMUCKA_TIPPERARY = "poulmucka-tipperary"
    POULSHONE_WEXFORD = "poulshone-wexford"
    POWERS_CROSS_GALWAY = "power-s-cross-galway"
    POWERSTOWN_KILKENNY = "powerstown-kilkenny"
    POYNTZ_PASS_ARMAGH = "poyntz-pass-armagh"
    PRIESTHAGGARD_WEXFORD = "priesthaggard-wexford"
    PRIORSWOOD_DUBLIN = "priorswood-dublin"
    PROSPECT_LIMERICK = "prospect-limerick"
    PROSPEROUS_KILDARE = "prosperous-kildare"
    PUCKAUN_TIPPERARY = "puckaun-tipperary"
    PULSE_COLLEGE_DUBLIN = "pulse-college-dublin"
    PUNCHESTOWN_KILDARE = "punchestown-kildare"
    QUEENS_UNIVERSITY_BELFAST_ANTRIM = "queens-university-belfast-antrim"
    QUERRIN_CLARE = "querrin-clare"
    QUIGLEYS_POINT_DONEGAL = "quigley-s-point-donegal"
    QUILTY_CLARE = "quilty-clare"
    QUIN_CLARE = "quin-clare"
    RACE_END_DONEGAL = "race-end-donegal"
    RAFFREY_DOWN = "raffrey-down"
    RAGHLY_SLIGO = "raghly-sligo"
    RAHAN_OFFALY = "rahan-offaly"
    RAHANAGH_LIMERICK = "rahanagh-limerick"
    RAHARA_ROSCOMMON = "rahara-roscommon"
    RAHARNEY_WESTMEATH = "raharney-westmeath"
    RAHEEN_CORK = "raheen-cork"
    RAHEEN_LIMERICK = "raheen-limerick"
    RAHEEN_WEXFORD = "raheen-wexford"
    RAHENY_DUBLIN = "raheny-dublin"
    RAHOON_GALWAY = "rahoon-galway"
    RAIGH_GALWAY = "raigh-galway"
    RAILYARD_KILKENNY = "railyard-kilkenny"
    RAKE_STREET_MAYO = "rake-street-mayo"
    RAMELTON_DONEGAL = "ramelton-donegal"
    RAMSGRANGE_WEXFORD = "ramsgrange-wexford"
    RANDALSTOWN_ANTRIM = "randalstown-antrim"
    RANELAGH_DUBLIN = "ranelagh-dublin"
    RANSBORO_SLIGO = "ransboro-sligo"
    RAPEMILLS_OFFALY = "rapemills-offaly"
    RAPHOE_DONEGAL = "raphoe-donegal"
    RASHARKIN_ANTRIM = "rasharkin-antrim"
    RASHEDOGE_DONEGAL = "rashedoge-donegal"
    RATH_LUIRC_CORK = "rath-luirc-cork"
    RATH_OFFALY = "rath-offaly"
    RATHANGAN_KILDARE = "rathangan-kildare"
    RATHANGAN_WEXFORD = "rathangan-wexford"
    RATHARNEY_LONGFORD = "ratharney-longford"
    RATHASPICK_WESTMEATH = "rathaspick-westmeath"
    RATHBANE_LIMERICK = "rathbane-limerick"
    RATHBRIT_TIPPERARY = "rathbrit-tipperary"
    RATHCABBIN_TIPPERARY = "rathcabbin-tipperary"
    RATHCAIRN_MEATH = "rathcairn-meath"
    RATHCOFFEY_KILDARE = "rathcoffey-kildare"
    RATHCONRATH_WESTMEATH = "rathconrath-westmeath"
    RATHCOOL_CORK = "rathcool-cork"
    RATHCOOLE_SURROUNDS_DUBLIN = "rathcoole-and-surrounds-dublin"
    RATHCOOLE_ANTRIM = "rathcoole-antrim"
    RATHCOOLE_DUBLIN = "rathcoole-dublin"
    RATHCOR_LOUTH = "rathcor-louth"
    RATHCORE_MEATH = "rathcore-meath"
    RATHCORMAC_CORK = "rathcormac-cork"
    RATHCORMAC_SLIGO = "rathcormac-sligo"
    RATHCROGHAN_ROSCOMMON = "rathcroghan-roscommon"
    RATHDANGAN_WICKLOW = "rathdangan-wicklow"
    RATHDOWNEY_LAOIS = "rathdowney-laois"
    RATHDRUM_WICKLOW = "rathdrum-wicklow"
    RATHDUFF_CORK = "rathduff-cork"
    RATHEDAN_CARLOW = "rathedan-carlow"
    RATHFARNHAM_DUBLIN = "rathfarnham-dublin"
    RATHFEIGH_MEATH = "rathfeigh-meath"
    RATHFRILAND_DOWN = "rathfriland-down"
    RATHFYLANE_WEXFORD = "rathfylane-wexford"
    RATHGAR_DUBLIN = "rathgar-dublin"
    RATHGAROGUE_WEXFORD = "rathgarogue-wexford"
    RATHGORMACK_WATERFORD = "rathgormack-waterford"
    RATHKEALE_SURROUNDS_LIMERICK = "rathkeale-and-surrounds-limerick"
    RATHKEALE_LIMERICK = "rathkeale-limerick"
    RATHKEEVIN_TIPPERARY = "rathkeevin-tipperary"
    RATHKENNY_MEATH = "rathkenny-meath"
    RATHLACKAN_MAYO = "rathlackan-mayo"
    RATHLEE_SLIGO = "rathlee-sligo"
    RATHMACULLIG_CORK = "rathmacullig-cork"
    RATHMICHAEL_DUBLIN = "rathmichael-dublin"
    RATHMINES_DUBLIN = "rathmines-dublin"
    RATHMOLYON_MEATH = "rathmolyon-meath"
    RATHMORE_KERRY = "rathmore-kerry"
    RATHMOYLE_KILKENNY = "rathmoyle-kilkenny"
    RATHMULLAN_DONEGAL = "rathmullan-donegal"
    RATHNEW_WICKLOW = "rathnew-wicklow"
    RATHNURE_WEXFORD = "rathnure-wexford"
    RATHOE_CARLOW = "rathoe-carlow"
    RATHOMA_MAYO = "rathoma-mayo"
    RATHOWEN_WESTMEATH = "rathowen-westmeath"
    RATHPEACON_CORK = "rathpeacon-cork"
    RATHVILLA_OFFALY = "rathvilla-offaly"
    RATHVILLY_CARLOW = "rathvilly-carlow"
    RATOATH_SURROUNDS_MEATH = "ratoath-and-surrounds-meath"
    RATOATH_MEATH = "ratoath-meath"
    RAVENHILL_DOWN = "ravenhill-down"
    RAVENSDALE_LOUTH = "ravensdale-louth"
    RAY_DONEGAL = "ray-donegal"
    REAGHSTOWN_LOUTH = "reaghstown-louth"
    REANANEREE_CORK = "reananeree-cork"
    REANASCREENA_CORK = "reanascreena-cork"
    REARCROSS_TIPPERARY = "rearcross-tipperary"
    RECESS_GALWAY = "recess-galway"
    REDCASTLE_DONEGAL = "redcastle-donegal"
    REDCROSS_WICKLOW = "redcross-wicklow"
    REDDANS_WALK_TIPPERARY = "reddan-s-walk-tipperary"
    REDGATE_LIMERICK = "redgate-limerick"
    REDGATE_WEXFORD = "redgate-wexford"
    REDHILLS_CAVAN = "redhills-cavan"
    REEN_KERRY = "reen-kerry"
    REENS_LIMERICK = "reens-limerick"
    REENVANAGH_KILKENNY = "reenvanagh-kilkenny"
    RELAGHBEG_CAVAN = "relaghbeg-cavan"
    RENMORE_GALWAY = "renmore-galway"
    RENVYLE_GALWAY = "renvyle-galway"
    RERRIN_CORK = "rerrin-cork"
    RHEBOGUE_LIMERICK = "rhebogue-limerick"
    RHODE_OFFALY = "rhode-offaly"
    RIALTO_DUBLIN = "rialto-dublin"
    RICHHILL_ARMAGH = "richhill-armagh"
    RIDGE_CARLOW = "ridge-carlow"
    RING_WATERFORD = "ring-waterford"
    RINGASKIDDY_CORK = "ringaskiddy-cork"
    RINGSEND_DERRY = "ringsend-derry"
    RINGSEND_DUBLIN = "ringsend-dublin"
    RINGVILLE_WATERFORD = "ringville-waterford"
    RINNEEN_CLARE = "rinneen-clare"
    RINNEEN_CORK = "rinneen-cork"
    RINVILLE_GALWAY = "rinville-galway"
    RIVERCHAPEL_WEXFORD = "riverchapel-wexford"
    RIVERSTICK_CORK = "riverstick-cork"
    RIVERSTOWN_CORK = "riverstown-cork"
    RIVERSTOWN_LOUTH = "riverstown-louth"
    RIVERSTOWN_SLIGO = "riverstown-sligo"
    RIVERSTOWN_TIPPERARY = "riverstown-tipperary"
    RIVERVILLE_KERRY = "riverville-kerry"
    ROADFORD_CLARE = "roadford-clare"
    ROBERTSTOWN_KILDARE = "robertstown-kildare"
    ROBINSTOWN_MEATH = "robinstown-meath"
    ROCHESTOWN_CORK = "rochestown-cork"
    ROCHESTOWN_KILKENNY = "rochestown-kilkenny"
    ROCHFORTBRIDGE_WESTMEATH = "rochfortbridge-westmeath"
    ROCKBROOK_DUBLIN = "rockbrook-dublin"
    ROCKCHAPEL_CORK = "rockchapel-cork"
    ROCKCORRY_MONAGHAN = "rockcorry-monaghan"
    ROCKHILL_LIMERICK = "rockhill-limerick"
    ROCKMILLS_CORK = "rockmills-cork"
    RODEEN_ROSCOMMON = "rodeen-roscommon"
    ROESTOWN_LOUTH = "roestown-louth"
    ROLESTOWN_DUBLIN = "rolestown-dublin"
    RONANSTOWN_DUBLIN = "ronanstown-dublin"
    ROOAUN_GALWAY = "rooaun-galway"
    ROONAH_QUAY_MAYO = "roonah-quay-mayo"
    ROOSKEY_LEITRIM = "rooskey-leitrim"
    ROOSKEY_ROSCOMMON = "rooskey-roscommon"
    ROOSKY_MAYO = "roosky-mayo"
    ROOTIAGH_LIMERICK = "rootiagh-limerick"
    ROPEFIELD_SLIGO = "ropefield-sligo"
    ROSAPENNA_DONEGAL = "rosapenna-donegal"
    ROSBERCON_SURROUNDS_KILKENNY = "rosbercon-and-surrounds-kilkenny"
    ROSBERCON_KILKENNY = "rosbercon-kilkenny"
    ROSCAM_GALWAY = "roscam-galway"
    ROSCOMMON_COUNTY = "roscommon"
    ROSCOMMON_TOWN_SURROUNDS_ROSCOMMON = "roscommon-town-and-surrounds-roscommon"
    ROSCOMMON_TOWN_ROSCOMMON = "roscommon-town-roscommon"
    ROSCREA_SURROUNDS_TIPPERARY = "roscrea-and-surrounds-tipperary"
    ROSCREA_TIPPERARY = "roscrea-tipperary"
    ROSEGREEN_TIPPERARY = "rosegreen-tipperary"
    ROSENALLIS_LAOIS = "rosenallis-laois"
    ROSETTA_DOWN = "rosetta-down"
    ROSMUC_GALWAY = "rosmuc-galway"
    ROSMULT_TIPPERARY = "rosmult-tipperary"
    ROSNAKILL_DONEGAL = "rosnakill-donegal"
    ROSS_PORT_MAYO = "ross-port-mayo"
    ROSS_MEATH = "ross-meath"
    ROSSAVEEL_GALWAY = "rossaveel-galway"
    ROSSBEG_DONEGAL = "rossbeg-donegal"
    ROSSBRIEN_LIMERICK = "rossbrien-limerick"
    ROSSBRIN_CORK = "rossbrin-cork"
    ROSSCAHILL_GALWAY = "rosscahill-galway"
    ROSSCARBERY_CORK = "rosscarbery-cork"
    ROSSES_POINT_SLIGO = "rosses-point-sligo"
    ROSSGEIR_DONEGAL = "rossgeir-donegal"
    ROSSHILL_GALWAY = "rosshill-galway"
    ROSSINVER_LEITRIM = "rossinver-leitrim"
    ROSSLARE_HARBOUR_WEXFORD = "rosslare-harbour-wexford"
    ROSSLARE_STRAND_WEXFORD = "rosslare-strand-wexford"
    ROSSLEA_FERMANAGH = "rosslea-fermanagh"
    ROSSMORE_CORK = "rossmore-cork"
    ROSSMORE_LAOIS = "rossmore-laois"
    ROSSNOWLAGH_DONEGAL = "rossnowlagh-donegal"
    ROSTELLAN_CORK = "rostellan-cork"
    ROSTREVOR_DOWN = "rostrevor-down"
    ROSTURK_MAYO = "rosturk-mayo"
    ROUNDFORT_MAYO = "roundfort-mayo"
    ROUNDSTONE_GALWAY = "roundstone-galway"
    ROUNDWOOD_WICKLOW = "roundwood-wicklow"
    ROXBOROUGH_LIMERICK = "roxborough-limerick"
    ROYAL_CANAL_PARK_DUBLIN = "royal-canal-park-dublin"
    ROYAL_COLLEGE_OF_SURGEONS_IN_IRELAND___YORK_ST_CAMPUS_DUBLIN = "royal-college-of-surgeons-in-ireland-york-st-campus-dublin"
    ROYAL_COLLEGE_OF_SURGEONS_IN_IRELAND_DUBLIN = "royal-college-of-surgeons-in-ireland-dublin"
    ROYAL_IRISH_ACADEMY_OF_MUSIC_DUBLIN = "royal-irish-academy-of-music-dublin"
    RUAN_CLARE = "ruan-clare"
    RUNNABACKAN_ROSCOMMON = "runnabackan-roscommon"
    RUSH_DUBLIN = "rush-dublin"
    RYEFIELD_CAVAN = "ryefield-cavan"
    RYEHILL_GALWAY = "ryehill-galway"
    RYLANE_CROSS_CORK = "rylane-cross-cork"
    RYLANE_CORK = "rylane-cork"
    SAGGART_DUBLIN = "saggart-dublin"
    SAINTFIELD_DOWN = "saintfield-down"
    SALEEN_CORK = "saleen-cork"
    SALEEN_KERRY = "saleen-kerry"
    SALIA_MAYO = "salia-mayo"
    SALLAHIG_KERRY = "sallahig-kerry"
    SALLINS_SURROUNDS_KILDARE = "sallins-and-surrounds-kildare"
    SALLINS_KILDARE = "sallins-kildare"
    SALLYBROOK_CORK = "sallybrook-cork"
    SALLYNOGGIN_DUBLIN = "sallynoggin-dublin"
    SALLYPARK_TIPPERARY = "sallypark-tipperary"
    SALROCK_GALWAY = "salrock-galway"
    SALTHILL_GALWAY = "salthill-galway"
    SANDOWN_DOWN = "sandown-down"
    SANDY_ROW_ANTRIM = "sandy-row-antrim"
    SANDYCOVE_DUBLIN = "sandycove-dublin"
    SANDYFORD_DUBLIN = "sandyford-dublin"
    SANDYMOUNT_DUBLIN = "sandymount-dublin"
    SANTRY_DUBLIN = "santry-dublin"
    SCARDAUN_MAYO = "scardaun-mayo"
    SCARDAUN_ROSCOMMON = "scardaun-roscommon"
    SCARNAGH_WEXFORD = "scarnagh-wexford"
    SCARRIFF_CLARE = "scarriff-clare"
    SCARTAGLIN_KERRY = "scartaglin-kerry"
    SCARVA_DOWN = "scarva-down"
    SCHULL_CORK = "schull-cork"
    SCOTSHOUSE_MONAGHAN = "scotshouse-monaghan"
    SCOTSTOWN_MONAGHAN = "scotstown-monaghan"
    SCRAMOGE_ROSCOMMON = "scramoge-roscommon"
    SCREEBE_GALWAY = "screebe-galway"
    SCREEN_WEXFORD = "screen-wexford"
    SCREGGAN_OFFALY = "screggan-offaly"
    SEAFORDE_DOWN = "seaforde-down"
    SEAPATRICK_DOWN = "seapatrick-down"
    SESKINORE_TYRONE = "seskinore-tyrone"
    SESKINRYAN_CARLOW = "seskinryan-carlow"
    SHALWY_DONEGAL = "shalwy-donegal"
    SHANACASHEL_KERRY = "shanacashel-kerry"
    SHANAGARRY_CORK = "shanagarry-cork"
    SHANAGLISH_GALWAY = "shanaglish-galway"
    SHANAGOLDEN_LIMERICK = "shanagolden-limerick"
    SHANAHOE_LAOIS = "shanahoe-laois"
    SHANAKIEL_CORK = "shanakiel-cork"
    SHANBALLARD_GALWAY = "shanballard-galway"
    SHANBALLY_CORK = "shanbally-cork"
    SHANBALLY_GALWAY = "shanbally-galway"
    SHANBALLYMORE_CORK = "shanballymore-cork"
    SHANCO_MONAGHAN = "shanco-monaghan"
    SHANDON_DOWN = "shandon-down"
    SHANKILL_ANTRIM = "shankill-antrim"
    SHANKILL_DUBLIN = "shankill-dublin"
    SHANKILL_ROSCOMMON = "shankill-roscommon"
    SHANLARAGH_CORK = "shanlaragh-cork"
    SHANLIS_LOUTH = "shanlis-louth"
    SHANNAKEA_CLARE = "shannakea-clare"
    SHANNON_SURROUNDS_CLARE = "shannon-and-surrounds-clare"
    SHANNON_COLLEGE_OF_HOTEL_MANAGEMENT_CLARE = "shannon-college-of-hotel-management-clare"
    SHANNON_HARBOUR_OFFALY = "shannon-harbour-offaly"
    SHANNON_CLARE = "shannon-clare"
    SHANNON_OFFALY = "shannon-offaly"
    SHANNONBRIDGE_OFFALY = "shannonbridge-offaly"
    SHANRAGH_LAOIS = "shanragh-laois"
    SHANTALLA_GALWAY = "shantalla-galway"
    SHANTONAGH_MONAGHAN = "shantonagh-monaghan"
    SHARAVOGUE_OFFALY = "sharavogue-offaly"
    SHAWS_ROAD_ANTRIM = "shaw-s-road-antrim"
    SHEEANAMORE_WICKLOW = "sheeanamore-wicklow"
    SHERCOCK_CAVAN = "shercock-cavan"
    SHERKIN_ISLAND_CORK = "sherkin-island-cork"
    SHERLOCK_CAVAN = "sherlock-cavan"
    SHESKIN_MAYO = "sheskin-mayo"
    SHESKINAPOLL_DONEGAL = "sheskinapoll-donegal"
    SHILLELAGH_WICKLOW = "shillelagh-wicklow"
    SHINRONE_OFFALY = "shinrone-offaly"
    SHORE_RD_ANTRIM = "shore-rd-antrim"
    SHRULE_GALWAY = "shrule-galway"
    SHRULE_MAYO = "shrule-mayo"
    SILVER_BRIDGE_ARMAGH = "silver-bridge-armagh"
    SILVERMINES_TIPPERARY = "silvermines-tipperary"
    SILVERSPRINGS_CORK = "silversprings-cork"
    SINGLAND_LIMERICK = "singland-limerick"
    SION_MILLS_TYRONE = "sion-mills-tyrone"
    SIX_CROSSES_KERRY = "six-crosses-kerry"
    SIXMILEBRIDGE_CLARE = "sixmilebridge-clare"
    SIXMILECROSS_TYRONE = "sixmilecross-tyrone"
    SKEAGH_WESTMEATH = "skeagh-westmeath"
    SKEGONEILL_ANTRIM = "skegoneill-antrim"
    SKEHANA_GALWAY = "skehana-galway"
    SKEHANA_KILKENNY = "skehana-kilkenny"
    SKEHANAGH_GALWAY = "skehanagh-galway"
    SKERRIES_DUBLIN = "skerries-dublin"
    SKIBBEREEN_SURROUNDS_CORK = "skibbereen-and-surrounds-cork"
    SKIBBEREEN_CORK = "skibbereen-cork"
    SKREEN_SLIGO = "skreen-sligo"
    SKRYNE_MEATH = "skryne-meath"
    SLADE_WEXFORD = "slade-wexford"
    SLANE_MEATH = "slane-meath"
    SLIEVEMURRY_GALWAY = "slievemurry-galway"
    SLIEVERUE_KILKENNY = "slieverue-kilkenny"
    SLIGO_SURROUNDS_SLIGO = "sligo-and-surrounds-sligo"
    SLIGO_COUNTY = "sligo"
    SLIGO_SLIGO = "sligo-sligo"
    SMERWICK_KERRY = "smerwick-kerry"
    SMITHBOROUGH_MONAGHAN = "smithborough-monaghan"
    SMITHFIELD_DUBLIN = "smithfield-dublin"
    SMITHSTOWN_KILKENNY = "smithstown-kilkenny"
    SNAVE_CORK = "snave-cork"
    SNEEM_KERRY = "sneem-kerry"
    SOOEY_SLIGO = "sooey-sligo"
    SOUTH_BELFAST_CITY_ANTRIM = "south-belfast-city-antrim"
    SOUTH_CIRCULAR_ROAD_DUBLIN = "south-circular-road-dublin"
    SOUTH_CIRCULAR_ROAD_LIMERICK = "south-circular-road-limerick"
    SOUTH_CO_DUBLIN_DUBLIN = "south-co-dublin-dublin"
    SOUTH_DUBLIN_CITY_DUBLIN = "south-dublin-city-dublin"
    SOUTHILL_LIMERICK = "southill-limerick"
    SPANISH_POINT_CLARE = "spanish-point-clare"
    SPEENOGE_DONEGAL = "speenoge-donegal"
    SPIDDAL_GALWAY = "spiddal-galway"
    SPINK_LAOIS = "spink-laois"
    SPITTALTOWN_WESTMEATH = "spittaltown-westmeath"
    SPRINGFIELD_FERMANAGH = "springfield-fermanagh"
    SPRINGMARTIN_ANTRIM = "springmartin-antrim"
    SPRINGMOUNT_CORK = "springmount-cork"
    SRAGHMORE_WICKLOW = "sraghmore-wicklow"
    SRAH_MAYO = "srah-mayo"
    SRAHDUGGAUN_MAYO = "srahduggaun-mayo"
    SRAHMORE_MAYO = "srahmore-mayo"
    ST_ANGELAS_COLLEGE_SLIGO = "st-angelas-college-sligo"
    ST_MARGARETS_DUBLIN = "st-margaret-s-dublin"
    ST_MARYS_UNIVERSITY_COLLEGE_BELFAST_ANTRIM = "st-marys-university-college-belfast-antrim"
    ST_NICHOLAS_MONTESSORI_COLLEGE_IRELAND_DUBLIN = "st-nicholas-montessori-college-ireland-dublin"
    ST_PATRICKS_COLLEGE_PONTIFICAL_UNIVERSITY_KILDARE = "st-patricks-college-pontifical-university-kildare"
    ST_PATRICKS_COLLEGE_OF_EDUCATION_DUBLIN = "st-patricks-college-of-education-dublin"
    ST_JAMES_GATE_DUBLIN = "st-james-gate-dublin"
    ST_JOHNSTON_DONEGAL = "st-johnston-donegal"
    ST_LUKES_CORK = "st-lukes-cork"
    ST_MULLINS_CARLOW = "st-mullins-carlow"
    STABANNAN_LOUTH = "stabannan-louth"
    STACKALLEN_MEATH = "stackallen-meath"
    STAMULLEN_MEATH = "stamullen-meath"
    STAPLESTOWN_KILDARE = "staplestown-kildare"
    STARCH_HILL_CORK = "starch-hill-cork"
    STEPASIDE_DUBLIN = "stepaside-dublin"
    STEWARTSTOWN_ANTRIM = "stewartstown-antrim"
    STEWARTSTOWN_TYRONE = "stewartstown-tyrone"
    STICKSTOWN_CORK = "stickstown-cork"
    STILLORGAN_DUBLIN = "stillorgan-dublin"
    STONE_BRIDGE_MONAGHAN = "stone-bridge-monaghan"
    STONEYBATTER_DUBLIN = "stoneybatter-dublin"
    STONEYFORD_ANTRIM = "stoneyford-antrim"
    STONEYFORD_KILKENNY = "stoneyford-kilkenny"
    STONYFORD_ANTRIM = "stonyford-antrim"
    STORMONT_DOWN = "stormont-down"
    STRABANE_TYRONE = "strabane-tyrone"
    STRADBALLY_KERRY = "stradbally-kerry"
    STRADBALLY_LAOIS = "stradbally-laois"
    STRADBALLY_WATERFORD = "stradbally-waterford"
    STRADONE_CAVAN = "stradone-cavan"
    STRAFFAN_KILDARE = "straffan-kildare"
    STRAHART_WEXFORD = "strahart-wexford"
    STRAID_ANTRIM = "straid-antrim"
    STRAID_DONEGAL = "straid-donegal"
    STRAIDE_MAYO = "straide-mayo"
    STRAND_LIMERICK = "strand-limerick"
    STRANDHILL_SLIGO = "strandhill-sligo"
    STRANDTOWN_DOWN = "strandtown-down"
    STRANGFORD_DOWN = "strangford-down"
    STRANMILLIS_UNIVERSITY_COLLEGE_ANTRIM = "stranmillis-university-college-antrim"
    STRANMILLIS_ANTRIM = "stranmillis-antrim"
    STRANOCUM_ANTRIM = "stranocum-antrim"
    STRANORLAR_DONEGAL = "stranorlar-donegal"
    STRATFORD_WICKLOW = "stratford-wicklow"
    STRATFORD_ON_SLANEY_WICKLOW = "stratford-on-slaney-wicklow"
    STRAVALLY_DONEGAL = "stravally-donegal"
    STRAWBERRY_BEDS_DUBLIN = "strawberry-beds-dublin"
    STREAMSTOWN_GALWAY = "streamstown-galway"
    STREAMSTOWN_WESTMEATH = "streamstown-westmeath"
    STREETE_WESTMEATH = "streete-westmeath"
    STROKESTOWN_ROSCOMMON = "strokestown-roscommon"
    STROOVE_DONEGAL = "stroove-donegal"
    SUFFOLK_ANTRIM = "suffolk-antrim"
    SUMMERCOVE_CORK = "summercove-cork"
    SUMMERHILL_MEATH = "summerhill-meath"
    SUNCROFT_KILDARE = "suncroft-kildare"
    SUNDAYS_WELL_CORK = "sunday-s-well-cork"
    SUTTON_DUBLIN = "sutton-dublin"
    SWAN_LAOIS = "swan-laois"
    SWANLINBAR_CAVAN = "swanlinbar-cavan"
    SWATRAGH_DERRY = "swatragh-derry"
    SWINFORD_MAYO = "swinford-mayo"
    SWORDS_SURROUNDS_DUBLIN = "swords-and-surrounds-dublin"
    SWORDS_DUBLIN = "swords-dublin"
    SYDENHAM_DOWN = "sydenham-down"
    TACUMSHANE_WEXFORD = "tacumshane-wexford"
    TAGHMACONNELL_ROSCOMMON = "taghmaconnell-roscommon"
    TAGHMON_WEXFORD = "taghmon-wexford"
    TAGHSHINNY_LONGFORD = "taghshinny-longford"
    TAGOAT_WEXFORD = "tagoat-wexford"
    TAHILLA_KERRY = "tahilla-kerry"
    TALBOTSTOWN_WICKLOW = "talbotstown-wicklow"
    TALLAGHT_DUBLIN = "tallaght-dublin"
    TALLANSTOWN_LOUTH = "tallanstown-louth"
    TALLOW_WATERFORD = "tallow-waterford"
    TALLOWBRIDGE_WATERFORD = "tallowbridge-waterford"
    TAMLAGHT_FERMANAGH = "tamlaght-fermanagh"
    TAMNEY_DONEGAL = "tamney-donegal"
    TANDRAGEE_ARMAGH = "tandragee-armagh"
    TANG_WESTMEATH = "tang-westmeath"
    TANGAVEANE_DONEGAL = "tangaveane-donegal"
    TARA_HILL_WEXFORD = "tara-hill-wexford"
    TARA_MEATH = "tara-meath"
    TARBERT_KERRY = "tarbert-kerry"
    TARMON_LEITRIM = "tarmon-leitrim"
    TARMONBARRY_LONGFORD = "tarmonbarry-longford"
    TARMONBARRY_ROSCOMMON = "tarmonbarry-roscommon"
    TARVARA_CORK = "tarvara-cork"
    TAUR_CORK = "taur-cork"
    TAWIN_GALWAY = "tawin-galway"
    TAWNY_DONEGAL = "tawny-donegal"
    TAWNYINAH_MAYO = "tawnyinah-mayo"
    TAWNYLEA_LEITRIM = "tawnylea-leitrim"
    TAYLORS_CROSS_OFFALY = "taylor-s-cross-offaly"
    TAYLORS_HILL_GALWAY = "taylor-s-hill-galway"
    TEELIN_DONEGAL = "teelin-donegal"
    TEEMORE_FERMANAGH = "teemore-fermanagh"
    TEERANEA_GALWAY = "teeranea-galway"
    TEERANEARAGH_KERRY = "teeranearagh-kerry"
    TEERELTON_CORK = "teerelton-cork"
    TEERMACLANE_CLARE = "teermaclane-clare"
    TEERNAKILL_GALWAY = "teernakill-galway"
    TEEROMOYLE_KERRY = "teeromoyle-kerry"
    TEMPLE_BAR_DUBLIN = "temple-bar-dublin"
    TEMPLEBOY_SLIGO = "templeboy-sligo"
    TEMPLEDERRY_TIPPERARY = "templederry-tipperary"
    TEMPLEGLANTINE_LIMERICK = "templeglantine-limerick"
    TEMPLEHILL_CORK = "templehill-cork"
    TEMPLEMARTIN_CORK = "templemartin-cork"
    TEMPLEMICHAEL_WATERFORD = "templemichael-waterford"
    TEMPLEMORE_TIPPERARY = "templemore-tipperary"
    TEMPLEMUNGRET_LIMERICK = "templemungret-limerick"
    TEMPLENOE_KERRY = "templenoe-kerry"
    TEMPLEOGUE_DUBLIN = "templeogue-dublin"
    TEMPLEORAN_WESTMEATH = "templeoran-westmeath"
    TEMPLEPATRICK_ANTRIM = "templepatrick-antrim"
    TEMPLEPORT_CAVAN = "templeport-cavan"
    TEMPLESHANBO_WEXFORD = "templeshanbo-wexford"
    TEMPLETOWN_WEXFORD = "templetown-wexford"
    TEMPLETUOHY_TIPPERARY = "templetuohy-tipperary"
    TEMPO_FERMANAGH = "tempo-fermanagh"
    TENURE_LOUTH = "tenure-louth"
    TERENURE_DUBLIN = "terenure-dublin"
    TERMON_CLARE = "termon-clare"
    TERMON_DONEGAL = "termon-donegal"
    TERMONFECKIN_LOUTH = "termonfeckin-louth"
    TERRYGLASS_TIPPERARY = "terryglass-tipperary"
    TERRYLAND_GALWAY = "terryland-galway"
    THE_BALLAGH_WEXFORD = "the-ballagh-wexford"
    THE_BURREN_CLARE = "the-burren-clare"
    THE_BUSH_LOUTH = "the-bush-louth"
    THE_BUTTS_CARLOW = "the-butts-carlow"
    THE_COOMBE_DUBLIN = "the-coombe-dublin"
    THE_CURRAGH_KILDARE = "the-curragh-kildare"
    THE_DOWNS_WESTMEATH = "the-downs-westmeath"
    THE_FIVE_ROADS_DUBLIN = "the-five-roads-dublin"
    THE_HARROW_WEXFORD = "the-harrow-wexford"
    THE_LEAP_WEXFORD = "the-leap-wexford"
    THE_LOUGH_CORK = "the-lough-cork"
    THE_LOUP_DERRY = "the-loup-derry"
    THE_OPEN_UNIVERSITY_DUBLIN = "the-open-university-dublin"
    THE_PIGEONS_WESTMEATH = "the-pigeons-westmeath"
    THE_PIKE_TIPPERARY = "the-pike-tipperary"
    THE_PIKE_WATERFORD = "the-pike-waterford"
    THE_ROWER_KILKENNY = "the-rower-kilkenny"
    THE_SPA_KERRY = "the-spa-kerry"
    THE_SWEEP_KILKENNY = "the-sweep-kilkenny"
    THE_WARD_DUBLIN = "the-ward-dublin"
    THOMAS_STREET_ROSCOMMON = "thomas-street-roscommon"
    THOMASTOWN_KILKENNY = "thomastown-kilkenny"
    THOMASTOWN_MEATH = "thomastown-meath"
    THOMASTOWN_TIPPERARY = "thomastown-tipperary"
    THOMONDGATE_LIMERICK = "thomondgate-limerick"
    THREE_CASTLES_KILKENNY = "three-castles-kilkenny"
    THREEMILEHOUSE_MONAGHAN = "threemilehouse-monaghan"
    THURLES_SURROUNDS_TIPPERARY = "thurles-and-surrounds-tipperary"
    THURLES_TIPPERARY = "thurles-tipperary"
    TIBOHINE_ROSCOMMON = "tibohine-roscommon"
    TICKNOCK_DUBLIN = "ticknock-dublin"
    TIDUFF_KERRY = "tiduff-kerry"
    TIEVEMORE_DONEGAL = "tievemore-donegal"
    TIMAHOE_KILDARE = "timahoe-kildare"
    TIMAHOE_LAOIS = "timahoe-laois"
    TIMOLEAGUE_CORK = "timoleague-cork"
    TIMOLIN_KILDARE = "timolin-kildare"
    TINAHELY_WICKLOW = "tinahely-wicklow"
    TINNAHINCH_LAOIS = "tinnahinch-laois"
    TINRYLAND_CARLOW = "tinryland-carlow"
    TIPPERARY_COUNTY = "tipperary"
    TIPPERARY_TOWN_SURROUNDS_TIPPERARY = "tipperary-town-and-surrounds-tipperary"
    TIPPERARY_TOWN_TIPPERARY = "tipperary-town-tipperary"
    TIRELLAN_GALWAY = "tirellan-galway"
    TIRNANEILL_MONAGHAN = "tirnaneill-monaghan"
    TIRNEEVIN_GALWAY = "tirneevin-galway"
    TITANIC_QUARTER_ANTRIM = "titanic-quarter-antrim"
    TIVOLI_CORK = "tivoli-cork"
    TOAMES_CORK = "toames-cork"
    TOBER_OFFALY = "tober-offaly"
    TOBERBEG_WICKLOW = "toberbeg-wicklow"
    TOBERMORE_DERRY = "tobermore-derry"
    TOBERNADARRY_MAYO = "tobernadarry-mayo"
    TOBERSCANAVAN_SLIGO = "toberscanavan-sligo"
    TOEM_TIPPERARY = "toem-tipperary"
    TOGHER_CORK_CITY_CORK = "togher-cork-city-cork"
    TOGHER_CORK = "togher-cork"
    TOGHER_LOUTH = "togher-louth"
    TOGHER_OFFALY = "togher-offaly"
    TOMBRACK_WEXFORD = "tombrack-wexford"
    TOMDARRAGH_WICKLOW = "tomdarragh-wicklow"
    TOMHAGGARD_WEXFORD = "tomhaggard-wexford"
    TONABROCKY_GALWAY = "tonabrocky-galway"
    TONACURRAGH_GALWAY = "tonacurragh-galway"
    TONYDUFF_CAVAN = "tonyduff-cavan"
    TOOMAGHERA_CLARE = "toomaghera-clare"
    TOOMARD_GALWAY = "toomard-galway"
    TOOMBEOLA_GALWAY = "toombeola-galway"
    TOOME_ANTRIM = "toome-antrim"
    TOOMEVARA_TIPPERARY = "toomevara-tipperary"
    TOOR_TIPPERARY = "toor-tipperary"
    TOORAREE_LIMERICK = "tooraree-limerick"
    TOOREENCAHILL_KERRY = "tooreencahill-kerry"
    TOORMORE_CORK = "toormore-cork"
    TOORNAFULLA_LIMERICK = "toornafulla-limerick"
    TOURLESTRANE_SLIGO = "tourlestrane-sligo"
    TOURMAKEADY_MAYO = "tourmakeady-mayo"
    TOURNAFULLA_LIMERICK = "tournafulla-limerick"
    TOWER_CORK = "tower-cork"
    TOWNLEY_HALL_LOUTH = "townley-hall-louth"
    TOWNPARKS_GALWAY = "townparks-galway"
    TRACTON_CORK = "tracton-cork"
    TRAFRASK_CORK = "trafrask-cork"
    TRAGUMNA_CORK = "tragumna-cork"
    TRALEE_SURROUNDS_KERRY = "tralee-and-surrounds-kerry"
    TRALEE_KERRY = "tralee-kerry"
    TRAMORE_SURROUNDS_WATERFORD = "tramore-and-surrounds-waterford"
    TRAMORE_WATERFORD = "tramore-waterford"
    TREAN_MAYO = "trean-mayo"
    TREANTAGH_DONEGAL = "treantagh-donegal"
    TREEHOO_CAVAN = "treehoo-cavan"
    TRIEN_ROSCOMMON = "trien-roscommon"
    TRILLICK_TYRONE = "trillick-tyrone"
    TRIM_SURROUNDS_MEATH = "trim-and-surrounds-meath"
    TRIM_MEATH = "trim-meath"
    TRINITY_COLLEGE_DUBLIN_DUBLIN = "trinity-college-dublin-dublin"
    TRISTIA_MAYO = "tristia-mayo"
    TRUST_GALWAY = "trust-galway"
    TUAM_SURROUNDS_GALWAY = "tuam-and-surrounds-galway"
    TUAM_ROAD_GALWAY = "tuam-road-galway"
    TUAM_GALWAY = "tuam-galway"
    TUAMGRANEY_CLARE = "tuamgraney-clare"
    TUBBER_CLARE = "tubber-clare"
    TUBBER_GALWAY = "tubber-galway"
    TUBBERCURRY_SLIGO = "tubbercurry-sligo"
    TUBBRID_KILKENNY = "tubbrid-kilkenny"
    TUBBRID_TIPPERARY = "tubbrid-tipperary"
    TULLA_CLARE = "tulla-clare"
    TULLAGHAN_LEITRIM = "tullaghan-leitrim"
    TULLAGHANSTOWN_MEATH = "tullaghanstown-meath"
    TULLAGHOUGHT_KILKENNY = "tullaghought-kilkenny"
    TULLAHERIN_KILKENNY = "tullaherin-kilkenny"
    TULLAKEEL_KERRY = "tullakeel-kerry"
    TULLAMORE_SURROUNDS_OFFALY = "tullamore-and-surrounds-offaly"
    TULLAMORE_KERRY = "tullamore-kerry"
    TULLAMORE_OFFALY = "tullamore-offaly"
    TULLAROAN_KILKENNY = "tullaroan-kilkenny"
    TULLIG_KERRY = "tullig-kerry"
    TULLOGHER_KILKENNY = "tullogher-kilkenny"
    TULLOKYNE_GALWAY = "tullokyne-galway"
    TULLOW_SURROUNDS_CARLOW = "tullow-and-surrounds-carlow"
    TULLOW_CARLOW = "tullow-carlow"
    TULLY_CROSS_GALWAY = "tully-cross-galway"
    TULLY_DONEGAL = "tully-donegal"
    TULLY_ROSCOMMON = "tully-roscommon"
    TULLYALLEN_LOUTH = "tullyallen-louth"
    TULLYAMALRA_MONAGHAN = "tullyamalra-monaghan"
    TULLYCANNA_WEXFORD = "tullycanna-wexford"
    TULLYDUSH_DONEGAL = "tullydush-donegal"
    TULLYLEASE_CORK = "tullylease-cork"
    TULLYMACREEVE_ARMAGH = "tullymacreeve-armagh"
    TULLYNAHA_DONEGAL = "tullynaha-donegal"
    TULLYVIN_CAVAN = "tullyvin-cavan"
    TULLYVOOS_DONEGAL = "tullyvoos-donegal"
    TULROHAUN_MAYO = "tulrohaun-mayo"
    TULSK_ROSCOMMON = "tulsk-roscommon"
    TUOSIST_KERRY = "tuosist-kerry"
    TURF_LODGE_ANTRIM = "turf-lodge-antrim"
    TURLOUGH_CLARE = "turlough-clare"
    TURLOUGH_MAYO = "turlough-mayo"
    TURLOUGHMORE_GALWAY = "turloughmore-galway"
    TURNERS_CROSS_CORK = "turners-cross-cork"
    TURREEN_LONGFORD = "turreen-longford"
    TWINBROOK_ANTRIM = "twinbrook-antrim"
    TWO_MILE_HOUSE_KILDARE = "two-mile-house-kildare"
    TWOMILEBORRIS_TIPPERARY = "twomileborris-tipperary"
    TWOMILEDITCH_GALWAY = "twomileditch-galway"
    TYDAVNET_MONAGHAN = "tydavnet-monaghan"
    TYLAS_MEATH = "tylas-meath"
    TYNAGH_GALWAY = "tynagh-galway"
    TYNAN_ARMAGH = "tynan-armagh"
    TYRELLA_DOWN = "tyrella-down"
    TYRELLSPASS_WESTMEATH = "tyrellspass-westmeath"
    TYRONE_COUNTY = "tyrone"
    TYRRELSTOWN_DUBLIN = "tyrrelstown-dublin"
    ULSTER_UNIVERSITY_BELFAST_ANTRIM = "ulster-university-belfast-antrim"
    ULSTER_UNIVERSITY_JORDANSTOWN_ANTRIM = "ulster-university-jordanstown-antrim"
    ULSTER_UNIVERSITY_MAGEE_DERRY = "ulster-university-magee-derry"
    UNION_HALL_CORK = "union-hall-cork"
    UNIVERSITY_AREA_ANTRIM = "university-area-antrim"
    UNIVERSITY_COLLEGE_CORK___BROOKFIELD_HEALTH_SCIENCES_CORK = "university-college-cork-brookfield-health-sciences-cork"
    UNIVERSITY_COLLEGE_CORK___MARDYKE_ARENA_CORK = "university-college-cork-mardyke-arena-cork"
    UNIVERSITY_COLLEGE_CORK___TYNDALL_NATIONAL_INSTITUTE_CORK = "university-college-cork-tyndall-national-institute-cork"
    UNIVERSITY_COLLEGE_CORK_CORK = "university-college-cork-cork"
    UNIVERSITY_COLLEGE_DUBLIN___LYONS_ESTATE__KILDARE = "university-college-dublin-lyons-estate-kildare"
    UNIVERSITY_COLLEGE_DUBLIN___SMURFIT_SCHOOL_OF_BUSINESS_DUBLIN = "university-college-dublin-smurfit-school-of-business-dublin"
    UNIVERSITY_COLLEGE_DUBLIN_DUBLIN = "university-college-dublin-dublin"
    UNIVERSITY_OF_LIMERICK_LIMERICK = "university-of-limerick-limerick"
    UNIVERSITY_OF_ULSTER_COLERAINE_DERRY = "university-of-ulster-coleraine-derry"
    UPPER_BALLINDERRY_ANTRIM = "upper-ballinderry-antrim"
    UPPER_MALONE_ANTRIM = "upper-malone-antrim"
    UPPER_NEWTOWNARDS_ROAD_DOWN = "upper-newtownards-road-down"
    UPPERCHURCH_TIPPERARY = "upperchurch-tipperary"
    UPPERLANDS_DERRY = "upperlands-derry"
    URBALREAGH_DONEGAL = "urbalreagh-donegal"
    URGLIN_GLEBE_CARLOW = "urglin-glebe-carlow"
    URLAUR_MAYO = "urlaur-mayo"
    URLINGFORD_KILKENNY = "urlingford-kilkenny"
    VALENTIA_ISLAND_KERRY = "valentia-island-kerry"
    VALLEYMOUNT_WICKLOW = "valleymount-wicklow"
    VENTRY_KERRY = "ventry-kerry"
    VICARSTOWN_CORK = "vicarstown-cork"
    VICARSTOWN_LAOIS = "vicarstown-laois"
    VICTORIA_CROSS_CORK = "victoria-cross-cork"
    VILLIERSTOWN_WATERFORD = "villierstown-waterford"
    VIRGINIA_ROAD_MEATH = "virginia-road-meath"
    VIRGINIA_CAVAN = "virginia-cavan"
    WADDINGTON_WEXFORD = "waddington-wexford"
    WALKINSTOWN_DUBLIN = "walkinstown-dublin"
    WALSH_ISLAND_OFFALY = "walsh-island-offaly"
    WALSHESTOWN_WEXFORD = "walshestown-wexford"
    WALSHTOWN_CORK = "walshtown-cork"
    WARD_DUBLIN = "ward-dublin"
    WARINGSFORD_DOWN = "waringsford-down"
    WARINGSTOWN_DOWN = "waringstown-down"
    WARRENPOINT_DOWN = "warrenpoint-down"
    WATCH_HO_VILLAGE_WEXFORD = "watch-ho-village-wexford"
    WATER_WORKS_ANTRIM = "water-works-antrim"
    WATERFALL_CORK = "waterfall-cork"
    WATERFORD_COUNTY = "waterford"
    WATERFORD_CITY = "waterford-city"
    WATERFORD_CITY_CENTRE_WATERFORD = "waterford-city-centre-waterford"
    WATERFORD_INSTITUTE_OF_TECHNOLOGY___COLLEGE_ST_CAMPUS_WATERFORD = "waterford-institute-of-technology-college-st-campus-waterford"
    WATERFORD_INSTITUTE_OF_TECHNOLOGY___CORK_RD_CAMPUS_WATERFORD = "waterford-institute-of-technology-cork-rd-campus-waterford"
    WATERFORD_INSTITUTE_OF_TECHNOLOGY___KILDALTON_AGRICULTURAL_COLLEGE_KILKENNY = "waterford-institute-of-technology-kildalton-agricultural-college-kilkenny"
    WATERFORD_INSTITUTE_OF_TECHNOLOGY_WATERFORD = "waterford-institute-of-technology-waterford"
    WATERGRASSHILL_CORK = "watergrasshill-cork"
    WATERVILLE_KERRY = "waterville-kerry"
    WELCHTOWN_DONEGAL = "welchtown-donegal"
    WELLINGTON_BRIDGE_WEXFORD = "wellington-bridge-wexford"
    WELLPARK_GALWAY = "wellpark-galway"
    WEST_BELFAST_CITY_ANTRIM = "west-belfast-city-antrim"
    WEST_CO_DUBLIN_DUBLIN = "west-co-dublin-dublin"
    WEST_CORK_CORK = "west-cork-cork"
    WEST_TOWN_DONEGAL = "west-town-donegal"
    WESTBURY_CLARE = "westbury-clare"
    WESTCOVE_KERRY = "westcove-kerry"
    WESTERN_ROAD_CORK = "western-road-cork"
    WESTMEATH_COUNTY = "westmeath"
    WESTPORT_SURROUNDS_MAYO = "westport-and-surrounds-mayo"
    WESTPORT_QUAY_MAYO = "westport-quay-mayo"
    WESTPORT_MAYO = "westport-mayo"
    WEXFORD_COUNTY = "wexford"
    WEXFORD_TOWN_SURROUNDS_WEXFORD = "wexford-town-and-surrounds-wexford"
    WEXFORD_TOWN_WEXFORD = "wexford-town-wexford"
    WHITE_CASTLE_DONEGAL = "white-castle-donegal"
    WHITE_GATE_CROSS_ROADS_KERRY = "white-gate-cross-roads-kerry"
    WHITES_CROSS_CORK = "white-s-cross-cork"
    WHITEABBEY_ANTRIM = "whiteabbey-antrim"
    WHITECHURCH_CORK = "whitechurch-cork"
    WHITECROSS_ARMAGH = "whitecross-armagh"
    WHITEGATE_CLARE = "whitegate-clare"
    WHITEGATE_CORK = "whitegate-cork"
    WHITEHALL_DUBLIN = "whitehall-dublin"
    WHITEHALL_KILKENNY = "whitehall-kilkenny"
    WHITEHALL_ROSCOMMON = "whitehall-roscommon"
    WHITEHALL_WESTMEATH = "whitehall-westmeath"
    WHITEHEAD_ANTRIM = "whitehead-antrim"
    WHITEROCK_ANTRIM = "whiterock-antrim"
    WHITEROCK_WEXFORD = "whiterock-wexford"
    WHITES_TOWN_LOUTH = "whites-town-louth"
    WICKLOW_COUNTY = "wicklow"
    WICKLOW_TOWN_SURROUNDS_WICKLOW = "wicklow-town-and-surrounds-wicklow"
    WICKLOW_TOWN_WICKLOW = "wicklow-town-wicklow"
    WILKINSTOWN_MEATH = "wilkinstown-meath"
    WILLBROOK_CLARE = "willbrook-clare"
    WILLBROOK_DUBLIN = "willbrook-dublin"
    WILLIAMSTOWN_GALWAY = "williamstown-galway"
    WILLIAMSTOWN_WESTMEATH = "williamstown-westmeath"
    WILTON_CORK = "wilton-cork"
    WINDGAP_KILKENNY = "windgap-kilkenny"
    WINDMILL_KILDARE = "windmill-kildare"
    WINDSOR_ANTRIM = "windsor-antrim"
    WINDY_ARBOUR_DUBLIN = "windy-arbour-dublin"
    WOLFHILL_LAOIS = "wolfhill-laois"
    WOODENBRIDGE_WICKLOW = "woodenbridge-wicklow"
    WOODFORD_GALWAY = "woodford-galway"
    WOODQUAY_GALWAY = "woodquay-galway"
    WOODSTOCK_DOWN = "woodstock-down"
    WOODSTOWN_WATERFORD = "woodstown-waterford"
    WOODVALE_ANTRIM = "woodvale-antrim"
    YELLOW_FURZE_MEATH = "yellow-furze-meath"
    YOUGHAL_SURROUNDS_CORK = "youghal-and-surrounds-cork"
    YOUGHAL_CORK = "youghal-cork"
    YOUGHAL_TIPPERARY = "youghal-tipperary"


@dataclass
class LocationsOption(Option):
    locations: List[Location]

    def get_params(self):
        if Location.ALL in self.locations:
            # If we want "all", don't submit any params
            return {}

        return {
            "location": [location.value for location in self.locations]
        }
